create procedure [dbo].[p_load_Packet_new]	
/*declare       */
@Nxml varchar(max),@FileName varchar(200)
as 
begin
/*SET DATEFORMAT ymd */
/*set @filepath = 'c:\base\xml\M001.XML'       */

select @Nxml= cast (@Nxml as varchar(max))

/*-set @Nxml = (SELECT cast(data AS varchar(max)) FROM openrowset(BULK 'c:\base\xml\rg012.XML', SINGLE_BLOB) AS T(data)  ) */

Declare @rez int = 0 /* результат, нашли ли обработку для поданного хмл файла или нет. */
declare @i int =0
declare @typeSpr varchar(50)
/* поддерживаемые типы справочников. */
/*LIC_PROF - лицензии профилей TS05 алтай22 */
/*LIC_SPEC - лицензии специальностей TS06 алтай22 */
/*LIC_USL - лицензии услуг TS07 алтай22 если найдена услуга такая, то проверяем остальные параметры. если параметры не совпадают - снимать. */
/*MKBTP - оплачиваемые диагнозы. (LIC_MKB) */
/*F002 */
/*F003 */
declare @reg varchar(2)

declare @tf_okato nvarchar(5) /* получаем окато текущей СМО. */
SELECT @tf_okato = tf_okato FROM [F002] where smocod = (select Parametr from Settings where name='CodeSMO')
select @reg=Parametr from Settings where name='Region'
if @tf_okato is null /* ���� � ��. */
	SELECT @tf_okato = tf_okato FROM [F003] where mcod = (select Parametr from Settings where name='MedicalOrganization')


 declare @idxml int
EXEC sp_xml_preparedocument @idxml OUTPUT, @Nxml;

declare @ver varchar(100)

 SELECT @typeSpr =[type]    /*федеральные */
	FROM openxml(@idxml, '/packet/zglv', 2)	    WITH  (  type VARCHAR(36) 'type'    )
 SELECT @ver =[version]    /*версия файла */
	FROM openxml(@idxml, '/packet/zglv', 2)	    WITH  (  version VARCHAR(36) 'version'    )
 if @typeSpr is null   
	SELECT @typeSpr =[type]  /*территориальные 	алтая */
		FROM openxml(@idxml, '/PACKET/ZGLV', 2)			WITH  (  type VARCHAR(36) '@TYPE'    )
	
 /* теперь Fки, они не по стандарту. */
declare @tipk int
if @typeSpr is null
	begin
		SELECT @tipk=count(smocod) FROM openxml(@idxml, '/packet/insCompany', 2)
			WITH  (	  smocod VARCHAR(255) 'smocod'		)
		if @tipk>0 
			set @typeSpr='F002'
    end 
if @typeSpr is null
	begin
		SELECT @tipk=count(mcod) FROM openxml(@idxml, '/packet/medCompany', 2)
			WITH( mcod VARCHAR(255) 'mcod'	)
		if @tipk>0 
			set @typeSpr='F003'
    end 
/*
if @typeSpr is null
	begin
		SELECT @tipk=count(MKB_CODE) FROM openxml(@idxml, '/book/entries/entry', 2)
			WITH (	MKB_CODE varchar(10) 'MKB_CODE'	)
		if @tipk>0 
			set @typeSpr='M001'
    end  
*/
/*теперь региональные Иваново 37 */
if @typeSpr is null
	SELECT @typeSpr =[tip]  
		FROM openxml(@idxml, '/SPRAV/ZGLV', 2)			WITH  (  tip VARCHAR(36) 'FILENAME'    )



/*это по заголовку, ещё можем по @FileName определять тип хмл */


/*начинаем транзакцию */
begin tran

if @typeSpr='Spr_67_f006'
begin
	merge Spr_67_f006 as target
		using  
(select  V_ACT,s_tip,tip_name,Name,pg_table,pg_str,IDVID
 FROM  OPENXML (@idxml, N'packet/zap',3) 	WITH ( 
V_ACT nvarchar(1000) 'V_ACT[text()!=""]' ,s_tip nvarchar(1000) 's_tip[text()!=""]' ,tip_name nvarchar(1000) 'tip_name[text()!=""]' ,Name nvarchar(1000) 'Name[text()!=""]' ,pg_table nvarchar(1000) 'pg_table[text()!=""]' ,pg_str nvarchar(1000) 'pg_str[text()!=""]' ,IDVID nvarchar(1000) 'IDVID[text()!=""]' 
 )  ) as source 
 on target.V_ACT=source.V_ACT 
 when matched then 	update set 
 target.s_tip=source.s_tip ,target.IDVID=source.IDVID 
 when not matched BY TARGET then 
 insert ( V_ACT,s_tip,tip_name,Name,pg_table,pg_str,IDVID ) 
 values ( V_ACT,s_tip,tip_name,Name,pg_table,pg_str,IDVID);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

/* блок V  */

/*V008 */
if @typeSpr='VidMp'
begin
	merge V008 as target
		using  
		(select IDVMP,VMPNAME,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDVMP nvarchar(100) 'IDVMP' 
				,VMPNAME nvarchar(254) 'VMPNAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				)
		) as source
		on target.ID=source.IDVMP
	when matched then 	update set target.DATEEND = source.DATEEND,target.VMPNAME = source.VMPNAME
	when not matched BY TARGET then
		insert (ID,VMPNAME,DATEBEG,DATEEND)
		values (IDVMP,VMPNAME,DATEBEG,DATEEND);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

/*V009 */
if @typeSpr='Rezult'
begin
	merge V009 as target
		using  
		(select F1,F2,F3,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'IDRMP' 
				,F2 nvarchar(254) 'RMPNAME' 
				,F3 nvarchar(254) 'DL_USLOV'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				)
		) as source
		on target.IDRMP=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDRMP,RMPNAME,DL_USLOV,DATEBEG,DATEEND)
		values (F1,F2,F3,DATEBEG,DATEEND);

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end


/*V010	// пример как отрезать одинаковые значения, обновив название */
if @typeSpr='Sposob'
begin
	merge V010 as target
		using  
		(select IDSP,SPNAME,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY IDSP order by DATEEND ) rn,
IDSP,SPNAME,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDSP int 'IDSP' 
				,SPNAME nvarchar(100) 'SPNAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' ) )k where rn=1 
		) as source
		on target.IDSP=source.IDSP
	when matched then 	update set target.DATEEND = source.DATEEND,target.SPNAME = source.SPNAME
	when not matched BY TARGET then
		insert (id,IDSP,SPNAME,DATEBEG,DATEEND)
		values (IDSP,IDSP,SPNAME,DATEBEG,DATEEND) ;

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

if @typeSpr='V011'
begin
	merge V011 as target
		using  	( select 
		ID,nullif([S_NUM_REG],'') S_NUM_REG     ,nullif([DATE_REG],'')  DATE_REG    ,nullif([DATE_END_REG],'')   DATE_END_REG
		,nullif([DATE_CANCEL_REG],'')  DATE_CANCEL_REG    ,nullif([S_ORG_NAME],'') S_ORG_NAME ,cast(nullif([S_ORG_COUNTRY],'') as nvarchar(150))  S_ORG_COUNTRY
		,cast(nullif([S_TORG_NAME],'') as nvarchar(150))  S_TORG_NAME    ,cast(nullif([S_MNN],'') as nvarchar(150)) S_MNN     
		,cast(nullif([S_FORMS],'') as nvarchar(150))  S_FORMS,cast(nullif([S_PROD_PHASE],'') as nvarchar(150)) S_PROD_PHASE   
		,cast(nullif([S_CODES],'') as nvarchar(150)) S_CODES ,cast(nullif([S_DOCS],'') as nvarchar(150)) S_DOCS 
		,nullif([S_FARM_GROUP],'')	S_FARM_GROUP
	  FROM  OPENXML (@idxml, N'book/entries/entry',3)
				WITH (ID int 'ID' 
				,S_NUM_REG nvarchar(100) 'S_NUM_REG' 
				,DATE_REG nvarchar(100) 'DATE_REG' 
				,DATE_END_REG nvarchar(100) 'DATE_END_REG' 
				,DATE_CANCEL_REG nvarchar(100) 'DATE_CANCEL_REG' 
				,S_ORG_NAME nvarchar(500) 'S_ORG_NAME' 
				,S_ORG_COUNTRY nvarchar(255) 'S_ORG_COUNTRY'
				,S_TORG_NAME nvarchar(255) 'S_TORG_NAME'
				,S_MNN nvarchar(255) 'S_MNN'
				,S_FORMS nvarchar(255) 'S_FORMS'
				,S_PROD_PHASE nvarchar(255) 'S_PROD_PHASE'
				,S_CODES nvarchar(255) 'S_CODES'
				,S_DOCS nvarchar(255) 'S_DOCS'
				,S_FARM_GROUP nvarchar(500) 'S_FARM_GROUP'
				) where DATE_REG<>'' /*почемуто в конце левые записи с пустой датой регистрации и датой вместо S_NUM_REG */
				) as source
		on target.ID=source.ID and target.S_NUM_REG = source.S_NUM_REG
	when matched then 	update set target.DATE_END_REG = source.DATE_END_REG,target.DATE_CANCEL_REG = source.DATE_CANCEL_REG  /* в таких же записях может только дата окончания поменяться. */

	when not matched BY TARGET then
		insert ([ID],[S_NUM_REG],[DATE_REG],[DATE_END_REG],[DATE_CANCEL_REG],[S_ORG_NAME],[S_ORG_COUNTRY],[S_TORG_NAME],[S_MNN],[S_FORMS],[S_PROD_PHASE],[S_CODES],[S_DOCS],[S_FARM_GROUP])
		values ([ID],[S_NUM_REG],[DATE_REG],[DATE_END_REG],[DATE_CANCEL_REG],[S_ORG_NAME],[S_ORG_COUNTRY],[S_TORG_NAME],[S_MNN],[S_FORMS],[S_PROD_PHASE],[S_CODES],[S_DOCS],[S_FARM_GROUP]);
set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

if @typeSpr='DispT' 
	begin
		merge V016 as target 		using
		( select  IDDT,DTNAME,f.b DTRULE,DATEBEG,DATEEND
 FROM  OPENXML (@idxml, N'packet/zap/DTRULE',2) 	WITH ( 
IDDT nvarchar(1000) '../IDDT[text()!=""]' 
,DTNAME nvarchar(1000) '../DTNAME[text()!=""]' 
,DATEBEG nvarchar(1000) '../DATEBEG[text()!=""]' 
,DATEEND nvarchar(1000) '../DATEEND[text()!=""]' 
,id int '@mp:id'

 ) x
cross apply (
  select v.x.value('.', 'varchar(max)')
  from (
    select x2.b+','
    from openxml(@idxml, 'packet/zap/DTRULE/RULE', 2)
    with
    (
      b varchar(2) '.',
      parent int '@mp:parentId'
    ) x2
    where x2.parent=x.id
    for xml path(''), type
  ) v(x)
) f(b)  
where isnull(year(DATEEND),2021) not in (2013,2014,2015,2016,2017) /*отрезаем старые данные, чтобы не хламить справочник */
) as source 
 on target.IDDT=source.IDDT  and target.DATEBEG = source.DATEBEG
 when matched then 	update set 
 target.DATEEND = source.DATEEND , target.DTNAME=source.DTNAME 
 , target.DTRULE=source.DTRULE 
 when not matched BY TARGET then 
 insert ( IDDT,DTNAME,DTRULE,DATEBEG,DATEEND ) 
 values ( IDDT,DTNAME,DTRULE,DATEBEG,DATEEND);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='DispR' 
	begin
		merge V017 as target 		using
		(select IDDR,DRNAME,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDDR nvarchar(255) 'IDDR' 
				,DRNAME nvarchar(255) 'DRNAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND'  ) 
				where year(DATEEND) not in (2013,2014,2015,2016,2017) /*отрезаем старые данные, чтобы не хламить справочник */
				) as source
				on target.IDDR=source.IDDR and target.DATEBEG = source.DATEBEG 
			when matched then 	update set target.DATEEND = source.DATEEND /* в таких же записях может только дата окончания поменяться. */

			when not matched BY TARGET then
				insert (IDDR,DRNAME,DATEBEG,DATEEND)
				values (IDDR,DRNAME,DATEBEG,DATEEND);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='HVid' 
	begin
		merge V018 as target 		using  		(
		select F1,F2,DB,nullif(DE,'') DE
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(255) 'IDHVID' 
				,F2 nvarchar(1000) 'HVIDNAME' 
				,DB nvarchar(100) 'DATEBEG'				 
				,DE nvarchar(100) 'DATEEND'
				   ) 
				)as source
				on target.IDHVID=source.F1 and target.DATEBEG=source.DB 
			when matched then 	update set target.DATEEND = source.DE

			when not matched BY TARGET then
				insert (IDHVID,HVIDNAME,DATEBEG,DATEEND)
				values (F1,F2,DB,DE);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='HMet' 
	begin
		merge V019 as target 		using  		(select  IDHM,HMNAME,DIAG,HVID,HGR,HMODP,IDMODP,DATEBEG,nullif(DATEEND,'') DATEEND
 FROM  OPENXML (@idxml, N'packet/zap',3) 	WITH ( 
IDHM nvarchar(1000) 'IDHM[text()!=""]' 
,HMNAME nvarchar(1000) 'HMNAME[text()!=""]' 
,DIAG varchar(4000) 'DIAG[text()!=""]' 
,HVID nvarchar(1000) 'HVID[text()!=""]' 
,HGR nvarchar(1000) 'HGR[text()!=""]' 
,HMODP nvarchar(1000) 'HMODP[text()!=""]' 
,IDMODP nvarchar(1000) 'IDMODP[text()!=""]' 
,DATEBEG nvarchar(1000) 'DATEBEG[text()!=""]' 
,DATEEND nvarchar(1000) 'DATEEND[text()!=""]' 
 )  ) as source 
 on target.IDHM=source.IDHM 
       and target.DATEBEG = source.DATEBEG
 and target.IDMODP = source.IDMODP
 and target.HVID = source.HVID  
 when matched then 	update set 
 target.DATEEND = source.DATEEND , target.HMNAME=source.HMNAME , target.DIAG=source.DIAG 
 
 when not matched BY TARGET then 
 insert ( IDHM,HMNAME,DIAG,HVID,HGR,HMODP,IDMODP,DATEBEG,DATEEND ) 
 values ( IDHM,HMNAME,DIAG,HVID,HGR,HMODP,isnull(IDMODP,1),DATEBEG,DATEEND);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
end


if @typeSpr='MedSpec'  and @ver<>'3.0'	/*3.0 версия это значит что открылся справочник V015 */
begin
	merge V021 as target
		using  
		(select F1,F2,F3,F4,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,nullif(F3,'') F3,nullif(F4,'') F4,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'IDSPEC' 
				,F2 nvarchar(254) 'SPECNAME' 
				,F3 nvarchar(400) 'POSTNAME'
				,F4 nvarchar(4) 'IDPOST_MZ'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.IDSPEC=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.SPECNAME = source.F2
	 ,target.POSTNAME = source.F3,target.IDPOST_MZ = source.F4
	when not matched BY TARGET then
		insert (IDSPEC,SPECNAME,POSTNAME,IDPOST_MZ,DATEBEG,DATEEND)
		values (F1,F2,F3,F4,DATEBEG,DATEEND) ;

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end


if @typeSpr='ModPac'  
begin
	merge V022 as target
		using  
		(select  IDMPAC,MPACNAME,DATEBEG,nullif(DATEEND,'') DATEEND
 from (select ROW_NUMBER ( ) over (PARTITION BY IDMPAC order by DATEEND ) rn,  
 IDMPAC,MPACNAME,DATEBEG,nullif(DATEEND,'') DATEEND
 FROM  OPENXML (@idxml, N'packet/zap',3) 	WITH ( 
IDMPAC nvarchar(1000) 'IDMPAC[text()!=""]' ,MPACNAME nvarchar(1000) 'MPACNAME[text()!=""]' ,DATEBEG nvarchar(1000) 'DATEBEG[text()!=""]' ,DATEEND nvarchar(1000) 'DATEEND[text()!=""]' 
 )  ) k where rn=1   ) as source 
 on target.IDMPAC=source.IDMPAC 
 when matched then 	update set 
 target.DATEEND = source.DATEEND , target.MPACNAME=source.MPACNAME 
 when not matched BY TARGET then 
 insert ( IDMPAC,MPACNAME,DATEBEG,DATEEND ) 
 values ( IDMPAC,MPACNAME,DATEBEG,DATEEND);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

if @typeSpr='KSG'
begin
    IF OBJECT_ID (N'V023', N'U') IS NULL 
			create table V023 (IDUMP int 
 	 	,K_KSG nvarchar(20),N_KSG nvarchar(254),KOEF_Z numeric(4,2),  DATEBEG datetime,DATEEND datetime)
	merge V023 as target
		using  	( select 
    cast(nullif([IDUMP],'') as int) IDUMP,cast(nullif([K_KSG],'') as nvarchar(20)) K_KSG,cast(nullif([N_KSG],'') as nvarchar(254)) N_KSG,cast(nullif([KOEF_Z],'') as numeric(4,2)) KOEF_Z,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        IDUMP nvarchar(1000) 'IDUMP',
        K_KSG nvarchar(1000) 'K_KSG',
        N_KSG nvarchar(1000) 'N_KSG',
        KOEF_Z nvarchar(1000) 'KOEF_Z',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				) where datebeg>='01.01.2019') as source
		on target.K_KSG=source.K_KSG and target.DATEBEG=source.DATEBEG	 and target.idump=source.idump
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDUMP,K_KSG,N_KSG,KOEF_Z,DATEBEG,DATEEND)
		values (IDUMP,K_KSG,N_KSG,KOEF_Z,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'V023') AND (COLUMN_NAME = N'NameWithID'))
    ALTER TABLE V023 ADD [NameWithID]  
		AS (((([K_KSG])+'  (')+case when [IDUMP]=(1) then ('КС '+CONVERT([char](4),isnull(datepart(year,[datebeg]),(0)),(0)))+') ' else ('ДС '+CONVERT([char](4),isnull(datepart(year,[datebeg]),(0)),(0)))+') ' end)+[N_KSG]);


if @@ERROR<>0 set @i = 1
end


if @typeSpr='DopKr' 
	begin
		merge V024 as target 		using
		(select IDDKK,DKKNAME,DATEBEG,nullif(DATEEND,'') DATEEND
		 from (select ROW_NUMBER ( ) over (PARTITION BY IDDKK,DATEBEG order by DATEEND ) rn,
		   IDDKK,cast(DKKNAME as nvarchar(254)) DKKNAME,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDDKK nvarchar(255) 'IDDKK' 
				,DKKNAME nvarchar(1000) 'DKKNAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND'  ) )k where rn=1
				)as source
				on target.IDDKK=source.IDDKK and target.DATEBEG = source.DATEBEG 
			when matched then 	update set target.DATEEND = source.DATEEND , target.DKKNAME = source.DKKNAME /* в таких же записях может только дата окончания поменяться. */

			when not matched BY TARGET then
				insert (IDDKK,DKKNAME,DATEBEG,DATEEND)
				values (IDDKK,DKKNAME,DATEBEG,DATEEND);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='KPC'
begin
	merge V025 as target
		using  
		(select IDPC,N_PC,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDPC nvarchar(100) 'IDPC' 
				,N_PC nvarchar(100) 'N_PC' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				)
		) as source
		on target.IDPC=source.IDPC
	when matched then 	update set target.DATEEND = source.DATEEND,target.N_PC = source.N_PC
	when not matched BY TARGET then
		insert (IDPC,N_PC,DATEBEG,DATEEND)
		values (IDPC,N_PC,DATEBEG,DATEEND);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

/* конец блока V */


/*M001_ksg */
if @typeSpr='M001_KSG'
begin
	merge M001_ksg as target
		using  
		(select  IDDS,DSNAME,KSG1,KSG2,KSG3,KSG4,KSG5,KSG6,ISKSG,ISNEW,ISDELETE,PAYABLE,PAYABLE_OSN
 FROM  OPENXML (@idxml, N'packet/zap',3) 	WITH ( 
IDDS nvarchar(1000) 'IDDS[text()!=""]' ,DSNAME nvarchar(1000) 'DSNAME[text()!=""]' 
,KSG1 nvarchar(1000) 'KSG1[text()!=""]' ,KSG2 nvarchar(1000) 'KSG2[text()!=""]' 
,KSG3 nvarchar(1000) 'KSG3[text()!=""]' ,KSG4 nvarchar(1000) 'KSG4[text()!=""]' 
,KSG5 nvarchar(1000) 'KSG5[text()!=""]' ,KSG6 nvarchar(1000) 'KSG6[text()!=""]' 
,ISKSG nvarchar(1000) 'ISKSG[text()!=""]' ,ISNEW nvarchar(1000) 'ISNEW[text()!=""]' 
,ISDELETE nvarchar(1000) 'ISDELETE[text()!=""]' ,PAYABLE nvarchar(1000) 'PAYABLE[text()!=""]' 
,PAYABLE_OSN nvarchar(1000) 'PAYABLE_OSN[text()!=""]' 
 )  ) as source 
 on target.IDDS=source.IDDS 
 when matched then 	update set 
 target.PAYABLE = source.PAYABLE , target.PAYABLE_OSN=source.PAYABLE_OSN , target.DSNAME=source.DSNAME
 when not matched BY TARGET then 
 insert ( IDDS,DSNAME,KSG1,KSG2,KSG3,KSG4,KSG5,KSG6,ISKSG,ISNEW,ISDELETE,PAYABLE,PAYABLE_OSN ) 
 values ( IDDS,DSNAME,KSG1,KSG2,KSG3,KSG4,KSG5,KSG6,ISKSG,ISNEW,ISDELETE,PAYABLE,PAYABLE_OSN);

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end

/*M001 */
if @typeSpr='M001'
begin
	merge M001 as target
		using  
		(select  IDDS,DSNAME,DATEBEG,nullif(DATEEND,'') DATEEND,Class,Section,Payable
 FROM  OPENXML (@idxml, N'packet/zap',3) 	WITH ( 
IDDS nvarchar(1000) 'IDDS[text()!=""]' ,DSNAME nvarchar(1000) 'DSNAME[text()!=""]' 
,DATEBEG nvarchar(1000) 'DATEBEG[text()!=""]' ,DATEEND nvarchar(1000) 'DATEEND[text()!=""]' 
,Class nvarchar(1000) 'Class[text()!=""]' ,Section nvarchar(1000) 'Section[text()!=""]' 
,Payable nvarchar(1000) 'Payable[text()!=""]' 
 )  ) as source 
 on target.IDDS=source.IDDS 
 when matched then 	update set 
 target.DATEEND = source.DATEEND , target.Payable=source.Payable, target.Class=source.Class  , target.DSNAME=source.DSNAME 
 when not matched BY TARGET then 
 insert ( IDDS,DSNAME,DATEBEG,DATEEND,Class,Section,Payable ) 
 values ( IDDS,DSNAME,DATEBEG,DATEEND,Class,Section,Payable);

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end


/*федеральный формат окато полный */
if @typeSpr='OKATO'
begin
    IF OBJECT_ID (N'O002', N'U') IS NULL 
			create table O002 (ID char(11),TER char(2),KOD1 char(3),NAME1 nvarchar(255))
	merge O002 as target
		using  	( select 
    TER,KOD1,NAME1
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        TER nvarchar(2) 'TER',
        KOD1 nvarchar(3) 'KOD1',
        KOD2 nvarchar(3) 'KOD2',
		KOD3 nvarchar(3) 'KOD3',
        NAME1 nvarchar(1000) 'NAME1',
		RAZDEL int 'RAZDEL'
				) where KOD3='000' and RAZDEL=1 and KOD2='000') as source
		on target.TER=source.TER and target.KOD1=source.KOD1	 
	when not matched BY TARGET then
		insert (ID,TER,KOD1,NAME1)
		values (TER+KOD1+'000000',TER,KOD1,NAME1);
set @rez = isnull(@@ROWCOUNT,0)


IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'O002') AND (COLUMN_NAME = N'NameWithID'))
    ALTER TABLE O002 ADD [NameWithID]  
		AS (TER+KOD1+'000000'+' '+NAME1);


if @@ERROR<>0 set @i = 1
end

/*ямед формат окато, с райоными обрезанный */
if @typeSpr='O002'
begin
    IF OBJECT_ID (N'O002', N'U') IS NULL 
			create table O002 (ID char(11),TER char(2),KOD1 char(3),NAME1 nvarchar(255))
	merge O002 as target
		using  	( select 
    ID,TER,KOD1,NAME1
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH ( ID char(11) 'ID',
        TER nvarchar(2) 'TER',
        KOD1 nvarchar(3) 'KOD1',
        NAME1 nvarchar(1000) 'NAME1'
				) ) as source
		on target.ID=source.ID 
	when not matched BY TARGET then
		insert (ID,TER,KOD1,NAME1)
		values (ID,TER,KOD1,NAME1);
set @rez = isnull(@@ROWCOUNT,0)


IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS
     WHERE (TABLE_NAME = N'O002') AND (COLUMN_NAME = N'NameWithID'))
    ALTER TABLE O002 ADD [NameWithID]  
		AS (ID+' '+NAME1);


if @@ERROR<>0 set @i = 1
end




if @typeSpr='SprKSGDecode'
begin
	merge SprKSGDecode as target
		using  	( select 
    cast(nullif([DS1],'') as nvarchar(10)) DS1,cast(nullif([DS2],'') as nvarchar(10)) DS2,cast(nullif([USL],'') as nvarchar(16)) USL,cast(nullif([VOZR],'') as int) VOZR,cast(nullif([POL],'') as int) POL,cast(nullif([DLIT],'') as int) DLIT,cast(nullif([NKSG],'') as nvarchar(20)) NKSG,cast(nullif([STYPE],'') as int) STYPE,cast(nullif([DBEG],'') as datetime) DBEG,cast(nullif([DEND],'') as datetime) DEND,cast(nullif([DOP_KR],'') as nvarchar(20)) DOP_KR,cast(nullif([DFR],'') as nvarchar(20)) DFR,cast(nullif([NUM],'') as nvarchar(20)) NUM,cast(nullif([DS3],'') as nvarchar(10)) DS3 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        DS1 nvarchar(1000) 'DS1',
        DS2 nvarchar(1000) 'DS2',
        USL nvarchar(1000) 'USL',
        VOZR nvarchar(1000) 'VOZR',
        POL nvarchar(1000) 'POL',
        DLIT nvarchar(1000) 'DLIT',
        NKSG nvarchar(1000) 'NKSG',
        STYPE nvarchar(1000) 'STYPE',
        DBEG nvarchar(1000) 'DBEG',
        DEND nvarchar(1000) 'DEND',
        DOP_KR nvarchar(1000) 'DOP_KR',
        DFR nvarchar(1000) 'DFR',
        NUM nvarchar(1000) 'NUM',
        DS3 nvarchar(1000) 'DS3'
				)) as source
		on 
 (target.DS1=source.DS1 or (target.DS1 is null and source.DS1 is null ))  and 
 (target.DS2=source.DS2 or (target.DS2 is null and source.DS2 is null ))  and 
 (target.USL=source.USL or (target.USL is null and source.USL is null ))  and 
 (target.VOZR=source.VOZR or (target.VOZR is null and source.VOZR is null ))  and 
 (target.POL=source.POL or (target.POL is null and source.POL is null ))  and 
 (target.DLIT=source.DLIT or (target.DLIT is null and source.DLIT is null ))  and 
 (target.NKSG=source.NKSG or (target.NKSG is null and source.NKSG is null ))  and 
 (target.STYPE=source.STYPE or (target.STYPE is null and source.STYPE is null ))  and 
 (target.DBEG=source.DBEG or (target.DBEG is null and source.DBEG is null ))  and 
 (target.DOP_KR=source.DOP_KR or (target.DOP_KR is null and source.DOP_KR is null ))  and 
 (target.DFR=source.DFR or (target.DFR is null and source.DFR is null ))  and 
 (target.NUM=source.NUM or (target.NUM is null and source.NUM is null ))  and 
 (target.DS3=source.DS3 or (target.DS3 is null and source.DS3 is null ))  
	when matched then 	update set target.DEND=source.DEND
	when not matched BY TARGET then
		insert (DS1,DS2,USL,VOZR,POL,DLIT,NKSG,STYPE,DBEG,DEND,DOP_KR,DFR,NUM,DS3)
		values (DS1,DS2,USL,VOZR,POL,DLIT,NKSG,STYPE,DBEG,DEND,DOP_KR,DFR,NUM,DS3);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end


if @typeSpr='MHLCoef'
begin
    IF OBJECT_ID (N'K002', N'U') IS NULL 
			create table K002 (TF_OKATO nvarchar(5),IDUMP int 
 	 	,LVL nvarchar(10),KOEF_U numeric(6,5),  DATEBEG datetime,DATEEND datetime)
	merge K002 as target		using  	( 
		select 
    cast(nullif([TF_OKATO],'') as nvarchar(5)) TF_OKATO,cast(nullif([IDUMP],'') as int) IDUMP,cast(nullif([LVL],'') as nvarchar(10)) LVL,cast(nullif([KOEF_U],'') as numeric(6,5)) KOEF_U,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        TF_OKATO nvarchar(1000) 'TF_OKATO',
        IDUMP nvarchar(1000) 'IDUMP',
        LVL nvarchar(1000) 'LVL',
        KOEF_U nvarchar(1000) 'KOEF_U',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				) where tf_okato=@tf_okato
				
				) as source 		on target.TF_OKATO=source.TF_OKATO and target.lvl=source.lvl and target.IDUMP = source.IDUMP
									and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (TF_OKATO,IDUMP,LVL,KOEF_U,DATEBEG,DATEEND)
		values (TF_OKATO,IDUMP,LVL,KOEF_U,DATEBEG,DATEEND);
		
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end


if @typeSpr='BaseRate' 
	begin
	   IF OBJECT_ID (N'K003', N'U') IS NULL 
			create table K003 (TF_OKATO nvarchar(5),IDUMP int 
 	 	,BZTSZ numeric(15,2),  DATEBEG datetime,DATEEND datetime)
	merge K003 as target
		using  	( select 
    cast(nullif([TF_OKATO],'') as nvarchar(5)) TF_OKATO,cast(nullif([IDUMP],'') as int) IDUMP,cast(nullif([BZTSZ],'') as numeric(15,2)) BZTSZ,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        TF_OKATO nvarchar(1000) 'TF_OKATO',
        IDUMP nvarchar(1000) 'IDUMP',
        BZTSZ nvarchar(1000) 'BZTSZ',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				) where tf_okato=@tf_okato ) as source
		on target.TF_OKATO=source.TF_OKATO and target.IDUMP = source.IDUMP and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (TF_OKATO,IDUMP,BZTSZ,DATEBEG,DATEEND)
		values (TF_OKATO,IDUMP,BZTSZ,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='KSLP' 
	begin
	  IF OBJECT_ID (N'K004', N'U') IS NULL 
			create table K004 (TF_OKATO nvarchar(5),IDSL int ,NPR int 
 	 	,BZTSZ numeric(3,2),USLKOEF nvarchar(1000),  DATEBEG datetime,DATEEND datetime)
	merge K004 as target
		using  	( select 
    cast(nullif([TF_OKATO],'') as nvarchar(5)) TF_OKATO,cast(nullif([IDSL],'') as int) IDSL,cast(nullif([NPR],'') as int) NPR,cast(nullif([BZTSZ],'') as numeric(3,2)) BZTSZ,cast(nullif([USLKOEF],'') as nvarchar(1000)) USLKOEF,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        TF_OKATO nvarchar(1000) 'TF_OKATO',
        IDSL nvarchar(1000) 'IDSL',
        NPR nvarchar(1000) 'NPR',
        BZTSZ nvarchar(1000) 'BZTSZ',
        USLKOEF nvarchar(1000) 'USLKOEF',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				) where tf_okato=@tf_okato ) as source
		on target.TF_OKATO=source.TF_OKATO and target.DATEBEG=source.DATEBEG and target.idsl=source.idsl
	when matched then 	update set target.IDSL = source.IDSL
	when not matched BY TARGET then
		insert (TF_OKATO,IDSL,NPR,BZTSZ,USLKOEF,DATEBEG,DATEEND)
		values (TF_OKATO,IDSL,NPR,BZTSZ,USLKOEF,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='FLK_MPF' 
	begin
	   IF OBJECT_ID (N'Q015', N'U') IS NULL 
			create TABLE [Q015] (ID_TEST nvarchar(12),ID_EL nvarchar(100),TYPE_D nvarchar(2)
				,NSI_OBJ nvarchar(4), NSI_EL nvarchar(20),USL_TEST nvarchar(254)
				,VAL_EL nvarchar(254),MIN_LEN int,MAX_LEN int,MASK_VAL nvarchar(254)
				,COMMENT nvarchar(254),DATEBEG datetime,DATEEND datetime) 

				merge Q015 as target
				using  	( select 
			cast(nullif([ID_TEST],'') as nvarchar(12)) ID_TEST,cast(nullif([ID_EL],'') as nvarchar(100)) ID_EL,cast(nullif([TYPE_D],'') as nvarchar(2)) TYPE_D,cast(nullif([NSI_OBJ],'') as nvarchar(4)) NSI_OBJ,cast(nullif([NSI_EL],'') as nvarchar(20)) NSI_EL,cast(nullif([USL_TEST],'') as nvarchar(254)) USL_TEST,cast(nullif([VAL_EL],'') as nvarchar(254)) VAL_EL,cast(nullif([MIN_LEN],'') as int) MIN_LEN,cast(nullif([MAX_LEN],'') as int) MAX_LEN,cast(nullif([MASK_VAL],'') as nvarchar(254)) MASK_VAL,cast(nullif([COMMENT],'') as nvarchar(254)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
			  FROM  OPENXML (@idxml, N'packet/zap/TYPE_MD/TYPE_D',3)
				with( ID_TEST nvarchar(1000) '../../ID_TEST',
				ID_EL nvarchar(1000) '../../ID_EL',
				TYPE_D nvarchar(1000) '.',
				NSI_OBJ nvarchar(1000) '../../NSI_OBJ',
				NSI_EL nvarchar(1000) '../../NSI_EL',
				USL_TEST nvarchar(1000) '../../USL_TEST',
				VAL_EL nvarchar(1000) '../../VAL_EL',
				MIN_LEN nvarchar(1000) '../../MIN_LEN',
				MAX_LEN nvarchar(1000) '../../MAX_LEN',
				MASK_VAL nvarchar(1000) '../../MASK_VAL',
				COMMENT nvarchar(1000) '../../COMMENT',
				DATEBEG nvarchar(1000) '../../DATEBEG',
				DATEEND nvarchar(1000) '../../DATEEND'
						)) as source
				on target.ID_TEST=source.ID_TEST and  target.TYPE_D=source.TYPE_D and target.DATEBEG=source.DATEBEG
			when matched then 	update set target.DATEEND = source.DATEEND
			when not matched BY TARGET then
				insert (ID_TEST,ID_EL,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,MIN_LEN,MAX_LEN,MASK_VAL,COMMENT,DATEBEG,DATEEND)
				values (ID_TEST,ID_EL,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,MIN_LEN,MAX_LEN,MASK_VAL,COMMENT,DATEBEG,DATEEND);
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='MEK_MPF'
begin	/*ффомс заголовок забыл добавить, исправлять при каждом обновлении */
    IF OBJECT_ID (N'Q016', N'U') IS NULL 
		create table Q016 (ID_TEST nvarchar(10), ID_EL nvarchar(100),DESC_TEST nvarchar(500)
				,TYPE_D nvarchar(2),NSI_OBJ nvarchar(10),NSI_EL nvarchar(20),USL_TEST nvarchar(254)
				,VAL_EL nvarchar(254),COMMENT nvarchar(500),DATEBEG datetime,DATEEND datetime)

	merge Q016 as target
		using  	( select 
    cast(nullif([ID_TEST],'') as nvarchar(10)) ID_TEST,cast(nullif([ID_EL],'') as nvarchar(100)) ID_EL,cast(nullif([DESC_TEST],'') as nvarchar(500)) DESC_TEST,cast(nullif([TYPE_D],'') as nvarchar(2)) TYPE_D,cast(nullif([NSI_OBJ],'') as nvarchar(10)) NSI_OBJ,cast(nullif([NSI_EL],'') as nvarchar(20)) NSI_EL,cast(nullif([USL_TEST],'') as nvarchar(254)) USL_TEST,cast(nullif([VAL_EL],'') as nvarchar(254)) VAL_EL,cast(nullif([COMMENT],'') as nvarchar(500)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap/TYPE_MD/TYPE_D',3)
				WITH (
        ID_TEST nvarchar(1000) '../../ID_TEST',
        ID_EL nvarchar(1000) '../../ID_EL',
        DESC_TEST nvarchar(1000) '../../DESC_TEST',
        TYPE_D nvarchar(1000) '.',
        NSI_OBJ nvarchar(1000) '../../NSI_OBJ',
        NSI_EL nvarchar(1000) '../../NSI_EL',
        USL_TEST nvarchar(1000) '../../USL_TEST',
        VAL_EL nvarchar(1000) '../../VAL_EL',
        COMMENT nvarchar(1000) '../../COMMENT',
        DATEBEG nvarchar(1000) '../../DATEBEG',
        DATEEND nvarchar(1000) '../../DATEEND'
				)) as source
		on target.ID_TEST=source.ID_TEST and  target.TYPE_D=source.TYPE_D and target.DATEBEG=source.DATEBEG	and target.ID_EL=source.ID_EL
			and  target.USL_TEST=source.USL_TEST	and  target.VAL_EL=source.VAL_EL
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (ID_TEST,ID_EL,DESC_TEST,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,COMMENT,DATEBEG,DATEEND)
		values (ID_TEST,ID_EL,DESC_TEST,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='TEST_K'
begin
    IF OBJECT_ID (N'Q017', N'U') IS NULL 
			create table Q017 (ID_KTEST nvarchar(4),NAM_KTEST nvarchar(500) 
 	 	,COMMENT nvarchar(500),DATEBEG datetime,DATEEND datetime)
	merge Q017 as target
		using  	( select 
    cast(nullif([ID_KTEST],'') as nvarchar(4)) ID_KTEST,cast(nullif([NAM_KTEST],'') as nvarchar(500)) NAM_KTEST,cast(nullif([COMMENT],'') as nvarchar(500)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        ID_KTEST nvarchar(1000) 'ID_KTEST',
        NAM_KTEST nvarchar(1000) 'NAM_KTEST',
        COMMENT nvarchar(1000) 'COMMENT',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				)) as source
		on target.ID_KTEST=source.ID_KTEST and target.DATEBEG=source.DATEBEG
	when matched then 	update set  target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (ID_KTEST,NAM_KTEST,COMMENT,DATEBEG,DATEEND)
		values (ID_KTEST,NAM_KTEST,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='DESCR_R'
begin
     IF OBJECT_ID (N'Q018', N'U') IS NULL 
		 create table Q018 (IDZAP nvarchar(100), ID_EL nvarchar(100)
			,TYPE_D nvarchar(2),TYPE_E nvarchar(2),FORM_E nvarchar(1)
			,MXLEN_E nvarchar(4),NAME_E nvarchar(150),DESC_E nvarchar(1500)
			,DATEBEG datetime,DATEEND datetime)
	merge Q018 as target
		using  	( select 
    cast(nullif([IDZAP],'') as nvarchar(100)) IDZAP,cast(nullif([ID_EL],'') as nvarchar(100)) ID_EL,cast(nullif([TYPE_D],'') as nvarchar(2)) TYPE_D,cast(nullif([TYPE_E],'') as varchar(2)) TYPE_E,cast(nullif([FORM_E],'') as nvarchar(1)) FORM_E,cast(nullif([MXLEN_E],'') as nvarchar(4)) MXLEN_E,cast(nullif([NAME_E],'') as nvarchar(150)) NAME_E,cast(nullif([DESC_E],'') as nvarchar(1500)) DESC_E,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        IDZAP nvarchar(1000) 'IDZAP',
        ID_EL nvarchar(1000) 'ID_EL',
        TYPE_D nvarchar(1000) 'TYPE_D',
        TYPE_E nvarchar(1000) 'TYPE_E',
        FORM_E nvarchar(1000) 'FORM_E',
        MXLEN_E nvarchar(1000) 'MXLEN_E',
        NAME_E nvarchar(1000) 'NAME_E',
        DESC_E nvarchar(1000) 'DESC_E',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				)) as source
		on target.IDZAP=source.IDZAP  and  target.TYPE_D=source.TYPE_D and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDZAP,ID_EL,TYPE_D,TYPE_E,FORM_E,MXLEN_E,NAME_E,DESC_E,DATEBEG,DATEEND)
		values (IDZAP,ID_EL,TYPE_D,TYPE_E,FORM_E,MXLEN_E,NAME_E,DESC_E,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='TYPE_DAT'
begin  /*ффомс заголовок забыл добавить, исправлять при каждом обновлении */
    IF OBJECT_ID (N'Q019', N'U') IS NULL 
		 create table Q019 (IDTYPED nvarchar(2),NAMTYPED nvarchar(1000) 
 	 			,DATEBEG datetime,DATEEND datetime)
	merge Q019 as target
		using  	( select 
    cast(nullif([IDTYPED],'') as nvarchar(2)) IDTYPED,cast(nullif([NAMTYPED],'') as nvarchar(1000)) NAMTYPED,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        IDTYPED nvarchar(1000) 'IDTYPED',
        NAMTYPED nvarchar(1000) 'NAMTYPED',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				)) as source
		on target.IDTYPED=source.IDTYPED and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDTYPED,NAMTYPED,DATEBEG,DATEEND)
		values (IDTYPED,NAMTYPED,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end


if @typeSpr='TYPE_EL'
begin  /*ффомс заголовок забыл добавить, исправлять при каждом обновлении */
   IF OBJECT_ID (N'Q020', N'U') IS NULL 
		 create table Q020 (IDTYPE nvarchar(2),NAMTYPE nvarchar(1000) 
 	 			,COMMENT nvarchar(1000),DATEBEG datetime,DATEEND datetime)
	merge Q020 as target
		using  	( select 
    cast(nullif([IDTYPE],'') as nvarchar(2)) IDTYPE,cast(nullif([NAMTYPE],'') as nvarchar(1000)) NAMTYPE,cast(nullif([COMMENT],'') as nvarchar(1000)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        IDTYPE nvarchar(1000) 'IDTYPE',
        NAMTYPE nvarchar(1000) 'NAMTYPE',
        COMMENT nvarchar(1000) 'COMMENT',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				)) as source
		on target.IDTYPE=source.IDTYPE and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDTYPE,NAMTYPE,COMMENT,DATEBEG,DATEEND)
		values (IDTYPE,NAMTYPE,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='FORM_EL'
begin	/*ффомс заголовок забыл добавить, исправлять при каждом обновлении */
     IF OBJECT_ID (N'Q021', N'U') IS NULL 
		 create table Q021 (IDFORM nvarchar(2),NAMFORM nvarchar(1000) 
 	 			,COMMENT nvarchar(1000),DATEBEG datetime,DATEEND datetime)
	merge Q021 as target
		using  	( select 
    cast(nullif([IDFORM],'') as nvarchar(2)) IDFORM,cast(nullif([NAMFORM],'') as nvarchar(1000)) NAMFORM,cast(nullif([COMMENT],'') as nvarchar(1000)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
        IDFORM nvarchar(1000) 'IDFORM',
        NAMFORM nvarchar(1000) 'NAMFORM',
        COMMENT nvarchar(1000) 'COMMENT',
        DATEBEG nvarchar(1000) 'DATEBEG',
        DATEEND nvarchar(1000) 'DATEEND'
				)) as source
		on target.IDFORM=source.IDFORM	and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (IDFORM,NAMFORM,COMMENT,DATEBEG,DATEEND)
		values (IDFORM,NAMFORM,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='FLK_MPR'
begin
      IF OBJECT_ID (N'Q022', N'U') IS NULL 
		 create table Q022 (ID_TEST nvarchar(12), ID_EL nvarchar(100)
			,TYPE_D nvarchar(2),NSI_OBJ nvarchar(10),NSI_EL nvarchar(20),USL_TEST nvarchar(254)
						,VAL_EL nvarchar(254),MIN_LEN int,MAX_LEN int,MASK_VAL nvarchar(254)
						,COMMENT nvarchar(254),DATEBEG datetime,DATEEND datetime)
	merge Q022 as target
		using  	( select 
    cast(nullif([ID_TEST],'') as nvarchar(12)) ID_TEST,cast(nullif([ID_EL],'') as nvarchar(100)) ID_EL,cast(nullif([TYPE_D],'') as nvarchar(2)) TYPE_D,cast(nullif([NSI_OBJ],'') as nvarchar(10)) NSI_OBJ,cast(nullif([NSI_EL],'') as nvarchar(20)) NSI_EL,cast(nullif([USL_TEST],'') as nvarchar(254)) USL_TEST,cast(nullif([VAL_EL],'') as nvarchar(254)) VAL_EL,cast(nullif([MIN_LEN],'') as int) MIN_LEN,cast(nullif([MAX_LEN],'') as int) MAX_LEN,cast(nullif([MASK_VAL],'') as nvarchar(254)) MASK_VAL,cast(nullif([COMMENT],'') as nvarchar(254)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap/TYPE_MD/TYPE_D',3)
				WITH (
        ID_TEST nvarchar(1000) '../../ID_TEST',
        ID_EL nvarchar(1000) '../../ID_EL',
        TYPE_D nvarchar(1000) '.',
        NSI_OBJ nvarchar(1000) '../../NSI_OBJ',
        NSI_EL nvarchar(1000) '../../NSI_EL',
        USL_TEST nvarchar(1000) '../../USL_TEST',
        VAL_EL nvarchar(1000) '../../VAL_EL',
        MIN_LEN nvarchar(1000) '../../MIN_LEN',
        MAX_LEN nvarchar(1000) '../../MAX_LEN',
        MASK_VAL nvarchar(1000) '../../MASK_VAL',
        COMMENT nvarchar(1000) '../../COMMENT',
        DATEBEG nvarchar(1000) '../../DATEBEG',
        DATEEND nvarchar(1000) '../../DATEEND'
				)) as source
		on target.ID_TEST=source.ID_TEST and  target.TYPE_D=source.TYPE_D and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (ID_TEST,ID_EL,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,MIN_LEN,MAX_LEN,MASK_VAL,COMMENT,DATEBEG,DATEEND)
		values (ID_TEST,ID_EL,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,MIN_LEN,MAX_LEN,MASK_VAL,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='MEK_MPR'
begin
      IF OBJECT_ID (N'Q023', N'U') IS NULL 
		 create table Q023 (ID_TEST nvarchar(10), ID_EL nvarchar(100),DESC_TEST nvarchar(500)
			,TYPE_D nvarchar(2),NSI_OBJ nvarchar(10),NSI_EL nvarchar(20),USL_TEST nvarchar(254)
						,VAL_EL nvarchar(254),COMMENT nvarchar(254),DATEBEG datetime,DATEEND datetime)
	merge Q023 as target
		using  	( select 
    cast(nullif([ID_TEST],'') as nvarchar(10)) ID_TEST,cast(nullif([ID_EL],'') as nvarchar(100)) ID_EL,cast(nullif([DESC_TEST],'') as nvarchar(500)) DESC_TEST,cast(nullif([TYPE_D],'') as nvarchar(2)) TYPE_D,cast(nullif([NSI_OBJ],'') as nvarchar(10)) NSI_OBJ,cast(nullif([NSI_EL],'') as nvarchar(20)) NSI_EL,cast(nullif([USL_TEST],'') as nvarchar(254)) USL_TEST,cast(nullif([VAL_EL],'') as nvarchar(254)) VAL_EL,cast(nullif([COMMENT],'') as nvarchar(254)) COMMENT,cast(nullif([DATEBEG],'') as datetime) DATEBEG,cast(nullif([DATEEND],'') as datetime) DATEEND 
	  FROM  OPENXML (@idxml, N'packet/zap/TYPE_MD/TYPE_D',3)
				WITH (
        ID_TEST nvarchar(1000) '../../ID_TEST',
        ID_EL nvarchar(1000) '../../ID_EL',
        DESC_TEST nvarchar(1000) '../../DESC_TEST',
        TYPE_D nvarchar(1000) '.',
        NSI_OBJ nvarchar(1000) '../../NSI_OBJ',
        NSI_EL nvarchar(1000) '../../NSI_EL',
        USL_TEST nvarchar(1000) '../../USL_TEST',
        VAL_EL nvarchar(1000) '../../VAL_EL',
        COMMENT nvarchar(1000) '../../COMMENT',
        DATEBEG nvarchar(1000) '../../DATEBEG',
        DATEEND nvarchar(1000) '../../DATEEND'
				)) as source
		on target.ID_TEST=source.ID_TEST and  target.TYPE_D=source.TYPE_D and target.DATEBEG=source.DATEBEG	 and target.ID_EL=source.ID_EL
			and  target.USL_TEST=source.USL_TEST	and  target.VAL_EL=source.VAL_EL
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (ID_TEST,ID_EL,DESC_TEST,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,COMMENT,DATEBEG,DATEEND)
		values (ID_TEST,ID_EL,DESC_TEST,TYPE_D,NSI_OBJ,NSI_EL,USL_TEST,VAL_EL,COMMENT,DATEBEG,DATEEND);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='rg001' 
	begin
		merge rg001 as target 		using
		(select F1,F2
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'KATEGOR' 
				,F2 nvarchar(255) 'NAIM'   ) )as source
				on target.KATEGOR=source.F1 
			when matched then 	update set target.NAIM = source.F2 

			when not matched BY TARGET then
				insert (KATEGOR,NAIM)
				values (F1,F2);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='rg003' 
	begin
		merge rg003 as target 		using
		(select F1,F2
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'KC' 
				,F2 nvarchar(255) 'NC'   ) )as source
				on target.KC=source.F1 
			when matched then 	update set target.NC = source.F2 

			when not matched BY TARGET then
				insert (KC,NC)
				values (F1,F2);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='rg004' 
	begin
		merge rg004 as target 		using
		(select F1,F2
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'KOD' 
				,F2 nvarchar(255) 'NAIM'   ) )as source
				on target.KOD=source.F1 
			when matched then 	update set target.NAIM = source.F2 

			when not matched BY TARGET then
				insert (KOD,NAIM)
				values (F1,F2);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='rg005' 
	begin
		merge rg005 as target 		using
		(select F1,F2,replace(F3,',','.') F3,F4,DB,nullif(DE,'') DE
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'IDSL' 
				,F2 nvarchar(255) 'NPR'
				,F3 nvarchar(255) 'ZKOEF' 
				,F4 nvarchar(255) 'USLKOEF'
				,DB nvarchar(100) 'DATEBEG'
				,DE nvarchar(100) 'DATEEND'   ) )as source
				on target.IDSL=source.F1 and target.NPR=source.F2	and  target.DATEBEG=source.DB
			when matched then 	update set target.DATEEND = source.DE

			when not matched BY TARGET then
				insert (IDSL,NPR,ZKOEF,USLKOEF,DATEBEG,DATEEND)
				values (F1,F2,F3,F4,DB,DE);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='rg006' 
	begin
		merge rg006 as target 		using
		(select F1,F2,F3
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'GLN' 
				,F2 nvarchar(255) 'KOD_LPU'
				,F3 nvarchar(255) 'NAIM_LPU' 
				  ) )as source
				on target.KOD_LPU=source.F2 
			when matched then 	update set target.NAIM_LPU = source.F3

			when not matched BY TARGET then
				insert (GLN,KOD_LPU,NAIM_LPU)
				values (F1,F2,F3);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='rg006' 
	begin
		merge rg006 as target 		using
		(select F1,F2,F3
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'GLN' 
				,F2 nvarchar(255) 'KOD_LPU'
				,F3 nvarchar(255) 'NAIM_LPU' 
				  ) )as source
				on target.KOD_LPU=source.F2 
			when matched then 	update set target.NAIM_LPU = source.F3

			when not matched BY TARGET then
				insert (GLN,KOD_LPU,NAIM_LPU)
				values (F1,F2,F3);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='rg007' 
	begin
		merge rg007 as target 		using
		(select F1,F2,F3
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 int 'KODUSL' 
				,F2 nvarchar(255) 'NUSL'
				,F3 nvarchar(255) 'CUSL' 
				  ) )as source
				on target.KODUSL=source.F1 
			when matched then 	update set target.NUSL = source.F2

			when not matched BY TARGET then
				insert (KODUSL,NUSL,CUSL)
				values (F1,F2,F3);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='rg008' 
	begin
		merge rg008 as target 		using
		(select F1,F2,replace(F3,',','.') F3,F4,DB,nullif(DE,'') DE
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'KUSL' 
				,F2 nvarchar(255) 'NUSL'
				,F3 nvarchar(255) 'CUSL' 
				,F4 nvarchar(255) 'PDETI'
				,DB nvarchar(100) 'DT_BEG'
				,DE nvarchar(100) 'DT_FIN'   ) )as source
				on target.KUSL=source.F1 and target.PDETI=source.F4	and  target.DT_BEG=source.DB
			when matched then 	update set target.DT_FIN = source.DE

			when not matched BY TARGET then
				insert (KUSL,NUSL,CUSL,PDETI,DT_BEG,DT_FIN)
				values (F1,F2,F3,F4,DB,DE);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end
if @typeSpr='rg009' 
	begin
		merge rg009 as target 		using
		(select F1,F2
			FROM  OPENXML (@idxml, N'/SPRAV/ZAP',3)
				WITH (F1 nvarchar(255) 'KOD' 
				,F2 nvarchar(255) 'NAME'   ) )as source
				on target.KOD=source.F1 
			when matched then 	update set target.NAME = source.F2 

			when not matched BY TARGET then
				insert (KOD,NAME)
				values (F1,F2);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	end

if @typeSpr='rg010' 
	begin
	 truncate table rg010
	  insert into rg010 (KOD_LPU,N_ST,NAIM,SR_DL,DT_BEG,DT_FIN,TARIF,BZTSZ,KOEF_Z,KOEF_UP,KOEF_D,KOEF_U,DN,N_ST_STR)
		select F1,F2,F3,F4,DB,nullif(DE,'') DE,F5,F6,F7,F8,F9,F10,F11,F12
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'N_ST' /*40000.1 есть */
				,F3 nvarchar(255) 'NAIM' 
				,F4	nvarchar(255) 'SR_DL' 
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F5 nvarchar(255) 'TARIF'
				,F6 nvarchar(255) 'BZTSZ'
				,F7 nvarchar(255) 'KOEF_Z'
				,F8 nvarchar(255) 'KOEF_UP'
				,F9 nvarchar(255) 'KOEF_D'
				,F10 nvarchar(255) 'KOEF_U'
				,F11 nvarchar(255) 'DN'
				,F12 nvarchar(255) 'N_ST_STR'   ) 

		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='rg010OLD' 
	begin
		merge rg010 as target 		using  		(
		select F1,F2,F3,F4,DB,nullif(DE,'') DE,F5,F6,F7,F8,F9,F10,F11,F12
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'N_ST' /*40000.1 есть */
				,F3 nvarchar(255) 'NAIM' 
				,F4	nvarchar(255) 'SR_DL' 
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F5 nvarchar(255) 'TARIF'
				,F6 nvarchar(255) 'BZTSZ'
				,F7 nvarchar(255) 'KOEF_Z'
				,F8 nvarchar(255) 'KOEF_UP'
				,F9 nvarchar(255) 'KOEF_D'
				,F10 nvarchar(255) 'KOEF_U'
				,F11 nvarchar(255) 'DN'
				,F12 nvarchar(255) 'N_ST_STR'   ) 
				
				)as source
				on target.KOD_LPU=source.F1 and target.N_ST=source.F2	and  target.DT_BEG=source.DB
			when matched then 	update set target.DT_FIN = source.DE

			when not matched BY TARGET then
				insert (KOD_LPU,N_ST,NAIM,SR_DL,DT_BEG,DT_FIN,TARIF,BZTSZ,KOEF_Z,KOEF_UP,KOEF_D,KOEF_U,DN,N_ST_STR)
				values (F1,F2,F3,F4,DB,DE,F5,F6,F7,F8,F9,F10,F11,F12);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='rg011' 
	begin
		merge rg011 as target 		using  		(
		select F1,F2,F3,F4,DB,nullif(DE,'') DE,F5
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'KOD' 
				,F3 nvarchar(255) 'NAIM' 
				,F4	nvarchar(255) 'SR_DL' 
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F5 nvarchar(255) 'TARIF'
				   ) 
				
				)as source
				on target.KOD_LPU=source.F1 and target.KOD=source.F2	and  target.DT_BEG=source.DB
			when matched then 	update set target.DT_FIN = source.DE

			when not matched BY TARGET then
				insert (KOD_LPU,KOD,NAIM,SR_DL,DT_BEG,DT_FIN,TARIF)
				values (F1,F2,F3,F4,DB,DE,F5);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='rg012' 
	begin
	 truncate table rg012  /*справочник огромный и с дублями, потому только так. */
	 insert into rg012 (KOD_LPU,KOD_SP,NSP,KODUSL,NUSL,DT_BEG,DT_FIN,TARIF,USL_OK,CODE_USL)
		
		select F1,F2,F3,F4,F5,DB,nullif(DE,'') DE,F6,F7,F8
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'KOD_SP' 
				,F3 nvarchar(255) 'NSP' 
				,F4	nvarchar(255) 'KODUSL' 
				,F5	nvarchar(255) 'NUSL'
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F6 nvarchar(255) 'TARIF'
				,F7	nvarchar(255) 'USL_OK'
				,F8	nvarchar(255) 'CODE_USL'
				   ) 
	
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='rg012OLD' 
	begin
		merge rg012 as target 		using  		(
		select F1,F2,F3,F4,F5,DB,nullif(DE,'') DE,F6,F7,F8
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'KOD_SP' 
				,F3 nvarchar(255) 'NSP' 
				,F4	nvarchar(255) 'KODUSL' 
				,F5	nvarchar(255) 'NUSL'
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F6 nvarchar(255) 'TARIF'
				,F7	nvarchar(255) 'USL_OK'
				,F8	nvarchar(255) 'CODE_USL'
				   ) 
				
				)as source
				on target.KOD_LPU=source.F1 and target.KOD_SP=source.F2	and  target.DT_BEG=source.DB
			when matched then 	update set target.DT_FIN = source.DE

			when not matched BY TARGET then
				insert (KOD_LPU,KOD_SP,NSP,KODUSL,NUSL,DT_BEG,DT_FIN,TARIF,USL_OK,CODE_USL)
				values (F1,F2,F3,F4,F5,DB,DE,F6,F7,F8);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end
if @typeSpr='rg013' 
	begin
		merge rg013 as target 		using  		(
		select F1,F2,F3,F4,F5,DB,nullif(DE,'') DE,F6
			FROM  OPENXML (@idxml, N'/SPRAV/MO/TAR/ZAP',3)
				WITH (F1 nvarchar(255) '../../KOD_LPU' 
				,F2 nvarchar(255) 'VID_BRIG' 
				,F3 nvarchar(255) 'NBRIG' 
				,F4	nvarchar(255) 'VID_VIZ' 
				,F5	nvarchar(255) 'NVIZ'
				,DB nvarchar(100) 'DT_BEG'				 
				,DE nvarchar(100) 'DT_FIN'
				,F6 nvarchar(255) 'TARIF'
				   ) 
				
				)as source
				on target.KOD_LPU=source.F1 and target.VID_BRIG=source.F2	and  target.DT_BEG=source.DB  and  target.VID_VIZ=source.F4
			when matched then 	update set target.DT_FIN = source.DE

			when not matched BY TARGET then
				insert (KOD_LPU,VID_BRIG,NBRIG,VID_VIZ,NVIZ,DT_BEG,DT_FIN,TARIF)
				values (F1,F2,F3,F4,F5,DB,DE,F6);
		
		set @rez = isnull(@@ROWCOUNT,0)
		if @@ERROR<>0 set @i = 1
	   
		
	end

if @typeSpr='F002'
	begin
		merge F002 as target
			using  	( select 
		cast(nullif([tf_okato],'') as nvarchar(5)) tf_okato,smocod,cast(nullif([nam_smop],'') as nvarchar(250)) nam_smop,cast(nullif([nam_smok],'') as nvarchar(250)) nam_smok
		,cast(nullif([inn],'') as nvarchar(12)) inn,cast(nullif([Ogrn],'') as nvarchar(15)) Ogrn,cast(nullif([KPP],'') as nvarchar(9)) KPP
		,cast(nullif([okopf],'') as nvarchar(5)) okopf,cast(nullif([fam_ruk],'') as nvarchar(40)) fam_ruk,cast(nullif([im_ruk],'') as nvarchar(40)) im_ruk,cast(nullif([ot_ruk],'') as nvarchar(40)) ot_ruk,cast(nullif([phone],'') as nvarchar(40)) phone
		  FROM  OPENXML (@idxml, N'/packet/insCompany',3)
					WITH (
			tf_okato nvarchar(1000) 'tf_okato',
			smocod nvarchar(1000) 'smocod',
			nam_smop nvarchar(1000) 'nam_smop',
			nam_smok nvarchar(1000) 'nam_smok',
			inn nvarchar(1000) 'inn',
			Ogrn nvarchar(1000) 'Ogrn',
			KPP nvarchar(1000) 'KPP',
			okopf nvarchar(1000) 'okopf',
			fam_ruk nvarchar(1000) 'fam_ruk',
			im_ruk nvarchar(1000) 'im_ruk',
			ot_ruk nvarchar(1000) 'ot_ruk',
			phone nvarchar(1000) 'phone'
			/*d_edit nvarchar(1000) 'd_edit' */
					) 
					) as source
			on target.smocod=source.smocod
		when matched then 	update set target.nam_smop = source.nam_smop,target.nam_smok = source.nam_smok
			,target.fam_ruk = source.fam_ruk,target.im_ruk = source.im_ruk,target.ot_ruk = source.ot_ruk
			,target.phone = source.phone
		when not matched BY TARGET then
			insert (tf_okato,smocod,nam_smop,nam_smok,inn,Ogrn,KPP,okopf,fam_ruk,im_ruk,ot_ruk,phone)
			values (tf_okato,smocod,nam_smop,nam_smok,inn,Ogrn,KPP,okopf,fam_ruk,im_ruk,ot_ruk,phone);
	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end

if @typeSpr='F003'
begin
	merge F003 as target
		using  	( select 
    cast(nullif([tf_okato],'') as nvarchar(5)) tf_okato,cast(nullif([mcod],'') as nvarchar(6)) mcod,cast(nullif([nam_mop],'') as nvarchar(250)) nam_mop,cast(nullif([nam_mok],'') as nvarchar(250)) nam_mok,cast(nullif([inn],'') as nvarchar(12)) inn,cast(nullif([Ogrn],'') as nvarchar(15)) Ogrn,cast(nullif([KPP],'') as nvarchar(9)) KPP,cast(nullif([index_j],'') as nvarchar(6)) index_j,cast(nullif([addr_j],'') as nvarchar(254)) addr_j,cast(nullif([okopf],'') as nvarchar(5)) okopf,cast(nullif([vedpri],'') as numeric(3,0)) vedpri,cast(nullif([org],'') as numeric(1,0)) org,cast(nullif([fam_ruk],'') as nvarchar(40)) fam_ruk,cast(nullif([im_ruk],'') as nvarchar(40)) im_ruk,cast(nullif([ot_ruk],'') as nvarchar(40)) ot_ruk,cast(nullif([phone],'') as nvarchar(40)) phone,cast(nullif([fax],'') as nvarchar(40)) fax,cast(nullif([e_mail],'') as nvarchar(50)) e_mail,cast(nullif([n_doc],'') as nvarchar(30)) n_doc,cast(nullif([d_start],'') as datetime) d_start,cast(nullif([data_e],'') as datetime) data_e,cast(nullif([mp],'') as nvarchar(20)) mp,cast(nullif([www],'') as nvarchar(100)) www,cast(nullif([d_begin],'') as datetime) d_begin,cast(nullif([d_end],'') as datetime) d_end,cast(nullif([name_e],'') as nvarchar(10)) name_e,cast(nullif([DUVED],'') as datetime) DUVED,cast(nullif([d_edit],'') as datetime) d_edit
	  FROM  OPENXML (@idxml, N'packet/medCompany',3)
				WITH (
        tf_okato nvarchar(1000) 'tf_okato',
        mcod nvarchar(1000) 'mcod',
        nam_mop nvarchar(1000) 'nam_mop',
        nam_mok nvarchar(1000) 'nam_mok',
        inn nvarchar(1000) 'inn',
        Ogrn nvarchar(1000) 'Ogrn',
        KPP nvarchar(1000) 'KPP',
        index_j nvarchar(1000) 'index_j',
        addr_j nvarchar(1000) 'addr_j',
        okopf nvarchar(1000) 'okopf',
        vedpri nvarchar(1000) 'vedpri',
        org nvarchar(1000) 'org',
        fam_ruk nvarchar(1000) 'fam_ruk',
        im_ruk nvarchar(1000) 'im_ruk',
        ot_ruk nvarchar(1000) 'ot_ruk',
        phone nvarchar(1000) 'phone',
        fax nvarchar(1000) 'fax',
        e_mail nvarchar(1000) 'e_mail',
        n_doc nvarchar(1000) 'n_doc',
        d_start nvarchar(1000) 'd_start',
        data_e nvarchar(1000) 'data_e',
        mp nvarchar(1000) 'mp',
        www nvarchar(1000) 'www',
        d_begin nvarchar(1000) 'd_begin',
        d_end nvarchar(1000) 'd_end',
        name_e nvarchar(1000) 'name_e',
        DUVED nvarchar(1000) 'DUVED',
        d_edit nvarchar(1000) 'd_edit'
				) where tf_okato=@tf_okato or mcod like @Reg+'%' /*только того же региона */
				) as source
		on target.mcod=source.mcod 
	when matched then 	update set target.d_end = source.d_end,target.nam_mop = source.nam_mop,target.nam_mok = source.nam_mok
			,target.fam_ruk = source.fam_ruk,target.im_ruk = source.im_ruk,target.ot_ruk = source.ot_ruk
			,target.phone = source.phone
	when not matched BY TARGET then
		insert (Id,tf_okato,mcod,nam_mop,nam_mok,inn,Ogrn,KPP,index_j,addr_j,okopf,vedpri,org,fam_ruk,im_ruk,ot_ruk,phone,fax,e_mail,n_doc,d_start,data_e,mp,www,d_begin,d_end,name_e,DUVED,d_edit)
		values (mcod,tf_okato,mcod,nam_mop,nam_mok,inn,Ogrn,KPP,index_j,addr_j,okopf,vedpri,org,fam_ruk,im_ruk,ot_ruk,phone,fax,e_mail,n_doc,d_start,data_e,mp,www,d_begin,d_end,name_e,DUVED,d_edit);
set @rez = isnull(@@ROWCOUNT,0)
if @@ERROR<>0 set @i = 1
end

if @typeSpr='LIC_SPEC'
begin
	merge LIC_SPEC as target
		using  
		(select nullif(LPU,'') LPU,nullif(LPU_1,'') LPU_1,nullif(DLIC_START,'') DLIC_START
			,nullif(DLIC_STOP,'') DLIC_STOP,nullif(MEDSPEC,'') MEDSPEC,nullif(IDUMP,'') IDUMP,nullif(IDVMP,'') IDVMP
			FROM  OPENXML (@idxml, N'PACKET/ZAP',3)
				WITH (LPU nvarchar(100) '@LPU' 
				,LPU_1 nvarchar(100) '@LPU_1' 
				,DLIC_START nvarchar(100) '@DLIC_START' 
				,DLIC_STOP nvarchar(100) '@DLIC_STOP' 
				,MEDSPEC nvarchar(100) '@MEDSPEC' 
				,IDUMP nvarchar(100) '@IDUMP' 
				,IDVMP nvarchar(100) '@IDVMP' 
			
				)
		) as source
		on target.LPU=source.LPU and isnull(target.LPU_1,'')=isnull(source.LPU_1,'') and target.DLIC_START=source.DLIC_START and target.MEDSPEC=source.MEDSPEC and target.IDUMP=source.IDUMP and target.IDVMP=source.IDVMP
	when matched then 	update set target.DLIC_STOP = source.DLIC_STOP /* в таких же записях может только дата окончания поменяться. */

	when not matched BY TARGET then
		insert (LPU,LPU_1,DLIC_START,DLIC_STOP,MEDSPEC,IDUMP,IDVMP)
		values (LPU,LPU_1,DLIC_START,DLIC_STOP,MEDSPEC,IDUMP,IDVMP);
set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end
if @typeSpr='LIC_PROF'
begin
	merge LIC_PROF as target
		using  
		(select distinct nullif(LPU,'') LPU,nullif(LPU_1,'') LPU_1,nullif(DLIC_START,'') DLIC_START
			,nullif(DLIC_STOP,'') DLIC_STOP,nullif(IDPR,'') IDPR,nullif(IDUMP,'') IDUMP,nullif(IDVMP,'') IDVMP
			FROM  OPENXML (@idxml, N'PACKET/ZAP',3)
				WITH (LPU nvarchar(100) '@LPU' 
				,LPU_1 nvarchar(100) '@LPU_1' 
				,DLIC_START nvarchar(100) '@DLIC_START' 
				,DLIC_STOP nvarchar(100) '@DLIC_STOP' 
				,IDPR nvarchar(100) '@IDPR' 
				,IDUMP nvarchar(100) '@IDUMP' 
				,IDVMP nvarchar(100) '@IDVMP' 
			
				)
		) as source
		on target.LPU=source.LPU and isnull(target.LPU_1,'')=isnull(source.LPU_1,'') and target.DLIC_START=source.DLIC_START and target.IDPR=source.IDPR and target.IDUMP=source.IDUMP and target.IDVMP=source.IDVMP
	when matched then 	update set target.DLIC_STOP = source.DLIC_STOP /* в таких же записях может только дата окончания поменяться. */

	when not matched BY TARGET then
		insert (LPU,LPU_1,DLIC_START,DLIC_STOP,IDPR,IDUMP,IDVMP)
		values (LPU,LPU_1,DLIC_START,DLIC_STOP,IDPR,IDUMP,IDVMP);	
set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end
if @typeSpr='LIC_USL'
begin
	merge LIC_USL as target
		using  
		(select nullif(LPU,'') LPU,nullif(LPU_1,'') LPU_1,nullif(DLIC_START,'') DLIC_START
			,nullif(DLIC_STOP,'') DLIC_STOP,nullif(CODE_USL,'') CODE_USL,nullif(IDUMP,'') IDUMP,nullif(IDVMP,'') IDVMP
			FROM  OPENXML (@idxml, N'PACKET/ZAP',3)
				WITH (LPU nvarchar(100) '@LPU' 
				,LPU_1 nvarchar(100) '@LPU_1' 
				,DLIC_START nvarchar(100) '@DLIC_START' 
				,DLIC_STOP nvarchar(100) '@DLIC_STOP' 
				,CODE_USL nvarchar(100) '@CODE_USL' 
				,IDUMP nvarchar(100) '@IDUMP' 
				,IDVMP nvarchar(100) '@IDVMP' 
			
				)
		) as source
		on target.LPU=source.LPU and isnull(target.LPU_1,'')=isnull(source.LPU_1,'') and target.DLIC_START=source.DLIC_START and target.CODE_USL=source.CODE_USL and target.IDUMP=source.IDUMP and target.IDVMP=source.IDVMP
	when matched then 	update set target.DLIC_STOP = source.DLIC_STOP /* в таких же записях может только дата окончания поменяться. */

	when not matched BY TARGET then
		insert (LPU,LPU_1,DLIC_START,DLIC_STOP,CODE_USL,IDUMP,IDVMP)
		values (LPU,LPU_1,DLIC_START,DLIC_STOP,CODE_USL,IDUMP,IDVMP);
set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end
if @typeSpr='MKBTP'
begin
	/*мкб перезаписываем при каждой новой загрузке. */
	delete from LIC_MKB where tf_okato=@tf_okato

	merge LIC_MKB as target
		using  
		(select @tf_okato as tf_okato,nullif(DS,'') DS,nullif(IDUMP,'') IDUMP
			FROM  OPENXML (@idxml, N'PACKET/ZAP',3)
				WITH (DS nvarchar(100) '@DS' 
				,IDUMP nvarchar(100) '@IDUMP' 
				)
		) as source
		on target.tf_okato=source.tf_okato and isnull(target.DS,'')=isnull(source.DS,'') and target.IDUMP=source.IDUMP 
	when not matched BY TARGET then
		insert (tf_okato,DS,IDUMP)
		values (tf_okato,DS,IDUMP);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end


/*F006 в F006_NEW */
if @typeSpr='VidExp'
begin
	merge F006_NEW as target
		using  
		(select IDVID,VIDNAME,DATEBEG,DATEEND
			from (select ROW_NUMBER ( ) over (PARTITION BY IDVID order by DATEEND ) rn,
			IDVID,VIDNAME,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (IDVID nvarchar(100) 'IDVID' 
				,VIDNAME nvarchar(255) 'VIDNAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				)  )k where rn=1 
		) as source
		on target.IDVID=source.IDVID
	when matched then 	update set target.DATEEND = source.DATEEND,target.VIDNAME = source.VIDNAME
	when not matched BY TARGET then
		insert (IDVID,VIDNAME,DATEBEG,DATEEND,EXP_TYPE,EXP_RE)
		values (IDVID,VIDNAME,DATEBEG,DATEEND,case when IDVID<20 then 1 when IDVID<30 then 2 else 3 end,0);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end

if @typeSpr='OplOtk'
begin
	merge F014 as target
		using  
			(select Kod,nullif(IDVID,'') IDVID,Naim,Osn,Comments,KodPG,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (
				Kod nvarchar(10) 'Kod' 
				,IDVID nvarchar(10) 'IDVID'
				,Naim nvarchar(1000) 'Naim'
				,Osn nvarchar(20) 'Osn'
				,Comments nvarchar(1000) 'Komment'
				,KodPG nvarchar(20) 'KodPG' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				)  
		) as source
		on target.Osn=source.Osn  and target.DATEBEG=source.DATEBEG
	when matched then 	update set target.DATEEND = source.DATEEND,target.Naim = source.Naim
	when not matched BY TARGET then
		insert (Kod,IDVID,Naim,Osn,Comments,KodPG,DATEBEG,DATEEND)
		values (Kod,IDVID,Naim,Osn,Comments,KodPG,DATEBEG,DATEEND);

set @rez = isnull(@@ROWCOUNT,0)

if @@ERROR<>0 set @i = 1
end




/* блок онкологий N000 */
begin
/*N001 не обновлялся с 2018 */
/*N002 */
if @typeSpr='OnkStad'
begin
	merge N002 as target
		using  
		(select F1,F2,F3,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_St' 
				,F2 nvarchar(254) 'DS_St' 
				,F3 nvarchar(254) 'KOD_St'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_St=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.DS_St = source.F2
	when not matched BY TARGET then
		insert (ID_St,DS_St,KOD_St,DATEBEG,DATEEND)
		values (F1,F2,F3,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N003 */
if @typeSpr='OnkT'
begin
	merge N003 as target
		using  
		(select F1,F2,F3,F4,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,F4,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_T' 
				,F2 nvarchar(254) 'DS_T' 
				,F3 nvarchar(254) 'KOD_T'
				,F4 nvarchar(254) 'T_NAME'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_T=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.DS_T = source.F2
	when not matched BY TARGET then
		insert (ID_T,DS_T,KOD_T,T_NAME,DATEBEG,DATEEND)
		values (F1,F2,F3,case when F4 = '' then null else F4 end,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N004 */
if @typeSpr='OnkN'
begin
	merge N004 as target
		using  
		(select F1,F2,F3,F4,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,F4,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_N' 
				,F2 nvarchar(254) 'DS_N' 
				,F3 nvarchar(254) 'KOD_N'
				,F4 nvarchar(254) 'N_NAME'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_N=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.DS_N = source.F2
	when not matched BY TARGET then
		insert (ID_N,DS_N,KOD_N,N_NAME,DATEBEG,DATEEND)
		values (F1,F2,F3,case when F4 = '' then null else F4 end,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N005 */
if @typeSpr='OnkM'
begin
	merge N005 as target
		using  
		(select F1,F2,F3,F4,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,F4,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_M' 
				,F2 nvarchar(254) 'DS_M' 
				,F3 nvarchar(254) 'KOD_M'
				,F4 nvarchar(254) 'M_NAME'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_M=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.DS_M = source.F2
	when not matched BY TARGET then
		insert (ID_M,DS_M,KOD_M,M_NAME,DATEBEG,DATEEND)
		values (F1,F2,F3,case when F4 = '' then null else F4 end,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N006 выведен из оборота в конце 2018 */
/*N007 */
if @typeSpr='OnkMrf'
begin
	merge N007 as target
		using  
		(select F1,F2,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_Mrf' 
				,F2 nvarchar(254) 'Mrf_NAME' 
				
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_Mrf=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.Mrf_NAME = source.F2
	when not matched BY TARGET then
		insert (ID_Mrf,Mrf_NAME,DATEBEG,DATEEND)
		values (F1,F2,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N008 не обновлялся с 2018 */
/*N009 не обновлялся с 2018 */
/*N010 */
if @typeSpr='OnkIgh'
begin
	merge N010 as target
		using  
		(select F1,F2,F3,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_Igh' 
				,F2 nvarchar(254) 'KOD_Igh' 
				,F3 nvarchar(254) 'Igh_NAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_Igh=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.Igh_NAME = source.F3
	when not matched BY TARGET then
		insert (ID_Igh,KOD_Igh,Igh_NAME,DATEBEG,DATEEND)
		values (F1,F2,F3,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N011 не обновлялся с 2018 */
/*N012 */
if @typeSpr='OnkIghDS'
begin
	merge N012 as target
		using  
		(select F1,F2,F3,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_I_D' 
				,F2 nvarchar(254) 'DS_Igh' 
				,F3 nvarchar(254) 'ID_Igh' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_I_D=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND
	when not matched BY TARGET then
		insert (ID_I_D,DS_Igh,ID_Igh,DATEBEG,DATEEND)
		values (F1,F2,F3,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N013 не обновлялся с 2018 */
/*N014 */
if @typeSpr='OnkHir'
begin
	merge N014 as target
		using  
		(select F1,F2,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_THir' 
				,F2 nvarchar(254) 'THir_NAME' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_THir=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.THir_NAME=source.F2
	when not matched BY TARGET then
		insert (ID_THir,THir_NAME,DATEBEG,DATEEND)
		values (F1,F2,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N015 не обновлялся с 2018 */
/*N016 не обновлялся с 2018 */
/*N017 не обновлялся с 2018 */
/*N018 не обновлялся с 2018 */
/*N019 не обновлялся с 2018 */
/*N020 */
if @typeSpr='OnkLekp'
begin
	merge N020 as target
		using  
		(select F1,F2,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_LEKP' 
				,F2 nvarchar(254) 'MNN' 
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_LEKP=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.MNN=source.F2
	when not matched BY TARGET then
		insert (ID_LEKP,MNN,DATEBEG,DATEEND)
		values (F1,F2,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
/*N021 */
if @typeSpr='OnkLpsh'
begin
	merge N021 as target
		using  
		(select F1,F2,F3,DATEBEG,DATEEND from
(select ROW_NUMBER ( ) over (PARTITION BY F1 order by DATEEND ) rn,
F1,F2,F3,DATEBEG,nullif(DATEEND,'') DATEEND
			FROM  OPENXML (@idxml, N'packet/zap',3)
				WITH (F1 nvarchar(100) 'ID_ZAP' 
				,F2 nvarchar(254) 'CODE_SH' 
				,F3 nvarchar(254) 'ID_LEKP'
				,DATEBEG nvarchar(100) 'DATEBEG' 
				,DATEEND nvarchar(100) 'DATEEND' 
				) )k where rn=1 
		) as source
		on target.ID_ZAP=source.F1
	when matched then 	update set target.DATEEND = source.DATEEND,target.CODE_SH=source.F2
	when not matched BY TARGET then
		insert (ID_ZAP,CODE_SH,ID_LEKP,DATEBEG,DATEEND)
		values (F1,F2,F3,DATEBEG,DATEEND) ;

	set @rez = isnull(@@ROWCOUNT,0)
	if @@ERROR<>0 set @i = 1
end
end
/* конец блока N000 */

endall: 

if @i=1  rollback tran
else
  commit tran /*принять действия выполненные по транзакции */

EXEC sp_xml_removedocument @idxml

select @i as ERR,@rez as REZ

end