ALTER PROCEDURE [dbo].[p_autocalc_046_001100] @sc int
AS 
BEGIN
---гемодиализ до 2020
Update D3_SL_OMS SET
                         ED_COL = ISNULL(ED_COL, 1.00),
                         TARIF = t.SUM_G,
                         SUM_M = ROUND(isnull(sl.ED_COL, 1.00) * t.SUM_G * ISNULL(kf.KZMP, 1.00), 2)

                    from D3_ZSL_OMS zsl 
                    JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
					join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID --and zsl.USL_OK =3
					join D3_USL_OMS u on sl.id=u.D3_SLID
                    join CalcGemTarif t on u.CODE_USL=t.CodeUSL and (sl.DATE_2 >= t.DATEBEG and sl.DATE_2 < t.DATEEND +1) 
                    left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
                    where zsl.D3_SCID = @sc and OS_SLUCH_REGION = 6 and DATE_Z_2<'20200101'

--гемодиализ 2020 и далее
Update D3_SL_OMS SET
                         ED_COL = ISNULL(ED_COL, 1.00),
                         TARIF = t.SUM_G,
                         SUM_M = ROUND(isnull(sl.ED_COL, 1.00) * t.SUM_G * ISNULL(kf.KZMP, 1.00), 2)

                    from D3_ZSL_OMS zsl 
                    JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
					join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID --and zsl.USL_OK =3
					join D3_USL_OMS u on sl.id=u.D3_SLID
                    join CalcGemTarif t on zsl.USL_OK = t.UMP and u.CODE_USL=t.CodeUSL and (sl.DATE_2 >= t.DATEBEG and sl.DATE_2 < t.DATEEND +1) 
                    left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
                    where zsl.D3_SCID = @sc and OS_SLUCH_REGION = 6 and DATE_Z_2>='20200101'
end