ALTER PROCEDURE [dbo].[p_autocalc_046_001100] @sc int
AS 
BEGIN
Update D3_USL_OMS 
SET 
    TARIF=ROUND(t.SUM_G * ISNULL(kf.KZMP, 1.00),2),
    SUMV_USL= ROUND(t.SUM_G * ISNULL(kf.KZMP, 1.00),2)
from D3_ZSL_OMS zsl 
Join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID and zsl.USL_OK = 3
join D3_USL_OMS u on sl.ID = u.D3_SLID
join CalcGemTarif t on zsl.USL_OK = isnull(t.UMP,3) and u.CODE_USL=t.CodeUSL and (sl.DATE_2 >= t.DATEBEG and sl.DATE_2 < t.DATEEND +1)
left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
where zsl.D3_SCID = @sc

Update sl SET
     ED_COL = tt.ed_col,
     TARIF = tt.sum_m,
     SUM_M = tt.sum_m*tt.ed_col
from D3_SL_OMS sl
join (	select sl.id, sum(ISNULL(KOL_USL, 1.00)) ed_col, max(t.SUM_G) sum_g, ROUND(sum(ROUND(isnull(KOL_USL,1.00) * t.SUM_G * ISNULL(kf.KZMP, 1.00), 2)),2) sum_m
		--select sl.id, ISNULL(KOL_USL, 1.00) ed_col, t.SUM_G, ISNULL(kf.KZMP, 1.00)
		from D3_ZSL_OMS zsl 
		join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID --and zsl.USL_OK =3
		join D3_USL_OMS u on sl.id=u.D3_SLID
		join CalcGemTarif t on zsl.USL_OK = isnull(t.UMP,3) and u.CODE_USL=t.CodeUSL and (sl.DATE_2 >= t.DATEBEG and sl.DATE_2 < t.DATEEND +1) 
		left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
		where zsl.D3_SCID = @sc and OS_SLUCH_REGION = 6
		group by sl.id
	 ) tt on tt.id=sl.id
end