ALTER procedure [dbo].[p_oms_copy_allzsl] 
	@newsc int,@schold INT 
	,@fromFile int --0 -     , 1 -   
--    ,       . :
as --select id into ##tabid from D3_ZSL_OMS where D3_SCID=@schold and id in (759899,759900,759901,759902)
begin
--1.   
INSERT INTO [dbo].[D3_SCHET_OMS]
           ([CODE]      ,[CODE_MO]      ,[YEAR]      ,[MONTH]      ,[NSCHET]      ,[DSCHET]
      ,[PLAT]      ,[SUMMAV]      ,[SUMMAP]      ,[DISP]      ,[OmsFileName]      ,[ZapFileName]
      ,[PersFileName]      ,[SchetType])
SELECT [CODE]      ,[CODE_MO]      ,[YEAR]      ,[MONTH]      ,[NSCHET]      ,[DSCHET]
      ,[PLAT]      ,[SUMMAV]      ,[SUMMAP]      ,[DISP]      ,[OmsFileName]      ,' '
      ,[PersFileName]      ,[SchetType]

  FROM [dbo].[D3_SCHET_OMS]	where id=@schold
declare @middleSc int = (select max(id) from D3_SCHET_OMS where ZapFileName=' ')


declare @tabsc table (id int,idsc int) --  ,    

insert into @tabsc (id,idsc) 
	select zsl.id,zsl.d3_scid from D3_ZSL_OMS zsl 
	join ##tabid mt on zsl.id=mt.ID where  (zsl.D3_SCID=@schold or @fromFile=1)
--2.    
update pa	set	D3_SCID=@middleSc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and (zsl.D3_SCID=@schold or @fromFile=1)
join ##tabid mt on zsl.id=mt.ID

update zsl	set	 D3_SCID=@middleSc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and  (zsl.D3_SCID=@schold or @fromFile=1)
join ##tabid mt on zsl.id=mt.ID

--3.     
 
declare @table table (HM xml,LM xml,sc int,hf_name nvarchar(255),lf_name nvarchar(255))
INSERT INTO @table exec p_oms_export_30K @middleSc

--4.    
update pa	set	D3_SCID=tc.idsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@middleSc
join @tabsc tc on zsl.ID=tc.id

update zsl	set	D3_SCID=tc.idsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@middleSc
join @tabsc tc on zsl.ID=tc.id

--5.      

declare @r varchar(1000) 
declare @HM xml,@LM xml,@hf_name nvarchar(255),@lf_name nvarchar(255) ,@schetType varchar(10)
select @HM=HM,@LM=LM,@hf_name=hf_name,@lf_name=lf_name,@schetType=(case when left(hf_name,1) in('C','H','T') then left(hf_name,1) else left(hf_name,2)end) 	from @table

exec p_Load_XML @hf_name,'tempch',@lf_name,@schetType,@HM,@LM,0,@r							  
--    
declare @tempSc int = (select max(id) from D3_SCHET_OMS where ZapFileName='tempch')


--  PODR  
update sl2 set podr=sl1.PODR
from d3_zsl_oms zsl1 
join d3_sl_oms sl1 on sl1.d3_zslid=zsl1.id 	and zsl1.D3_SCID=@schold
join D3_SL_OMS sl2 on sl1.SL_ID=sl2.SL_ID
join D3_ZSL_OMS zsl2 on sl2.D3_ZSLID=zsl2.id and zsl2.D3_SCID=@tempSc 
-- PODR  
update usl2 set podr=sl2.podr
from D3_zSL_OMS zsl2
join D3_SL_OMS sl2 on sl2.D3_ZSLID=zsl2.id and zsl2.D3_SCID=@tempSc 
join D3_USL_OMS usl2 on sl2.id=usl2.D3_SLID




--6.     
exec SetGuids @tempSc,1

--7.     
update pa	set	D3_SCID=@newsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@tempSc

update zsl	set	D3_SCID=@newsc
from D3_ZSL_OMS zsl join D3_PACIENT_OMS pa on zsl.D3_PID=pa.ID and zsl.D3_SCID=@tempSc

--8.   
delete from D3_SCHET_OMS where id in (@tempSc,@middleSc)

end