
ALTER PROCEDURE [dbo].[p_doc_op_foms] @sc nvarchar(max)
AS
BEGIN
--declare @sc int =1763;
WITH Z AS (
	select  max(SUMV)  sumv,max(sl.P_CEL25)p_cel,max(OS_SLUCH_REGION) OS_SLUCH_REGION, max(CODE_USL) CODE_USL-- готовая выборка для всей поликлиники
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND (zsl.idsp<>25 OR (zsl.idsp=25 AND zsl.PR_NOV=1))--and (pa.SMO is null or pa.SMO not like '46%')
left join D3_USL_OMS u on u.D3_SLID=sl.ID and u.CODE_USL like 'R%'
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,39,40))
group by zsl.ID
UNION ALL
select  max(0)  sumv,max(sl.P_CEL25)p_cel,max(OS_SLUCH_REGION) OS_SLUCH_REGION, max(CODE_USL) CODE_USL-- готовая выборка для всей поликлиники
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND zsl.idsp=25 AND zsl.PR_NOV=0--and (pa.SMO is null or pa.SMO not like '46%')
left join D3_USL_OMS u on u.D3_SLID=sl.ID and u.CODE_USL like 'R%'
where zsl.usl_ok = 3 and (OS_SLUCH_REGION IS NULL OR OS_SLUCH_REGION in (4,5,6,21,29,30,31,32,33,34,35,36,39,40))
group by zsl.ID

)



--declare @sc int =1625

Select '1' n, 'Медицинская помощь в условиях круглосуточных стационаров' cel, sum(SUMV) sumv, count(*) cnt
FROM(
Select zsl.ID, sumv
from D3_ZSL_OMS zsl 
where zsl.usl_ok = 1 and d3_scid in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
) tt

UNION ALL

Select '2' n, 'Медицинская помощь в условиях дневных стационаров всех типов' cel, sum(SUMV) sumv, count(*) cnt
FROM(
Select zsl.ID,  sumv
from D3_ZSL_OMS zsl 
where zsl.usl_ok = 2 and d3_scid in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
) tt

UNION ALL

Select '3' n, 'Амбулаторная помощь' cel
	, sum(SUMV)  sumv, count(*) cnt
from z
UNION ALL
Select '' n, '  - с профилактическими и иными целями' cel, sum(SUMV) sumv, count(*) cnt
from z
where (
	     ((z.P_CEL LIKE '1%' AND z.P_CEL NOT LIKE '1.1')	OR 	z.P_CEL IN ('2.1','2.5','2.6')	AND OS_SLUCH_REGION IS null)					
		 or OS_SLUCH_REGION in (4,5,29,35) 
	  )
UNION ALL
Select '' n, '  - Неотложной форме' cel, sum(SUMV)  sumv, count(*) cnt
from z where P_CEL = '1.1'  -- новый код неотложки  = 1.1
UNION ALL
Select '' n, '  - Обращение по заболеванию' cel, sum(SUMV) sumv, count(*) cnt 
from z where (P_CEL = '3.0' and OS_SLUCH_REGION is null or P_CEL='2.3' and CODE_USL is not null AND OS_SLUCH_REGION<>29)
  or OS_SLUCH_REGION in (6,21,30,31,32,33,34,36,39,40)
union all
Select '4' n, 'Скорая медицинская помощь в том числе:' cel, sum(SUMV)  sumv, count(*) cnt
from (select  max(SUMV)  sumv-- готовая выборка для всей скорой
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND (zsl.idsp<>36 OR (zsl.idsp=36 AND zsl.PR_NOV=1))--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 
group by zsl.ID
UNION ALL
select  max(0)  sumv-- готовая выборка для всей скорой подушевой
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND zsl.idsp=36 AND zsl.PR_NOV=0--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 
group by zsl.ID) t1
UNION ALL
Select '' n, '   - экстренной форме' cel,  sum(SUMV) sumv, count(*) cnt
from (select  max(SUMV)  sumv-- готовая выборка для всей скорой
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND (zsl.idsp<>36 OR (zsl.idsp=36 AND zsl.PR_NOV=1))--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 AND zsl.FOR_POM=1
group by zsl.ID
UNION ALL
select  max(0)  sumv-- готовая выборка для всей скорой подушевой
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND zsl.idsp=36 AND zsl.PR_NOV=0--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 AND zsl.FOR_POM=1
group by zsl.ID) t2

UNION ALL
Select '' n, '   - неотложной форме' cel, sum(SUMV)  sumv, count(*) cnt
from (select  max(SUMV)  sumv-- готовая выборка для всей скорой
from D3_ZSL_OMS zsl 
--join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND (zsl.idsp<>36 OR (zsl.idsp=36 AND zsl.PR_NOV=1))--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 AND zsl.FOR_POM=2
group by zsl.ID
UNION ALL
select  max(0)  sumv-- готовая выборка для всей скорой подушевой
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID AND zsl.idsp=36 AND zsl.PR_NOV=0--and (pa.SMO is null or pa.SMO not like '46%')
where zsl.usl_ok = 4 AND zsl.FOR_POM=2
group by zsl.ID) t3

UNION ALL



Select '5' n, 'Профосмотры взрослых' cel, sum(SUMV) sumv, count(*) cnt
from D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (9,49)
UNION ALL

Select '6' n,
case 
 WHEN OS_SLUCH_REGION = 11 THEN 'Профилактический медицинский осмотр несовершеннолетних 1 этап'
  WHEN OS_SLUCH_REGION = 12 THEN 'Профилактический медицинский осмотр несовершеннолетних 2 этап'
end cel,
sum(SUMV) sumv, count(*) cnt
from 
( SELECT OS_SLUCH_REGION,CASE WHEN (zsl.idsp=25 AND ZSL.PR_NOV=0)  THEN 0 ELSE sumv END sumv 
from  D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (11, 12)
) d1
group by 
case 
 WHEN OS_SLUCH_REGION = 11 THEN 'Профилактический медицинский осмотр несовершеннолетних 1 этап'
  WHEN OS_SLUCH_REGION = 12 THEN 'Профилактический медицинский осмотр несовершеннолетних 2 этап'
end

UNION ALL

Select '7' n,
case 
 WHEN OS_SLUCH_REGION IN (22,47) THEN 'Диспансеризация определенных групп взрослого населения 1 этап'
  WHEN OS_SLUCH_REGION IN ( 23,48) THEN 'Диспансеризация определенных групп взрослого населения 2 этап'
end cel,
sum(SUMV) sumv, count(*) cnt
from  
( SELECT OS_SLUCH_REGION,CASE WHEN (zsl.idsp=25 AND ZSL.PR_NOV=0) THEN 0 ELSE sumv END sumv 
from  D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (22,47, 23,48)
) d2
group by 
case 
 WHEN OS_SLUCH_REGION IN (22,47) THEN 'Диспансеризация определенных групп взрослого населения 1 этап'
  WHEN OS_SLUCH_REGION IN ( 23,48) THEN 'Диспансеризация определенных групп взрослого населения 2 этап'
end


UNION ALL
Select '8' n,
case 
 WHEN OS_SLUCH_REGION = 7 THEN 'Диспансеризация детей сирот 1 этап'
  WHEN OS_SLUCH_REGION = 8 THEN 'Диспансеризация детей сирот 2 этап'
end cel,
sum(SUMV) sumv, count(*) cnt
from 
( SELECT OS_SLUCH_REGION,CASE WHEN (zsl.idsp=25 AND ZSL.PR_NOV=0) THEN 0 ELSE sumv END sumv 
from  D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (7,8)
) d3
group by 
case 
 WHEN OS_SLUCH_REGION = 7 THEN 'Диспансеризация детей сирот 1 этап'
  WHEN OS_SLUCH_REGION = 8 THEN 'Диспансеризация детей сирот 2 этап'
end


UNION ALL

Select '9' n,
case 
 WHEN OS_SLUCH_REGION = 17 THEN 'Диспансеризация детей под опекой 1 этап'
  WHEN OS_SLUCH_REGION = 18 THEN 'Диспансеризация детей под опекой 2 этап'
end cel,
sum(SUMV) sumv, count(*) cnt
from 
( SELECT OS_SLUCH_REGION,CASE WHEN (zsl.idsp=25 AND ZSL.PR_NOV=0) THEN 0 ELSE sumv END sumv 
from D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (17,18)
) d4
group by 
case 
 WHEN OS_SLUCH_REGION = 17 THEN 'Диспансеризация детей под опекой 1 этап'
  WHEN OS_SLUCH_REGION = 18 THEN 'Диспансеризация детей под опекой 2 этап'
end

UNION ALL

Select '10' n,
case 
 WHEN OS_SLUCH_REGION = 37 THEN 'ДВ3_К'
  WHEN OS_SLUCH_REGION = 38 THEN 'ДВ3_М'
end cel,
sum(SUMV) sumv, count(*) cnt
from D3_ZSL_OMS zsl 
join D3_SCHET_OMS sc on zsl.D3_SCID = sc.ID and sc.ID in (SELECT * FROM [dbo].[GetIdsFromString] (@sc))
join D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
where OS_SLUCH_REGION in (37, 38)
group by 
case 
 WHEN OS_SLUCH_REGION = 37 THEN 'ДВ3_К'
  WHEN OS_SLUCH_REGION = 38 THEN 'ДВ3_М'
end



END

