CREATE TABLE [dbo].[F003_ConsMo_OID](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[mcod] [nvarchar](6) NULL,
	[OID] [nvarchar](40) NULL,
	[nam_mop] [nvarchar](250) NULL,
	[nam_mok] [nvarchar](250) NULL,
	[inn] [nvarchar](12) NULL,
	[reg_cod] [nvarchar](3) NULL,
	[reg_naim] [nvarchar](250) NULL,
	[form_sobst] [int] NULL,
	[ident_ved_prin] [nvarchar](40) NULL,
	[naim_ved_prin] [nvarchar](250) NULL,
	[ident_nas_punkt] [nvarchar](45) NULL,
	[ident_ul] [nvarchar](45) NULL,
	[ident_dom] [nvarchar](45) NULL,
	[reg_cod_okato] [nvarchar](3) NULL,
	[naim_nas_punkt] [nvarchar](250) NULL,
	[pref_nas_punkt] [nvarchar](10) NULL,
	[naim_ul] [nvarchar](250) NULL,
	[pref_ul] [nvarchar](10) NULL,
	[nomer_dom] [nvarchar](50) NULL,
	[NameWithID]  AS ((isnull([mcod],'')+' ')+[nam_mok]),
 CONSTRAINT [PK_F003_ConsMo_OID] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


SET IDENTITY_INSERT [dbo].[F003_ConsMo_OID] ON 


INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (1, N'773433', N'1.2.643.5.1.13.13.12.2.77.8450', N'ФЕДЕРАЛЬНОЕ ГОСУДАРСТВЕННОЕ АВТОНОМНОЕ УЧРЕЖДЕНИЕ "НАЦИОНАЛЬНЫЙ МЕДИЦИНСКИЙ ИССЛЕДОВАТЕЛЬСКИЙ ЦЕНТР ЗДОРОВЬЯ ДЕТЕЙ" МИНИСТЕРСТВА ЗДРАВООХРАНЕНИЯ РОССИЙСКОЙ ФЕДЕРАЦИИ', N'ФГАУ "НМИЦ ЗДОРОВЬЯ ДЕТЕЙ" МИНЗДРАВА РОССИИ', N'7736182930', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'0a59ef7c-3aa3-4f61-90df-6c34b3620cc4', N'beb8d9b5-2214-47e0-9385-d45edc3ef6c4', N'45', NULL, NULL, N'Ломоносовский', N'пр-кт', N'2')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (2, N'774678', N'1.2.643.5.1.13.13.12.2.77.8451', N'Федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр терапии и профилактической медицины" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ ТПМ" Минздрава России', N'7709024283', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'b98503fb-063e-4970-a7cb-b06a24358fb3', N'c569190e-7145-4179-9dd2-25ea42058475', N'45', NULL, NULL, N'Петроверигский', N'пер', N'10')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (3, N'774996', N'1.2.643.5.1.13.13.12.2.77.8454', N'Федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр гематологии" Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ гематологии» Минздрава России', N'7714061756', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'0acce1e7-f60a-4cd7-8604-7f43502e7494', N'535764b5-971e-4cb4-88be-ab5e0ef9a2cd', N'45', NULL, NULL, N'Зыковский Н.', N'проезд', N'4')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (4, N'774734', N'1.2.643.5.1.13.13.12.2.77.8457', N'Федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр стоматологии и челюстно-лицевой хирургии" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ СЧЛХ" Минздрава России', N'7704115177', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'5ebc90bb-cec2-4c62-ad44-1ac9b9f2ed57', N'9dbb1804-c57b-437c-9532-854fbc89c005', N'45', NULL, NULL, N'Тимура Фрунзе', N'ул', N'16')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (5, N'774347', N'1.2.643.5.1.13.13.12.2.77.8459', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр травматологии и ортопедии им. Н.Н.Приорова" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ ТО им. Н.Н. Приорова" Минздрава России', N'7713003222', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'a5175e89-b297-4e90-83f8-14632a737b04', N'950a013e-0c4b-4732-8f45-e3b4cd135ee4', N'45', NULL, NULL, N'Приорова', N'ул', N'10')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (6, N'773602', N'1.2.643.5.1.13.13.12.2.77.8460', N'Федеральное государственное бюджетное учреждение "Национальный исследовательский центр глазных болезней им. Гельмгольца"', N'ФГБУ "НМИЦ ГБ им. Гельмгольца" Минздрава России', N'7701031585', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'f657d91f-22a1-4834-990b-4de09db591b6', N'47e8087e-555f-4f3b-a3b2-9aecdd90078e', N'45', NULL, NULL, N'Садовая-Черногрязская', N'ул', N'14/19')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (7, N'774781', N'1.2.643.5.1.13.13.12.2.77.8461', N'федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр акушерства, гинекологии и перинатологии имени академика В.И. Кулакова» Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ АГП им. В.И. Кулакова» Минздрава России', N'7728094832', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'2f434fa2-06e6-47e6-b4dd-1379e4feb166', N'fd2fcdc7-54dc-4211-8693-e7e219471e63', N'45', NULL, NULL, N'Академика Опарина', N'ул', N'4')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (8, N'780130', N'1.2.643.5.1.13.13.12.2.78.8817', N'федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр детской травматологии и ортопедии имени Г.И. Турнера" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ детской травматологии и ортопедии имени. Г.И. Турнера" Минздрава России', N'7820009821', N'78', N'г. Санкт-Петербург', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', N'7c226e67-e825-4405-8385-561a45e8e9a6', N'eaaff919-286b-49cb-9b3f-4f964ba2720b', N'4aaf5415-129f-439e-a031-20153c1da1ca', N'40', N'Пушкин', N'г', N'Парковая', N'ул', N'64')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (9, N'774592', N'1.2.643.5.1.13.13.12.2.77.8456', N'ФГБУ "Национальный медицинский исследовательский центр трансплантологии и искусственных органов имени академика В.И. Шумакова" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ ТИО им. ак. В.И. Шумакова" Минздрава России', N'7734012806', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'b9f64e4c-d640-4eb2-b4ef-5f47cbe71c65', N'3757b9d6-bad6-4568-b7b6-9efec2534d7f', N'45', NULL, NULL, N'Щукинская', N'ул', N'1')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (10, N'772209', N'1.2.643.5.1.13.13.12.2.77.8486', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр кардиологии» Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ кардиологии» Минздрава России', N'7731243467', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'665cf120-7ef8-48a5-b35a-acdf890af3b3', NULL, N'45', NULL, NULL, N'Черепковская 3-я', N'ул', N'15А')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (11, N'774784', N'1.2.643.5.1.13.13.12.2.77.8487', N'Федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр эндокринологии" Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ эндокринологии" Минздрава России', N'7728016351', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'd30b726a-7511-49ea-a8e4-94c63cbdb266', NULL, N'45', NULL, NULL, N'Дмитрия Ульянова', N'ул', N'11')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (12, N'774739', N'1.2.643.5.1.13.13.12.2.77.8490', N'Федеральное государственное автономное учреждение "Национальный медицинский исследовательский центр "Лечебно-реабилитационный центр" Министерства здравоохранения Российской Федерации', N'ФГАУ "НМИЦ ЛРЦ" Минздрава России', N'7733574898', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'891ae1c7-db1f-4e86-9b6d-af4d19acbff1', N'56bf8ce6-3414-4219-85ad-4f7ac1d1cc22', N'45', NULL, NULL, N'Иваньковское', N'ш.', N'3')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (13, N'774698', N'1.2.643.5.1.13.13.12.2.77.8492', N'Федеральное государственное автономное образовательное учреждение высшего образования «Российский национальный исследовательский медицинский университет имени Н.И. Пирогова» Министерства здравоохранения Российской Федерации', N'ФГАОУ ВО РНИМУ им. Н.И. Пирогова Минздрава России', N'7728095113', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'f0f821e7-c209-4943-a0ee-a9a679757791', N'20f8d172-4dd7-49a4-9eb8-360900375be9', N'45', NULL, NULL, N'Талдомская', N'ул', N'2')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (14, N'774733', N'1.2.643.5.1.13.13.12.2.77.8480', N'федеральное государственное бюджетное образовательное учреждение высшего образования «Московский государственный медико-стоматологический университет имени А.И. Евдокимова» Министерства здравоохранения Российской Федерации', N'ФГБОУ ВО МГМСУ им. А.И. Евдокимова Минздрава России', N'7707082145', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'1f3353d1-0efb-4042-886e-9975f36040fb', N'80408fea-ff70-4e46-b14d-065717fa57da', N'45', NULL, NULL, N'Делегатская', N'ул', N'20')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (15, N'774767', N'1.2.643.5.1.13.13.12.2.77.8499', N'федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр детской гематологии, онкологии и иммунологии имени Дмитрия Рогачева" Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ ДГОИ им. Дмитрия Рогачева» Минздрава России', N'7728008953', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'902cb280-a983-4cd4-bb95-92f3061d2753', N'e74a72e9-e329-47d5-ac9f-37d29fd968eb', N'45', NULL, NULL, N'Саморы Машела', N'ул', N'1')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (16, N'774673', N'1.2.643.5.1.13.13.12.2.77.8514', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр хирургии имени А.В.Вишневского» Министерства Здравоохранения Российской Федерации', N'ФГБУ «НМИЦ хирургии им.А.В.Вишневского» Минздрава России', N'7705034322', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'429cbd0b-92fd-4dd6-a890-3c9b863e092d', N'25ab0a92-0b94-4d7e-a4a9-50aaa62d9267', N'45', NULL, NULL, N'Серпуховская Б.', N'ул', N'27')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (17, NULL, N'1.2.643.5.1.13.13.12.2.77.8517', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр психиатрии и наркологии имени В.П. Сербского» Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ ПН им. В.П. Сербского» Минздрава России', N'7704032379', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'32a1ce96-02c6-4a2d-986a-fd01a88867d6', NULL, N'45', NULL, NULL, N'Кропоткинский', N'пер', N'23')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (18, N'508906', N'1.2.643.5.1.13.13.12.2.77.8519', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр реабилитации и курортологии» Министерства здравоохранения Российской Федерации', N'ФГБУ "НМИЦ РК" Минздрава России', N'7704040281', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'bf3ec373-6f12-44ee-9f74-482e3f4fc6f8', N'12b86cd2-c258-4080-8674-b7abf232baa2', N'45', NULL, NULL, N'Новый Арбат', N'ул', N'32')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (19, N'508911', N'1.2.643.5.1.13.13.12.2.77.9522', N'Федеральное государственное бюджетное учреждение "Национальный медицинский исследовательский центр сердечно-сосудистой хирургии имени А.Н. Бакулева" Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ ССХ им. А.Н. Бакулева» Минздрава России', N'7706137673', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'769a0e48-d331-47c8-a03a-e335eee4dea5', NULL, N'45', NULL, NULL, N'Рублёвское', N'ш', N'135')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (20, N'773337', N'1.2.643.5.1.13.13.12.2.77.9565', N'Федеральное государственное автономное учреждение "Национальный медицинский исследовательский центр нейрохирургии имени академика Н.Н.Бурденко" Министерства здравоохранения Российской Федерации', N'ФГАУ "НМИЦ нейрохирургии им.ак. Н.Н.Бурденко" Минздрава России', N'7710103758', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'a036cbe3-d86c-435e-98cc-a6b2fa02c447', N'5adbe885-a4c5-45f8-a153-a830993ea101', N'45', NULL, NULL, N'Тверская-Ямская 4-Я', N'ул', N'16')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (21, N'508904', N'1.2.643.5.1.13.13.12.2.77.9638', N'Национальный медицинский исследовательский центр колопроктологии имени А.Н. Рыжих» Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ колопроктологии имени А.Н. Рыжих» Минздрава России', N'7734087696', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'6058bd04-b917-462c-966c-c8572cf4c1cc', N'30d8a1e3-1188-4d43-b2d3-0f83f37d7da2', N'45', NULL, NULL, N'Саляма Адиля', N'ул', N'2')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (22, N'140176', N'1.2.643.5.1.13.13.12.2.40.9782', N'Федеральное государственное бюджетное учреждение «Национальный медицинский исследовательский центр радиологии» Министерства здравоохранения Российской Федерации', N'ФГБУ «НМИЦ радиологии» Минздрава России', N'7714042070', N'40', N'Калужская область', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', N'1fa73835-afe3-4769-852b-9df48dfc3a59', N'99ac2b7f-f2c7-4087-a92f-f46e930237fd', N'4fbb1d80-c639-4963-aacf-65d9adbb7ee7', N'29', N'Обнинск', N'г', N'Королева', N'ул', N'4')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (23, N'775359', N'1.2.643.5.1.13.13.12.2.77.10311', N'ФЕДЕРАЛЬНОЕ ГОСУДАРСТВЕННОЕ БЮДЖЕТНОЕ УЧРЕЖДЕНИЕ "НАЦИОНАЛЬНЫЙ МЕДИЦИНСКИЙ ИССЛЕДОВАТЕЛЬСКИЙ ЦЕНТР ФТИЗИОПУЛЬМОНОЛОГИИ И ИНФЕКЦИОННЫХ ЗАБОЛЕВАНИЙ" МИНИСТЕРСТВА ЗДРАВООХРАНЕНИЯ РОССИЙСКОЙ ФЕДЕРАЦИИ', N'ФГБУ "НМИЦ ФПИ" МИНЗДРАВА РОССИИ', N'6663025890', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, N'935d70bf-1c67-491a-bd2d-26b4cfc142c9', NULL, N'45', NULL, NULL, N'Достоевского', N'ул', N'4, корп. 2')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (24, N'774995', N'1.2.643.5.1.13.13.12.2.77.10610', N'ФЕДЕРАЛЬНОЕ ГОСУДАРСТВЕННОЕ БЮДЖЕТНОЕ УЧРЕЖДЕНИЕ "НАЦИОНАЛЬНЫЙ МЕДИЦИНСКИЙ ИССЛЕДОВАТЕЛЬСКИЙ ЦЕНТР ОТОРИНОЛАРИНГОЛОГИИ ФЕДЕРАЛЬНОГО МЕДИКО-БИОЛОГИЧЕСКОГО АГЕНТСТВА"', N'ФГБУ НМИЦО ФМБА РОССИИ', N'7734241612', N'77', N'г. Москва', 1, N'1320760', N'Федеральное медико-биологическое агентство', NULL, N'b8fb6d66-87f6-4423-b694-8c40da241009', N'e38b302d-36b2-477f-a516-35ed051ed263', N'45', NULL, NULL, N'Волоколамское', N'ш', N'30')

INSERT [dbo].[F003_ConsMo_OID] ([ID], [mcod], [OID], [nam_mop], [nam_mok], [inn], [reg_cod], [reg_naim], [form_sobst], [ident_ved_prin], [naim_ved_prin], [ident_nas_punkt], [ident_ul], [ident_dom], [reg_cod_okato], [naim_nas_punkt], [pref_nas_punkt], [naim_ul], [pref_ul], [nomer_dom]) VALUES (25, NULL, N'1.2.643.5.1.13.13.12.2.77.16454', N'ФЕДЕРАЛЬНОЕ ГОСУДАРСТВЕННОЕ БЮДЖЕТНОЕ УЧРЕЖДЕНИЕ "НАЦИОНАЛЬНЫЙ ИССЛЕДОВАТЕЛЬСКИЙ ЦЕНТР ЭПИДЕМИОЛОГИИ И МИКРОБИОЛОГИИ ИМЕНИ ПОЧЕТНОГО АКАДЕМИКА Н.Ф. ГАМАЛЕИ" МИНИСТЕРСТВА ЗДРАВООХРАНЕНИЯ РОССИЙСКОЙ ФЕДЕРАЦИИ', N'ФГБУ "НИЦЭМ ИМ. Н.Ф. ГАМАЛЕИ" МИНЗДРАВА РОССИИ', N'7734013214', N'77', N'г. Москва', 1, N'1320700', N'Министерство здравоохранения Российской Федерации', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL)

SET IDENTITY_INSERT [dbo].[F003_ConsMo_OID] OFF

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Код региона' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'F003_ConsMo_OID', @level2type=N'COLUMN',@level2name=N'reg_cod'

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Идентификатор ведомственной принадлежности' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'F003_ConsMo_OID', @level2type=N'COLUMN',@level2name=N'ident_ved_prin'

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ведомственная принадлежность' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'F003_ConsMo_OID', @level2type=N'COLUMN',@level2name=N'naim_ved_prin'

