ALTER PROC [p_oms_load_osp] @xml xml, @sc int as
  begin
  declare @osp_xml varchar(max)
  select @osp_xml = '<?xml version="1.0" encoding="windows-1251"?> '+cast (@xml as varchar(max))
   declare @idosp int

   EXEC sp_xml_preparedocument @idosp OUTPUT, @osp_xml;

     if object_id('tempdb..#osp') is not null drop table #osp
  select ZSL_ID,SMO,COMENTS,COMENTS2 into #osp
  FROM  OPENXML (@idosp, N'OSP_P/Z_SL',2)
        WITH (ZSL_ID nvarchar(36) 'ZSL_ID'
        ,SMO int 'SMO'
        ,COMENTS nvarchar(1000) 'COMENTS'
        ,COMENTS2 nvarchar(1000) 'COMENTS2') p


  UPDATE D3_ZSL_OMS SET OSP_COMENT = null where OSP_COMENT is not null and D3_SCID = @sc 

  UPDATE zsl SET OSP_COMENT = cast(COMENT as nvarchar(1000))
  FROM D3_ZSL_OMS zsl 
  join (
  select ZSL_ID, (select DISTINCT COMENTS2+ N'; ' from #osp tt where tt.zsl_id=t1.zsl_id for xml path('') ) COMENT
  from #osp t1 --where t1.COMENTS2 not like ' :%'
  Group by t1.ZSL_ID) tt2 on zsl.ZSL_ID = tt2.ZSL_ID
  --     .
  update p set SMO = (case when t1.COMENTS2 like ' /   :  %' then substring(COMENTS2,69,5) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,73,5) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,81,5) 
else null end) 
  ,SMO_OGRN = sm.ogrn
  ,SMO_OK = sm.tf_okato
  ,SMO_NAM = sm.nam_smok
  ,NPOLIS = (case when t1.COMENTS2 like ' /   :  %' then substring(COMENTS2,53,9) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,50,16) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,56,6)+ substring(COMENTS2,64,10) 

else null end) 
    , VPOLIS = (case when t1.COMENTS2 like ' /   :  %' then 2
           when t1.COMENTS2 like ' /   :   %' then 3 
           when t1.COMENTS2 like ' /   :   %' then 1 
else null end) 

  from 
  #osp t1 --order by coments2
  join d3_zsl_oms zsl on  zsl.ZSL_ID = t1.ZSL_ID
  join d3_pacient_oms p on zsl.d3_pid=p.id
  join F002 sm on (case when t1.COMENTS2 like ' /   :  %' then substring(COMENTS2,69,5) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,73,5) 
           when t1.COMENTS2 like ' /   :   %' then substring(COMENTS2,81,5)
else null end)=sm.smocod
  where t1.COMENTS2 like ' /   :%'


  --       .
  UPDATE SLUCH SET MEE_COMENT = NULL where MEE_COMENT is not null and SCHET_ID = @sc 

  --      .
  update p set SMO = substring(COMENTS2,16,5) 
  ,SMO_OGRN = sm.ogrn
  ,SMO_OK = sm.tf_okato
  ,SMO_NAM = sm.nam_smok
  from 
  #osp t1 join sluch zsl on  zsl.IDSLG = t1.ZSL_ID
  join pacient p on zsl.pid=p.id
  join F002 sm on substring(COMENTS2,16,5)=sm.smocod
  where t1.COMENTS2 like ' :%'




  --     .
  UPDATE zsl SET MEE_COMENT =  cast(tt2.COMENT as nvarchar(250))
  FROM SLUCH zsl 
  join (
  select ZSL_ID, (select DISTINCT COMENTS2+ N'; ' from #osp tt where tt.zsl_id=t1.zsl_id for xml path('') ) COMENT
  from #osp t1 where t1.COMENTS2 not like ' :%'
  Group by t1.ZSL_ID) tt2 on

  zsl.IDSLG = tt2.ZSL_ID --and zsl.SCHET_ID = @sc
  
  END