
ALTER PROCEDURE [dbo].[p_autocalc_046_000500] @sc int
AS 
BEGIN
UPDATE D3_ZSL_OMS SET VOZR =
                             (CASE
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 0 THEN 'G00.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 1 THEN 'G00.M01'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 2 THEN 'G00.M02'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 3 THEN 'G00.M03'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 4 THEN 'G00.M04'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 5 THEN 'G00.M05'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 6 THEN 'G00.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 7 THEN 'G00.M07'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 8 THEN 'G00.M08'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 9 THEN 'G00.M09'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 10 THEN 'G00.M10'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 11 THEN 'G00.M11'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 12 THEN 'G00.M12'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 13 THEN 'G00.M12'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 14 THEN 'G00.M12'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 15 THEN 'G01.M03'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 16 THEN 'G01.M03'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 17 THEN 'G01.M03'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 18 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 19 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 19 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 20 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 21 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 22 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 23 THEN 'G01.M06'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 24 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 25 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 26 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 27 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 28 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 29 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 30 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 31 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 32 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 33 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 34 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 35 THEN 'G02.M00'
								WHEN dbo.GetDateDiff(dr, DATE_Z_1) = 36 THEN 'G03.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 3 THEN 'G03.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 4 THEN 'G04.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 5 THEN 'G05.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 6 THEN 'G06.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 7 THEN 'G07.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 8 THEN 'G08.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 9 THEN 'G09.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 10 THEN 'G10.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 11 THEN 'G11.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 12 THEN 'G12.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 13 THEN 'G13.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 14 THEN 'G14.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 15 THEN 'G15.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 16 THEN 'G16.M00'
								WHEN (year(DATE_Z_1) - year(dr)) = 17 THEN 'G17.M00'
								END)														
					from D3_ZSL_OMS zsl 
                    JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                    where zsl.D3_SCID = @sc and OS_SLUCH_REGION in (11,12) and VOZR is null
end