ALTER PROCEDURE [dbo].[p_doc_op_vmp] @sc int
AS
BEGIN
Select case when grouping(cel)=1 then 'ИТОГО:' else cel end cel, sum(p1.[46001]) as s46001, isnull(sum(p1.[46002]),0)+sum(p1.[46007]) as s46002, sum(p1.[46003]) as s46003, sum(p1.[46004]) as s46004, sum(p1.[46006]) as s46006, sum(p1.[46]) as s46
,sum(p2.[46001]) as c46001, isnull(sum(p2.[46002]),0)+sum(p2.[46007]) as c46002, sum(p2.[46003]) as c46003, sum(p2.[46004]) as c46004, sum(p2.[46006]) as c46006, sum(p2.[46]) as c46
from(select  
nameWithId cel,sum(sumv) sumv, case When p.smo not like '46%' then '46' else p.smo end smo
from SLUCH s 
join PACIENT p on s.PID = p.ID and s.SCHET_ID=@sc 
join [V018] hmp on s.vid_hmp=hmp.IDHVID and s.date_2 between [DATEBEG] and isnull(DATEend,'01.01.2099')
where usl_ok = 1
group by nameWithId,smo
union all
select   
nameWithId cel,sum(sumv) sumv, case When p.smo not like '46%' then '46' else p.smo end smo
from d3_zsl_oms s join d3_sl_oms sl on sl.d3_zslid=s.id
join d3_PACIENT_oms p on s.d3_PID = p.ID and s.d3_SCID=@sc 
join [V018] hmp on sl.vid_hmp=hmp.IDHVID and s.date_z_2 between [DATEBEG] and isnull(DATEend,'01.01.2099')
where s.usl_ok = 1 --and isnull(s.oplata,0) in (0, 1, 3)
group by nameWithId,smo
) tt
PIVOT(SUM(sumv) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46007], [46])) AS P1
Join
(select  
nameWithId cel2,count(*) sumv, case When p.smo not like '46%' then '46' else p.smo end smo
from SLUCH s 
join PACIENT p on s.PID = p.ID and s.SCHET_ID=@sc 
join [V018] hmp on s.vid_hmp=hmp.IDHVID and s.date_2 between [DATEBEG] and isnull(DATEend,'01.01.2099')
where usl_ok = 1
group by nameWithId,smo
union all
select  
nameWithId cel2,count(*) sumv, case When p.smo not like '46%' then '46' else p.smo end smo
from d3_zsl_oms s join d3_sl_oms sl on sl.d3_zslid=s.id
join d3_PACIENT_oms p on s.d3_PID = p.ID and s.d3_SCID=@sc 
join [V018] hmp on sl.vid_hmp=hmp.IDHVID and s.date_z_2 between [DATEBEG] and isnull(DATEend,'01.01.2099')
where s.usl_ok = 1 --and isnull(s.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
group by nameWithId,smo
) tt2
PIVOT(SUM(sumv) FOR smo IN( [46001], [46002], [46003], [46004], [46006], [46007], [46])) AS P2
on p1.cel = p2.cel2
group by rollup(cel) -- итого
END