ALTER PROCEDURE [dbo].[p_delzsl] @zid IDTable READONLY
as
BEGIN
declare @sid table(id int)
declare @onksid table(id int)
declare @pid table(id int)
declare @ksgid table (id int)
insert @pid select D3_PID from D3_ZSL_OMS where ID in(select*from @zid) group by D3_PID
insert @sid select ID from D3_SL_OMS where D3_ZSLID in(select*from @zid)
insert @onksid select ID from D3_ONK_SL_OMS where D3_SLID in(select*from @sid)
insert @ksgid select ID from D3_KSG_KPG_OMS where D3_SLID in(select * from @sid) 
delete from D3_B_DIAG_OMS where D3_ONKSLID in (select*from @onksid)
delete from D3_B_PROT_OMS where D3_ONKSLID in (select*from @onksid)
delete from D3_CONS_OMS where D3_SLID in (select*from @sid)
delete from D3_CRIT_OMS where D3_KSGID in (select*from @ksgid)
delete from D3_SL_KOEF_OMS where D3_KSGID in (select*from @ksgid)
delete from D3_KSG_KPG_OMS where id in (select*from @ksgid)
delete from D3_LEK_PR_OMS where D3_ONKUSLID in (select id from D3_ONK_USL_OMS where D3_ONKSLID in (select id from @onksid))
delete from D3_NAPR_OMS where D3_SLID in (select*from @sid)
delete from D3_NAZ_OMS where D3_SLID in (select*from @sid)
delete from D3_ONK_USL_OMS where D3_ONKSLID in (select*from @onksid)
delete from D3_DSS_OMS where D3_SLID in (select*from @sid)
delete from D3_ONK_SL_OMS where D3_SLID in (select*from @sid)
delete from D3_USL_OMS where D3_SLID in (select*from @sid)
delete from D3_SL_OMS where ID in (select*from @sid)
delete from D3_ZSL_OMS where ID in (select*from @zid)
delete from D3_PACIENT_OMS where id in (select*from @pid)
END