
ALTER PROCEDURE [dbo].[p_autocalc_046_001800] @sc int
AS 
BEGIN
Update D3_ZSL_OMS SET 
                    SUMV= 
                            (CASE 
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (19,20,22,23,25,26,28,29,31,32,34,35,37,38) AND W = 1 THEN t.tarif1
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39) AND W = 1 THEN t.tarif2
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (41,43,45,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,77,79,81,83,85,87,89,91,93,95,97,99) AND W = 1 THEN t.tarif3
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74,76,78,80,82,84,86,88,90,92,94,96,98) AND W = 1 THEN t.tarif4

                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (19,20,22,23,25,26,28,29,31,32,34,35,37,38) AND W = 2 THEN t.tarif5
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39) AND W = 2 THEN t.tarif6
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (41,43,45,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,77,79,81,83,85,87,89,91,93,95,97,99) AND W = 2 THEN t.tarif7
                                WHEN year(DATE_Z_2)=2019 and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74,76,78,80,82,84,86,88,90,92,94,96,98) AND W = 2 THEN t.tarif8


                                WHEN year(DATE_Z_2)>=2020 and year(DATE_Z_2) - year(dr) in (18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,41,43,47,49,51,53,57,59,61,63,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107) AND W = 1 THEN t.tarif1*isnull(vbr.PKAPP,1)
                                WHEN year(DATE_Z_2)>=2020  and year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62,65,66,67,68,69,70,71,72,73,74,75) AND W = 1 THEN t.tarif2*isnull(vbr.PKAPP,1)
                                WHEN year(DATE_Z_2)>=2020  and year(DATE_Z_2) - year(dr) in (45,50,55,60,64) AND W = 1 THEN t.tarif3*isnull(vbr.PKAPP,1)

                                WHEN year(DATE_Z_2)>=2020 and year(DATE_Z_2) - year(dr) in (18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38) AND W = 2 THEN t.tarif4*isnull(vbr.PKAPP,1)
                                WHEN year(DATE_Z_2)>=2020  and year(DATE_Z_2) - year(dr) in (39,41,43,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,107) AND W = 2 THEN t.tarif5*isnull(vbr.PKAPP,1)
                                WHEN year(DATE_Z_2)>=2020  and year(DATE_Z_2) - year(dr) in (40,42,44,45,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74) AND W = 2 THEN t.tarif6*isnull(vbr.PKAPP,1)
									 
                            END)	 

                from D3_ZSL_OMS zsl
        JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
                join CalcAmbTarif t on zsl.OS_SLUCH_REGION = t.OS_SLUCH and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND + 1)
				left join CalcVBR vbr on vbr.vbr=zsl.VBR and zsl.OS_SLUCH_REGION=vbr.OS_SLUCH_REGION and DATE_Z_2 between vbr.TBEG and vbr.TEND
                    where zsl.D3_SCID =  @sc   and 
          zsl.OS_SLUCH_REGION = 49

update sl set 
--select
sum_m = tt1.sumv, tarif = tt1.tarif
from d3_sl_oms sl
join ( select case when RN = 1 then sumv else 0.00 end sumv,   case when RN = 1 then sumv else 0.00 end tarif, ID from
(
select ROW_NUMBER() OVER (PARTITION BY zsl.ID  ORDER BY sl.date_2 desc) RN,
sl.*, zsl.sumv sumv
from D3_ZSL_OMS zsl
join d3_sl_oms sl on zsl.ID = sl.D3_ZSLID
join d3_schet_oms sc on zsl.D3_SCID = sc.ID
where  zsl.D3_SCID =  @sc   and 
          zsl.OS_SLUCH_REGION = 49
) tt --where tt.RN = 1
) tt1 on sl.ID = tt1.ID
end