IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'D3_LEK_PR_COV_OMS'))
BEGIN
	CREATE TABLE [dbo].[D3_LEK_PR_COV_OMS]
		(
				[ID] [int] IDENTITY(1,1) NOT NULL,
				[D3_SLID] [int] NOT NULL,
				[D3_SLGID] [varchar](36) NULL,
				-------------------------------------------
				[DATA_INJ] [date] NULL,
				[CODE_SH] [varchar](10) NULL,
				[REG_NUM] [varchar](6) NULL,
				[COD_MARK] [varchar](100) NULL,
				[ED_IZM] [varchar](3) NULL,
				[DOSE_INJ] [numeric](7, 2) NULL,
				[METHOD_INJ] [varchar](3) NULL,
				[COL_INJ] [numeric](5, 0) NULL,
			 CONSTRAINT [PK_D3_LEK_PR_COV_OMS] PRIMARY KEY CLUSTERED 
			(
				[ID] ASC
			)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY]
		ALTER TABLE [dbo].[D3_LEK_PR_COV_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_LEK_PR_COV_OMS_D3_SL_OMS] FOREIGN KEY([D3_SLID])
		REFERENCES [dbo].[D3_SL_OMS] ([ID])
		ALTER TABLE [dbo].[D3_LEK_PR_COV_OMS] CHECK CONSTRAINT [FK_D3_LEK_PR_COV_OMS_D3_SL_OMS]
END