ALTER PROCEDURE [dbo].[p_autocalc_046_003000] @sc int
AS 
BEGIN
with z as (
select 
u.id,isnull(case
 when temp.[obyaz_komp_usl] is null then case when u.p_otk=1 then 0 else temp.tarif end 
 else
 case when COUNT(case when  temp.[obyaz_komp_usl] is not null then   temp.Code end) OVER (partition by s.id)
 =
 COUNT(case when isnull(u.p_otk,0)<>1 and temp.[obyaz_komp_usl] is not null then temp.code end) OVER (partition by s.id ) then isnull(temp.tarif,0) end
 end ,0) tarif
FROM [D3_SCHET_OMS] sch			
	inner join D3_ZSL_OMS zs on zs.D3_SCID=sch.id							
	inner join D3_PACIENT_OMS p on p.id=zs.D3_PID			
    join D3_SL_OMS s on s.D3_ZSLID=zs.ID								
    join D3_USL_OMS u on  u.D3_SLID=s.id 
	inner join Yamed_Spr_UslTemplate temp on temp.[VM_Code]=u.vid_vme
	and temp.[CategoryID]=11
	where zs.os_sluch_region in (50)
	and sch.id = @sc 
	)
	update usl
set 
usl.tarif=z.tarif,
usl.sumv_usl=z.tarif
	from z
	join D3_USL_OMS usl on usl.id=z.id

;with z as (
select 
u.id,isnull(case
 when temp.[obyaz_komp_usl] is null then case when u.p_otk=1 then 0 else temp.tarif end 
 else
 case when COUNT(case when  temp.[obyaz_komp_usl] is not null then   temp.Code end) OVER (partition by s.id)
 =
 COUNT(case when isnull(u.p_otk,0)<>1 and temp.[obyaz_komp_usl] is not null then temp.code end) OVER (partition by s.id ) then isnull(temp.tarif,0) end
 end ,0) tarif
FROM [D3_SCHET_OMS] sch									
  inner join D3_ZSL_OMS zs on zs.D3_SCID=sch.id							
	inner join D3_PACIENT_OMS p on p.id=zs.D3_PID						
    join D3_SL_OMS s on s.D3_ZSLID=zs.ID								
    join D3_USL_OMS u on  u.D3_SLID=s.id 
	inner join Yamed_Spr_UslTemplate temp on temp.[VM_Code]=u.vid_vme
	and temp.[CategoryID]=12
	where zs.os_sluch_region in (51)
	and sch.id = @sc 
	)
	update usl
set 
usl.tarif=z.tarif,
usl.sumv_usl=z.tarif
	from z
	join D3_USL_OMS usl on usl.id=z.id



	
	;with z as (
	select s.id,sum (u.sumv_usl) summ
	FROM [D3_SCHET_OMS] sch									
	inner join D3_ZSL_OMS zs on zs.D3_SCID=sch.id							
	inner join D3_PACIENT_OMS p on p.id=zs.D3_PID						
    join D3_SL_OMS s on s.D3_ZSLID=zs.ID								
    join D3_USL_OMS u on  u.D3_SLID=s.id 
	where zs.os_sluch_region in (51,50)
	and sch.id = @sc 
	group by s.id
	)
	update sl
	set sl.tarif=summ,
	sl.sum_m=summ
	from z
    inner join D3_SL_OMS sl on sl.id=z.id

	update zs
	set zs.sumv=s.sum_m
	FROM [D3_SCHET_OMS] sch									
  inner join D3_ZSL_OMS zs on zs.D3_SCID=sch.id							
	inner join D3_PACIENT_OMS p on p.id=zs.D3_PID					
    join D3_SL_OMS s on s.D3_ZSLID=zs.ID
	where zs.os_sluch_region in (51,50)
	and sch.id = @sc 
end