if exists(select*from sys.tables where name='CalcUslTarif')
BEGIN
	insert into [CalcUslTarif] 
	([CODE_USL]
		  , [TARIF]
		  ,[TBEG]
		  , [TEND]
		  ,[UMP])
	SELECT 
		  distinct [CODE_USL]
		  ,case 
				when [CODE_USL] like 'R01.001.005.001' then 10368.2
				when [CODE_USL] like 'R01.001.005.002' then 4970.08
				when [CODE_USL] like 'R01.001.005.003' then 9513.9
				when [CODE_USL] like 'R01.001.005.004' then 10464.4
				when [CODE_USL] like 'R01.001.005.005' then 6184.03
				when [CODE_USL] like 'R01.001.005.006' then 9540.9
				when [CODE_USL] like 'R01.001.005.007' then 3970.2
				end [TARIF]
		  ,'20220401'[TBEG]
		  ,'20221231'  [TEND]
		  ,[UMP]

	  FROM [CalcUslTarif] t
	  where year ([TBEG])=2022
	  and case 
				when [CODE_USL] like 'R01.001.005.001' then 10368.2
				when [CODE_USL] like 'R01.001.005.002' then 4970.08
				when [CODE_USL] like 'R01.001.005.003' then 9513.9
				when [CODE_USL] like 'R01.001.005.004' then 10464.4
				when [CODE_USL] like 'R01.001.005.005' then 6184.03
				when [CODE_USL] like 'R01.001.005.006' then 9540.9
				when [CODE_USL] like 'R01.001.005.007' then 3970.2
				end is not null
				and tbeg='20220101'
END