update V017
set DATEEND = '20210630'
where IDDR in (14,15) and DATEEND is null

INSERT [dbo].[V016] ([IDDT], [DTNAME], [DTRULE], [DATEBEG], [DATEEND]) VALUES (N'УД1', N'Первый этап углубленной диспансеризации определенных групп взрослого населения', N'1,2,31,32,12,33,34,', CAST(N'2021-07-01' AS Date), NULL)
INSERT [dbo].[V016] ([IDDT], [DTNAME], [DTRULE], [DATEBEG], [DATEEND]) VALUES (N'УД2', N'Второй этап углубленной диспансеризации определенных групп взрослого населения', N'1,2,31,32,', CAST(N'2021-07-01' AS Date), NULL)

INSERT [dbo].[V017] ([IDDR], [DRNAME], [DATEBEG], [DATEEND]) VALUES (33, N'Направлен на II этап диспансеризации определенных групп взрослого населения и углубленной диспансеризации, предварительно присвоена IIIа группа здоровья', CAST(N'2021-07-01T00:00:00.000' AS DateTime), NULL)
INSERT [dbo].[V017] ([IDDR], [DRNAME], [DATEBEG], [DATEEND]) VALUES (34, N'Направлен на II этап диспансеризации определенных групп взрослого населения и углубленной диспансеризации, предварительно присвоена IIIб группа здоровья', CAST(N'2021-07-01T00:00:00.000' AS DateTime), NULL)

INSERT [dbo].[Yamed_Spr_UslCode] ([ID],[Name],[id_vid_vme],[service_type],[service_group],[help_profile],[IDSP]) VALUES (N'R01.001.005.008', N'BRCA 1,2, СНЕК 2 в крови или биопсийном (операционном) материале методом NGS (Молекулярно-генетическое исследование с целью выявления онкологических заболеваний)', NULL, NULL, NULL, NULL, NULL)

INSERT [dbo].[OsobSluchDb] ([Id], [Name], [id_p_cel25], [id_idsp], [ob], [dbeg], [dend]) VALUES (50, N'I-этап углубленной диспансеризации определенных групп взрослого населения (пр. №)', N'2.2', 30, NULL, CAST(0x0000AD5800000000 AS DateTime), NULL)
INSERT [dbo].[OsobSluchDb] ([Id], [Name], [id_p_cel25], [id_idsp], [ob], [dbeg], [dend]) VALUES (51, N'II-этап углубленной диспансеризации определенных групп взрослого населения (пр. №)', N'2.2', 30, NULL, CAST(0x0000AD5800000000 AS DateTime), NULL)

insert into Yamed_Spr_UslCategory (ID,[Name]) values (11,'I этап углубленной диспансеризации взрослых после COVID-19')
insert into Yamed_Spr_UslCategory (ID,[Name]) values (12,'II этап углубленной диспансеризации взрослых после COVID-19')

INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES ( 11, N'измерение насыщения крови кислородом (сатурация) в покое ( I-этап  ) ', N'A12.09.005', N'A12.09.005', CAST(1.00 AS Numeric(5, 2)), CAST(24.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 111, 0, 226, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES ( 11, N'тест с 6-минутной ходьбой (при исходной сатурации кислорода крови 95 процентов и больше в сочетании с наличием у гражданина жалоб на одышку, отеки, которые появились впервые или повысилась их интенсивность) ( I-этап  ) ', N'A23.30.023', N'A23.30.023', CAST(1.00 AS Numeric(5, 2)), CAST(60.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 111, 0, 226, 1, NULL)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES ( 11, N'проведение спирометрии или спирографии ( I-этап  ) ', N'A12.09.001', N'A12.09.001', CAST(1.00 AS Numeric(5, 2)), CAST(124.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 111, 0, 226, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES ( 11, N'общий (клинический) анализ крови развернутый ( I-этап  ) ', N'B03.016.003', N'B03.016.003', CAST(1.00 AS Numeric(5, 2)), CAST(88.99 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 34, 0, 26, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES ( 11, N'биохимический анализ крови  ( I-этап  ) ', N'B03.016.004', N'B03.016.004', CAST(1.00 AS Numeric(5, 2)), CAST(489.01 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 34, 0, 26, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ([CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (11, N'определение концентрации Д-димера в крови у граждан, перенесших среднюю степень тяжести и выше новой коронавирусной инфекции (COVID-19) ( I-этап  ) ', N'A09.05.051.001', N'A09.05.051.001', CAST(1.00 AS Numeric(5, 2)), CAST(419.60 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 34, 0, 26, 1, NULL)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (11, N'проведение рентгенографии органов грудной клетки (если не выполнялась ранее в течение года) ( I-этап  ) ', N'A06.09.007', N'A06.09.007', CAST(1.00 AS Numeric(5, 2)), CAST(0.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 78, 0, 60, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ([CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (11, N'прием (осмотр) врачом-терапевтом (участковым терапевтом, врачом общей практики) ( I-этап  ) ', N'B04.047.004', N'B04.047.004', CAST(1.00 AS Numeric(5, 2)), CAST(0.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 97, 0, 76, 1, 1)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (12, N'проведение эхокардиографии (в случае показателя сатурации в покое 94 процента и ниже, а также по результатам проведения теста с 6-минутной ходьбой) ( II-этап ) ', N'A04.10.002', N'A04.10.002', CAST(1.00 AS Numeric(5, 2)), CAST(1367.19 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 111, 0, 226, 1, NULL)
INSERT [dbo].[Yamed_Spr_UslTemplate] ([CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (12, N'проведение компьютерной томографии легких (в случае показателя сатурации в покое 94 процента и ниже, а также по результатам проведения теста с 6-минутной ходьбой) ( II-этап ) ', N'A06.09.005', N'A06.09.005', CAST(1.00 AS Numeric(5, 2)), CAST(1065.00 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 78, 0, 60, 1, NULL)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (12, N' дуплексное сканирование вен нижних конечностей (при наличии показаний по результатам определения концентрации Д-димера в крови) ( II-этап ) ', N'A04.12.006.002', N'A04.12.006.002', CAST(1.00 AS Numeric(5, 2)), CAST(1139.30 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 106, 0, 81, 1, NULL)
INSERT [dbo].[Yamed_Spr_UslTemplate] ( [CategoryID], [Name], [Code], [VM_Code], [Kol], [Tarif], [Date1], [Date2], [Profil], [Det], [Spec], [obyaz], [obyaz_komp_usl]) VALUES (9, N'BRCA 1,2, СНЕК 2 в крови или биопсийном (операционном) материале методом NGS (Молекулярно-генетическое исследование с целью выявления онкологических заболеваний)', N'R01.001.005.008', NULL, CAST(1.00 AS Numeric(5, 2)), CAST(22149.57 AS Numeric(15, 2)), CAST(0x0000AD5800000000 AS DateTime), CAST(0x0000AE0F00000000 AS DateTime), 40, 0, 31, NULL, NULL)