IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'V032'))
BEGIN
	CREATE TABLE [dbo].[V032](
	[ScheDrugGrCd] [nvarchar](254) NOT NULL,
	[Name] [nvarchar](254) NULL,
	[SchemCode] [nvarchar](254) NULL,
	[DATEBEG] [datetime] NULL,
	[DATEEND] [datetime] NULL
	) ON [PRIMARY]
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'1-1-1', N'1.1. Противовирусные препараты', N'1-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'1-1-2', N'1.1 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'1-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'1-1-3', N'1.1 Антикоагулянтный препарат', N'1-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-1-1', N'2.1 Противовирусные препараты', N'2-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-1-2', N'2.1 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'2-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-1-3', N'2.1 Антикоагулянтный препарат', N'2-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-1-4', N'2.1 Глюкокортикостероид', N'2-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-2-1', N'2.2 Противовирусные препараты', N'2-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-2-3', N'2.2 Антикоагулянтный препарат', N'2-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-2-4', N'2.2 Глюкокортикостероид', N'2-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'2-2-5', N'2.2 Антибактериальный, антимикотический препарат', N'2-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-1-1', N'3.1 Противовирусные препараты', N'3-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-1-2', N'3.1 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'3-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-1-3', N'3.1 Антикоагулянтный препарат', N'3-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-1-4', N'3.1 Глюкокортикостероид', N'3-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-1-5', N'3.1 Антибактериальный, антимикотический препарат', N'3-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-2-1', N'3.2 Противовирусные препараты', N'3-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-2-2', N'3.2 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'3-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-2-3', N'3.2 Антикоагулянтный препарат', N'3-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-2-4', N'3.2 Глюкокортикостероид', N'3-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-2-5', N'3.2 Антибактериальный, антимикотический препарат', N'3-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-3-1', N'3.3 Противовирусные препараты', N'3-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-3-3', N'3.3 Антикоагулянтный препарат', N'3-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-3-4', N'3.3 Глюкокортикостероид', N'3-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-3-5', N'3.3 Антибактериальный, антимикотический препарат', N'3-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-4-1', N'3.4 Противовирусные препараты', N'3-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-4-2', N'3.4 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'3-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-4-3', N'3.4 Антикоагулянтный препарат', N'3-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-4-4', N'3.4 Глюкокортикостероид', N'3-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'3-4-5', N'3.4 Антибактериальный, антимикотический препарат', N'3-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-1-1', N'4.1 Противовирусные препараты', N'4-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-1-2', N'4.1 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'4-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-1-3', N'4.1 Антикоагулянтный препарат', N'4-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-1-4', N'4.1 Глюкокортикостероид', N'4-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-1-5', N'4.1 Антибактериальный, антимикотический препарат', N'4-1', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-2-1', N'4.2 Противовирусные препараты', N'4-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-2-2', N'4.2 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'4-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-2-3', N'4.2 Антикоагулянтный препарат', N'4-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-2-4', N'4.2 Глюкокортикостероид', N'4-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-2-5', N'4.2 Антибактериальный, антимикотический препарат', N'4-2', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-3-1', N'4.3 Противовирусные препараты', N'4-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-3-3', N'4.3 Антикоагулянтный препарат', N'4-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-3-4', N'4.3 Глюкокортикостероид', N'4-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-3-5', N'4.3 Антибактериальный, антимикотический препарат', N'4-3', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-4-1', N'4.4 Противовирусные препараты', N'4-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-4-2', N'4.4 Моноклональные антитела, иммунодепрессанты и ингибиторы интерлейкина', N'4-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-4-3', N'4.4 Антикоагулянтный препарат', N'4-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-4-4', N'4.4 Глюкокортикостероид', N'4-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V032] ([ScheDrugGrCd], [Name], [SchemCode], [DATEBEG], [DATEEND]) VALUES (N'4-4-5', N'4.4 Антибактериальный, антимикотический препарат', N'4-4', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)

END