ALTER PROCEDURE [dbo].[p_doc_akt_7_17] @deti int , -- 0 - сироты 10- под опекой.
		@sc int,   @smo nvarchar(20)
AS --16.02.2018 texnix  для 21,25 отчёта
BEGIN 
declare @disp nvarchar(255)
if @deti = 0
	set @disp ='Диспансеризация пребывающих в стационарных учреждениях детей-сирот и детей, находящихся в трудной жизненной ситуации' 
else
	set @disp = 'Диспансеризация детей-сирот и детей, оставшихся без попечения родителей, в том числе усыновленных (удочеренных), принятых под опеку (попечительство), в приемную или патронатную семью '
Select
case 
 WHEN OS_SLUCH_REGION = 7+@deti THEN @disp+' 1 этап '
  WHEN OS_SLUCH_REGION = 8+@deti THEN @disp+' 2 этап'
  else 'Итого'
end cel,sumv,case when OS_SLUCH_REGION is not null then tarif end tarif,cnt
from 
	(select OS_SLUCH_REGION,
		case when year(min(zsl.date_z_2))>2020 and pa.SMO like '46%' and max(pa.pr_nov)!=1 then 0 else sum(SUMO) end sumv,case when pa.SMO like '46%' and max(pa.pr_nov)!=1 then 0 else max(SUMO) end tarif, count(*) cnt	--чтобы случаи 2020 года попадали в отчет
	from D3_ZSL_OMS zsl  
		join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and zsl.D3_SCID=@sc 
		and (@smo='' or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 3 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	where OS_SLUCH_REGION in (7+@deti,8+@deti) and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
	group by rollup (OS_SLUCH_REGION) ,pa.SMO
	) k
end