IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'V033'))
BEGIN
	CREATE TABLE [dbo].[V033](
		[Id] [int] IDENTITY(1,1) NOT NULL,
		[ScheDrugGrCd] [nvarchar](20) NOT NULL,
		[DrugCode] [int] NULL,
		[DATEBEG] [datetime] NULL,
		[DATEEND] [datetime] NULL,
	PRIMARY KEY CLUSTERED 
	(
		[Id] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]

	SET IDENTITY_INSERT [dbo].[V033] ON 

	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (1, N'1-1-1', 2983, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (2, N'1-1-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (3, N'1-1-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (4, N'1-1-2', 2504, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (5, N'1-1-2', 2109, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (6, N'1-1-2', 2640, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (7, N'1-1-2', 2877, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (8, N'1-1-2', 2920, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (9, N'1-1-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (10, N'2-1-1', 2983, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (11, N'2-1-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (12, N'2-1-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (13, N'2-1-2', 2877, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (14, N'2-1-2', 2920, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (15, N'2-1-2', 2111, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (16, N'2-1-2', 2672, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (17, N'2-1-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (18, N'2-1-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (19, N'2-2-1', 2983, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (20, N'2-2-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (21, N'2-2-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (22, N'2-2-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (23, N'2-2-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (24, N'2-2-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (25, N'3-1-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (26, N'3-1-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (27, N'3-1-2', 2111, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (28, N'3-1-2', 2672, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (29, N'3-1-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (30, N'3-1-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (31, N'3-1-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (32, N'3-2-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (33, N'3-2-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (34, N'3-2-2', 1105, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (35, N'3-2-2', 2745, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (36, N'3-2-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (37, N'3-2-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (38, N'3-2-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (39, N'3-3-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (40, N'3-3-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (41, N'3-3-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (42, N'3-3-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (43, N'3-3-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (44, N'3-4-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (45, N'3-4-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (46, N'3-4-2', 2877, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (47, N'3-4-2', 2920, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (48, N'3-4-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (49, N'3-4-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (50, N'3-4-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (51, N'4-1-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (52, N'4-1-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (53, N'4-1-2', 2111, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (54, N'4-1-2', 2672, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (55, N'4-1-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (56, N'4-1-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (57, N'4-1-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (58, N'4-2-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (59, N'4-2-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (60, N'4-2-2', 1105, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (61, N'4-2-2', 2745, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (62, N'4-2-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (63, N'4-2-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (64, N'4-2-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (65, N'4-3-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (66, N'4-3-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (67, N'4-3-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (68, N'4-3-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (69, N'4-3-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (70, N'4-4-1', 2945, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (71, N'4-4-1', 2848, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (72, N'4-4-2', 2877, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (73, N'4-4-2', 2920, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (74, N'4-4-3', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (75, N'4-4-4', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V033] ([Id], [ScheDrugGrCd], [DrugCode], [DATEBEG], [DATEEND]) VALUES (76, N'4-4-5', NULL, CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	SET IDENTITY_INSERT [dbo].[V033] OFF

	ALTER TABLE [dbo].[V033] ADD  DEFAULT (NULL) FOR [DATEEND]

END