ALTER PROCEDURE [dbo].[p_autocalc_046_001000] @sc int
AS 
BEGIN
Update D3_SL_OMS 
                    SET 
                        TARIF= 
                            (CASE 
								WHEN (sl.P_CEL25 = '1.0' )  THEN t.tarif1
								WHEN (sl.P_CEL25 = '1.1' )  THEN t.tarif2
								WHEN (sl.P_CEL25 = '1.2' )  THEN t.tarif3
								WHEN (sl.P_CEL25 = '1.3' )  THEN t.tarif4
								WHEN (sl.P_CEL25 = '2.1' )  THEN t.tarif5
								WHEN (sl.P_CEL25 = '2.2' )  THEN t.tarif6
								WHEN (sl.P_CEL25 = '2.3' )  THEN t.tarif7
								WHEN (sl.P_CEL25 = '2.5' )  THEN t.tarif8
								WHEN (sl.P_CEL25 = '2.6' )  THEN t.tarif9
								WHEN (sl.P_CEL25 = '3.0' )  THEN t.tarif10
								WHEN (sl.P_CEL25 = '3.1' )  THEN t.tarif11
								ELSE 0.00
                            END),
                        SUM_M=
                            (CASE 
								WHEN (sl.P_CEL25 = '1.0' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif1 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.1' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif2 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.2' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif3 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.3' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif4 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.1' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif5 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.2' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif6 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.3' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif7 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.5' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif8 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.6' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) * t.tarif9 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '3.0' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN 0.00  --ROUND(isnull(sl.ED_COL, 1.00) * t.tarif10 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '3.1' and sl.PROFIL not in (63,85,86,87,88,89,90,171))  THEN 0.00  --ROUND(isnull(sl.ED_COL, 1.00) * t.tarif11 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)

								WHEN (sl.P_CEL25 = '1.0' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif1 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.1' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif2 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.2' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif3 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '1.3' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif4 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.1' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif5 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.2' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif6 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.3' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif7 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.5' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif8 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '2.6' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 4 * t.tarif9 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '3.0' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 12 * t.tarif10 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)
								WHEN (sl.P_CEL25 = '3.1' and sl.PROFIL in (63,85,86,87,88,89,90,171))  THEN ROUND(isnull(sl.ED_COL, 1.00) / 12 * t.tarif11 * (case when zsl.IDSP=25 or zsl.lpu in ('460011','460025','460064','460068','460088','460144') then ISNULL(kf.KZMP, 1.00) else 1.00 end), 2)

                                ELSE 0.00
                            END)
                    from D3_ZSL_OMS zsl 
					JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
					Join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID and zsl.USL_OK = 3
                    join (Select * From CalcAmbTarif where OS_SLUCH is null and USL_OK = 3) as t on sl.Profil = t.Profil
					and (zsl.DATE_Z_2 >= t.TBEG and zsl.DATE_Z_2 < t.TEND +1) 
                    left join CalcMok as kf on kf.KOD_LPU = zsl.LPU AND (zsl.DATE_Z_2 >= kf.DATESTART and (kf.DATEEND is NULL OR zsl.DATE_Z_2 < kf.DATEEND +1))
                    where zsl.D3_SCID = @sc and zsl.OS_SLUCH_REGION is null
end