﻿declare cur cursor
--удаление старых ноунеймовских индексов. и замена их на новые, именованные
for 
select t.name, i.name, i.indid

from sysobjects t, sysindexes i
where t.id = i.id
and t.type = 'U'
and i.indid <> 0
and t.name not like 'sys%'
and (i.name like 'NonClusteredIndex%' ) --тип константы, 'U%' 'i%'
and t.name='D3_ZSL_OMS'
order by t.name, i.name

declare @tname varchar(50), @iname varchar(50), @itype int, @sql nvarchar(500)

open cur

fetch  next from cur into @tname, @iname, @itype

while @@fetch_status = 0
begin
    if @itype = 1 or @iname like'U%'
    begin
        select @sql = N'ALTER TABLE ' + @tname  + ' DROP CONSTRAINT ' + @iname
    end
    else
    begin
        select @sql = N'DROP INDEX ' + @tname + '.[' + @iname+']'
    end


    --print @sql

    exec sp_executesql @sql

   fetch  next from cur into @tname, @iname, @itype

end

close cur
deallocate cur

if exists (select * from sysindexes where name = '_dta_stat_838450211_5_6' and id = object_id('dbo.D3_ZSL_OMS') )
 DROP STATISTICS [dbo].[D3_ZSL_OMS].[_dta_stat_838450211_5_6]

if exists (select * from sysindexes where name = 'IX_D3_SCID_incl' and id = object_id('dbo.D3_ZSL_OMS') )
DROP INDEX [IX_D3_SCID_incl] ON [dbo].[D3_ZSL_OMS]
if exists (select * from sysindexes where name = 'IX_PID' and id = object_id('dbo.D3_ZSL_OMS') )
DROP INDEX [IX_PID] ON [dbo].[D3_ZSL_OMS]
if exists (select * from sysindexes where name = 'IX_IDSCID' and id = object_id('dbo.D3_ZSL_OMS') )
DROP INDEX [IX_IDSCID] ON [dbo].[D3_ZSL_OMS];

alter table [dbo].[T_ZSL] alter column [IDCASE] numeric(11,0);
alter table [dbo].[D3_ZSL_OMS] alter column [IDCASE] numeric(11,0);


SET ANSI_PADDING ON
CREATE NONCLUSTERED INDEX [IX_D3_SCID_incl] ON [dbo].[D3_ZSL_OMS]
(
	[D3_SCID] ASC
)
INCLUDE([ID],[ZSL_ID],[D3_PID],[D3_PGID],[IDCASE],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[VIDPOM],[FOR_POM],[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[DATE_Z_2],[P_OTK],[SUMP],[SANK_IT],[MEK_COMENT],[OSP_COMENT],[ISHOD],[OS_SLUCH],[EKMP_COUNT],[MTR],[USL_OK],[P_CEL],[SUMV],[OPLATA],[EXP_COMENT],[EXP_TYPE],[EXP_DATE],[USERID],[MEK_COUNT],[MEE_COUNT]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [IX_PID] ON [dbo].[D3_ZSL_OMS]
(
	[D3_PID] ASC,
	[D3_SCID] ASC
)
INCLUDE([ID],[ZSL_ID],[D3_PGID],[IDCASE],[NPR_MO],[LPU],[VBR],[DATE_Z_1],[RSLT_D],[KD_Z],[VNOV_M],[RSLT],[VIDPOM],[FOR_POM],[OS_SLUCH_REGION],[VOZR],[VB_P],[IDSP],[DATE_Z_2],[P_OTK],[SUMP],[SANK_IT],[MEK_COMENT],[OSP_COMENT],[ISHOD],[OS_SLUCH],[EKMP_COUNT],[MTR],[USL_OK],[P_CEL],[SUMV],[OPLATA],[EXP_COMENT],[EXP_TYPE],[EXP_DATE],[USERID],[MEK_COUNT],[MEE_COUNT]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

CREATE UNIQUE NONCLUSTERED INDEX [IX_IDSCID] ON [dbo].[D3_ZSL_OMS]
(
	[ZSL_ID] ASC,
	[D3_PID] ASC,
	[D3_PGID] ASC,
	[D3_SCID] ASC,
	[IDCASE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
