update V023
set DATEEND='20200430'
where K_KSG in ('st16.005','st29.009','st29.010','st29.011','st32.017') and (dateend is null or dateend='20201231')
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st16.005.1','  , ',0.32,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st16.005.2','  , ',0.60,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.009.1','  -   ,  ( 1)',0.64,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.009.2','  -   ,  ( 1)',0.98,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.010.1','  -   ,  ( 2)',0.75,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.010.2','  -   ,  ( 2)',1.18,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.011.1','  -   ,  ( 3)',1.10,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st29.011.2','  -   ,  ( 3)',1.74,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st32.017.1','     ,  ( 2)',0.96,'20200501',NULL)
INSERT INTO [dbo].[V023] ([IDUMP],[K_KSG],[N_KSG],[KOEF_Z],[DATEBEG],[DATEEND]) VALUES (1,'st32.017.2','     ,  ( 2)',1.93,'20200501',NULL)

update CalcKsgTarif
set DEND='20200430'
where IDKSG in ('st16.005','st29.009','st29.010','st29.011','st32.017') and (DEND is null or DEND='20201231')

INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st16.005.1',0,0.32,7310.71,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st16.005.2',0,0.60,13538.35,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.009.1',-4,0.64,14440.90,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.009.2',-4,0.98,22112.63,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.010.1',-4,0.75,16922.93,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.010.2',-4,1.18,26625.41,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.011.1',-4,1.10,24820.31,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st29.011.2',-4,1.74,39261.20,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st32.017.1',-4,0.96,21661.35,'20200501','20201231')
INSERT INTO [dbo].[CalcKsgTarif] ([IDKSG],[SSL],[KZ],[TARIF],[DBEG],[DEND]) VALUES ('st32.017.2',-4,1.93,43548.35,'20200501','20201231')

update CalcUprk
set TEND='20200430'
where IDKSG in ('st16.005','st29.009','st29.010','st29.011','st32.017') and (TEND is null or TEND='20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st16.005.1',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st16.005.2',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.009.1',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.009.2',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.010.1',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.010.2',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.011.1',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st29.011.2',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st32.017.1',1.0,'20200501','20201231')
INSERT INTO [dbo].[CalcUprk] ([IDKSG],[UPR],[TBEG],[TEND]) VALUES('st32.017.2',1.0,'20200501','20201231')

update SprKSGDecode
set DEND='20200430'
where NKSG in ('st16.005','st29.009','st29.010','st29.011','st32.017','st12.013','st23.004','st12.010') and (DEND is null or DEND='20201231')

update CalcMok
set DATEEND='20200430'
where KOD_LPU in ('460014','460023') and  DATEEND='20201231'
INSERT INTO [dbo].[CalcMok] ([KOD_LPU],[KUS],[KZMP],[KZCMP],[DATESTART],[DATEEND]) VALUES ('460014',1.3000,1.0000,1.0000,'20200501','20201231')
INSERT INTO [dbo].[CalcMok] ([KOD_LPU],[KUS],[KZMP],[KZCMP],[DATESTART],[DATEEND]) VALUES ('460023',1.3000,1.0000,1.0000,'20200501','20201231')

update CalcUslTarif
set TEND='20200430'
where CODE_USL='R01.001.007' and TEND='20201231'

INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.007',1,1300,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.007',2,1300,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.007',3,1300,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.008',1,1230,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.008',2,1230,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.008',3,1230,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.009',1,2025,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.009',2,2025,'20200501','20201231')
INSERT INTO [dbo].[CalcUslTarif] ([CODE_USL],[UMP],[TARIF],[TBEG],[TEND]) VALUES ('R01.001.009',3,2025,'20200501','20201231')

INSERT INTO [dbo].[Yamed_Spr_UslCode] ([ID],[Name]) VALUES ('R01.001.008','     M,G  ')
INSERT INTO [dbo].[Yamed_Spr_UslCode] ([ID],[Name]) VALUES ('R01.001.009','        M,G')