
ALTER PROCEDURE [dbo].[p_oms_calc_kslp_sum]
	@zsl int,
	@scid int,
	@marker	nvarchar(10)

AS
BEGIN
	
if(@marker='zsl')
  begin
       update ksg set IT_SL = tt.kslp_sum, SL_K = case when isnull(kslp_sum, 0) > 0 then 1 else 0 end 
     --insert into @t1
     --select tt.kslp_sum
     from D3_KSG_KPG_OMS ksg 
     join (
     select ksg.ID,
     case when 91 not in
     	(select kf.IDSL from D3_ZSL_OMS z 
     	join D3_SL_OMS sl on sl.D3_ZSLID = z.ID 
     	join D3_KSG_KPG_OMS ksg on sl.ID = ksg.D3_SLID
     	left join D3_SL_KOEF_OMS kf on ksg.ID = kf.D3_KSGID
     	where	
     	z.id = @zsl )
     and max(floor(kf.Z_SL))+sum (kf.Z_SL %1) > 1.8 then 1.8
     							else max(floor(kf.Z_SL))+sum (kf.Z_SL %1) end as kslp_sum
     from D3_ZSL_OMS z 
     join D3_SL_OMS sl on sl.D3_ZSLID = z.ID 
     join D3_KSG_KPG_OMS ksg on sl.ID = ksg.D3_SLID
     left join D3_SL_KOEF_OMS kf on ksg.ID = kf.D3_KSGID
     where
     z.id = @zsl 
     group by ksg.ID) tt on ksg.id = tt.id
  end	
  else
  begin
     declare @t table (rn int,id int)
     
     insert into @t select ROW_NUMBER() OVER(order by id) as rn,id
     from D3_ZSL_OMS where D3_SCID=@scid and USL_OK in (1,2) 
     
     
     --select*from @t
     declare @i int=(select min(rn) from @t)
     
     
     while @i<=(select max(rn) from @t)
     	begin
     	set @zsl=(select id from @t where rn=@i)	
     update ksg set IT_SL = tt.kslp_sum, SL_K = case when isnull(kslp_sum, 0) > 0 then 1 else 0 end 
     --insert into @t1
     --select tt.kslp_sum
     from D3_KSG_KPG_OMS ksg 
     join (
     select ksg.ID,
     case when 91 not in
     	(select kf.IDSL from D3_ZSL_OMS z 
     	join D3_SL_OMS sl on sl.D3_ZSLID = z.ID 
     	join D3_KSG_KPG_OMS ksg on sl.ID = ksg.D3_SLID
     	left join D3_SL_KOEF_OMS kf on ksg.ID = kf.D3_KSGID
     	where	
     	z.id = @zsl )
     and max(floor(kf.Z_SL))+sum (kf.Z_SL %1) > 1.8 then 1.8
     							else max(floor(kf.Z_SL))+sum (kf.Z_SL %1) end as kslp_sum
     from D3_ZSL_OMS z 
     join D3_SL_OMS sl on sl.D3_ZSLID = z.ID 
     join D3_KSG_KPG_OMS ksg on sl.ID = ksg.D3_SLID
     left join D3_SL_KOEF_OMS kf on ksg.ID = kf.D3_KSGID
     where
     z.id = @zsl 
     group by ksg.ID) tt on ksg.id = tt.id
     
     set @i=@i+1
     end
   end




	
END