ALTER PROCEDURE [dbo].[p_autocalc_046_000900] @sc int
AS 
BEGIN
Update D3_SL_OMS 
                    SET ED_COL = st.uet_sum
					from D3_SL_OMS sl
					join (Select 
					sum(
					 case
						when FLOOR(DATEDIFF(DAY,DR,DATE_2)/365.25) < 18 Then ISNULL(st.Child * isnull(u.KOL_USL, 1), 0)
						else ISNULL(st.Adult * ISNULL(u.KOL_USL, 1), 0)
					 end) uet_sum, sl.ID
                    from D3_ZSL_OMS zsl 
					JOIN D3_PACIENT_OMS pa on zsl.D3_PID = pa.ID
					Join D3_SL_OMS sl on zsl.ID = sl.D3_ZSLID and zsl.USL_OK = 3 and sl.PROFIL in (63,85,86,87,88,89,90,171)
					join D3_USL_OMS u on sl.ID = u.D3_SLID
					join [dbo].[CalcStomatUet] st on u.VID_VME = st.Code and DATE_Z_2>=DATEBEG and DATE_Z_2<=DATEEND
					GROUP BY sl.ID) st on sl.ID = st.ID
end