IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'SprMethodInj'))
BEGIN
	CREATE TABLE [dbo].[SprMethodInj](
		[ID] varchar(3) NULL,
		[NAME_RUS] [nvarchar](70) NULL,
		[NAME_ENG] [nvarchar](70) NULL,
		[PARENT] [int] NULL,
		[NSI_CODE_EEC] [nvarchar](256) NULL,
		[NSI_ELEMENT_CODE_EEC] [nvarchar](256) NULL
	) ON [PRIMARY]

	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (1, N'Энтеральный', N'Digestive tract route', NULL, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (2, N'Для приема внутрь', N'Oral use', 1, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (3, N'Гастральный', N'Gastric use', 1, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (4, N'Гастроэнтеральный', N'Gastroenteral use', 1, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (5, N'Интестинальный', N'Intestinal use', 1, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (6, N'Наружный', N'External use', NULL, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (7, N'Кожный', N'Cutaneous use', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (8, N'Трансдермальный', N'Transdermal use', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (9, N'Внутриэпидермальный', N'Intraepidermal use', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (10, N'Кожная скарификация', N'Skin scarification', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (11, N'На очаг повреждения', N'Epilesional use', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (12, N'Местный', N'Topical route', NULL, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (13, N'Оромукозный', N'Oromucosal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (14, N'Подъязычный', N'Sublingual use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (15, N'Буккальный', N'Buccal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (16, N'Гингивальный', N'Gingival use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (17, N'Дентальный', N'Dental use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (18, N'Периодонтальный', N'Periodontal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (19, N'Назальный', N'Nasal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (20, N'Орофарингеальный', N'Oropharyngeal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (21, N'Ларингофарингеальный', N'Larynpharyngeal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (22, N'Ингаляционный', N'Inhalation use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (23, N'Эндотрахеопульмональный', N'Endotracheopulmonary use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (24, N'Ушной', N'Auricular use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (25, N'Окулярный', N'Ocular use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (26, N'Уретральный', N'Urethral use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (27, N'Вагинальный', N'Vaginal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (28, N'Эндоцервикальный', N'Endocervical use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (29, N'Внутриматочный', N'Intrauterine use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (30, N'Ректальный', N'Rectal use', 12, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (31, N'Парентеральный', N'Parenteral route', NULL, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (32, N'Внутриартериальный', N'Intraarterial use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (33, N'Интракоронарный', N'Intracoronary use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (34, N'Внутривенный', N'Intravenous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (35, N'Интрапортальный', N'Intraportal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (36, N'Внутрилимфатический', N'Intralymphatic use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (37, N'Внутримышечный', N'Intramuscular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (38, N'Внутрикожный', N'Intradermal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (39, N'Подкожный', N'Subcutaneous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (40, N'Субмукозный', N'Submucosal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (41, N'Интрахолангиопанкреатический', N'Intracholangiopancreatic use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (42, N'Внутрисинусный', N'Endosinusial use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (43, N'Интраокулярный', N'Intraocular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (44, N'Субконъюнктивальный', N'Subconjunctival use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (45, N'Ретробульбарный', N'Retrobulbar use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (46, N'В переднюю камеру глаза', N'Intracameral use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (47, N'Интравитреальный', N'Intravitreal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (48, N'Задний юкстасклеральный', N'Posterior juxtascleral use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (49, N'Субретинальный', N'Subretinal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (50, N'Периневральный', N'Perineural use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (51, N'Интрацеребральный', N'Intracerebral use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (52, N'Интратекальный', N'Intrathecal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (53, N'Эпидуральный', N'Epidural use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (54, N'Интрацеребровентрикулярный', N'Intracerebroventricular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (55, N'Интрацистернальный', N'Intracisternal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (56, N'Интрадискальный', N'Intradiscal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (57, N'Внутрисуставный', N'Intraarticular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (58, N'Периартикулярный', N'Periarticular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (59, N'Интрабурсальный', N'Intrabursal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (60, N'Внутрихрящевой', N'Intracartilaginous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (61, N'Интрастернальный', N'Intrasternal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (62, N'Внутрикостный', N'Intraosseous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (63, N'Периостальный', N'Periosseous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (64, N'Интракардиальный', N'Intracardiac use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (66, N'Интрацервикальный', N'Intracervical use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (67, N'Внутрипузырный', N'Intravesical use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (68, N'Интраперикардиальный', N'Intrapericardial use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (69, N'Внутриплевральный', N'Intrapleural use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (70, N'Интраперитонеальный', N'Intraperitoneal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (71, N'Интрагландулярный', N'Intraglandular use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (72, N'Интрапростатический', N'Intraprostatic use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (73, N'Интракавернозный', N'Intracavernous use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (74, N'Интраамниотический', N'Intraamniotic use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (75, N'Экстраамниотический', N'Extraamniotic use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (76, N'Внутрь очага повреждения', N'Intralesional use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (77, N'Внутриопухолевый', N'Intratumoral use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (78, N'Околоопухолевый', N'Peritumoral use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (79, N'Экстракорпоральный', N'Extracorporeal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (80, N'Имплантация', N'Implantation', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (81, N'Инфильтрация', N'Infiltration', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (82, N'Гемодиализ', N'Haemodialysis', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (83, N'Ионофорез', N'Iontophoresis', 6, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (84, N'Интракорнеальный', N'Intracorneal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (85, N'Интраменингеальный', N'Intrameningeal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (86, N'Интрапутаминальный', N'Intraputaminal use', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (87, N'Трансплацентарный', N'Transplacental', 31, NULL, NULL)
	INSERT [dbo].[SprMethodInj] ([ID], [NAME_RUS], [NAME_ENG], [PARENT], [NSI_CODE_EEC], [NSI_ELEMENT_CODE_EEC]) VALUES (88, N'Трансмаммарный', N'Transmammary', 1, NULL, NULL)

END