ALTER PROCEDURE [dbo].[p_doc_reestr_dispV1_usl] @sc int, @etap int -- услуги для диспансеризация взрослых 22 (1 этап) или 23 (2 этап)
												-- смо тут не буду использовать, будет загружаться весь список этапа диспансеризаций, зато подгружать таблицу пациентов не нужно.
AS --21.02.2018 texnix для 8 и 11,15 отчёта/ 10.03 добавлена возможность профосмотра детей.
--06.04.2018 texnix правка для учёта одинаковых шаблонов.
BEGIN 
--if object_id('tempdb..#ProfPos') is not null drop table #ProfPos
--create table #ProfPos (id int,name nvarchar(250))

declare  @ProfPos  table (id int,name nvarchar(250))

insert into @ProfPos values
(19,'Посещение детского уролога-андролога')
,(20,'Посещение детского хирурга')
,(21,'Посещение детского эндокринолога')
,(53,'Посещение невролога')
,(64,'Посещение оториноларинголога')
,(65,'Посещение офтальмолога')
,(68,'Посещение педиатра')
,(72,'Посещение психиатра')
,(86,'Посещение детского стоматолога')
,(100,'Посещение травматолога-ортопеда')
,(136,'Посещение гинеколога')
,(162,'Посещение оториноларинголога')


select u.D3_ZSLID,isnull(n.vid_vme+' '+u.comentU,n.NameWithID) as ComenTU
,convert(varchar(8),u.Date_in,4) Date_in
,convert(varchar(8),u.Date_out,4) Date_out
,u.PRVS
,u.Tarif -- проверить негде, в тариф же проставляется тариф, а не в сумму?
from D3_ZSL_OMS zsl 
join D3_USL_OMS u on zsl.id=u.D3_ZSLID and zsl.D3_SCID = @sc
LEFT JOIN V_SprUsl n ON u.CODE_USL = n.Id
where  OS_SLUCH_REGION =@etap  or (OS_SLUCH_REGION = 49 and @etap=9) and zsl.oplata in (0, 1, 3) --не печатаем случаи с МЭК
union all
select sl.D3_ZSLID,pos.name as ComenTU
,convert(varchar(8),sl.Date_1,4) Date_in
,convert(varchar(8),sl.Date_2,4) Date_out
,sl.PRVS
,sl.Tarif -- проверить негде, в тариф же проставляется тариф, а не в сумму?
from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID and zsl.D3_SCID = @sc
join @ProfPos pos on sl.profil=pos.id
where  OS_SLUCH_REGION =@etap   or (OS_SLUCH_REGION = 49 and @etap=9) and zsl.oplata in (0, 1, 3) --не печатаем случаи с МЭК
end