Create  function [dbo].[GetDateDiff_g]
(
    @startdate datetime,
    @enddate datetime
)
returns nvarchar(7)
as
begin
    declare @monthToShow int
    declare @dayToShow int

    if (DAY(@startdate) > DAY(@enddate))
        begin
            set @dayToShow=0

            if (month(@startdate) > month(@enddate))
                begin
                    set @monthToShow=  (12-month(@startdate)+ month(@enddate)-1)
                end
            else if (month(@startdate) < month(@enddate))
                begin
                    set @monthToShow=  ((month(@enddate)-month(@startdate))-1)
                end
            else
               begin
                   set @monthToShow=  11
               end

                         if(@monthToShow<0)
                         begin
                            set @monthToShow=0
                         end

                      declare @amonthbefore integer
                      set @amonthbefore=Month(@enddate)-1
                          if(@amonthbefore=0)
                             begin
                                set @amonthbefore=12
                              end


                      if (@amonthbefore  in(1,3,5,7,8,10,12))
                          begin
                            set @dayToShow=31-DAY(@startdate)+DAY(@enddate)
                          end
                      if (@amonthbefore=2)
                         begin
                           IF (YEAR( @enddate ) % 4 = 0 AND YEAR( @enddate ) % 100 != 0) OR  YEAR( @enddate ) % 400 = 0
                                 begin
                                    set @dayToShow=29-DAY(@startdate)+DAY(@enddate)
                                  end
                           else
                               begin
                                   set @dayToShow=28-DAY(@startdate)+DAY(@enddate)
                           end
                      end
                      if (@amonthbefore in (4,6,9,11))
                        begin
                           set @dayToShow=30-DAY(@startdate)+DAY(@enddate)
                        end
                 end
    else
        begin
          if (month(@enddate)< month(@startdate))
              begin
                 set @monthToShow=12+(month(@enddate)-month(@startdate))
              end
          else
              begin
                set @monthToShow= (month(@enddate)-month(@startdate))
              end
          set @dayToShow=DAY(@enddate)-DAY(@startdate)
        end
	Declare @voz int
	Declare @voz_g int
	Declare @voz_m int
	set @voz = (CASE
	WHEN month(@enddate)=month(@startdate) and DAY(@enddate)=DAY(@startdate) and YEAR(@enddate)>YEAR(@startdate)
	THEN FLOOR(DATEDIFF(day, @startdate, @enddate+1) / 365.25)--+1
	ELSE FLOOR(DATEDIFF(day, @startdate, @enddate) / 365.25)
	 END) * 12 + @monthToShow
	 set @voz_m=@voz%12
	 set @voz_g=(case when @voz>24 then year(@enddate)-YEAR(@startdate) else @voz/12 end)
	 --return (convert(nvarchar,@voz_g)+' . '+convert(nvarchar,@voz_m))
	 return(case
				 when @voz between 12 and 14 then 'G00.M12'
				 when @voz between 15 and 17 then 'G01.M03'
				 when @voz between 18 and 23 then 'G01.M06'
				 when @voz between 0 and 12 then 'G0'+convert(nvarchar,@voz_g)+'.'+(case when @voz_m>9 then 'M'+convert(nvarchar,@voz_m) else 'M0'+convert(nvarchar,@voz_m) end)
				 when @voz_g>9 then 'G'+convert(nvarchar,@voz_g)+'.'+'M00'
				 when @voz_g between 2 and 9 then 'G0'+convert(nvarchar,@voz_g)+'.'+'M00'
				 
				  end)
end

