ALTER PROCEDURE [dbo].[p_doc_akt_11_smo] @sc int, @smo nvarchar(20)=''
AS
BEGIN
--04102018 новый интрерфейс
--declare @sc int = 2057
Select
'1. Профилактический медицинский осмотр несовершеннолетних 1 этап' cel, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else sum(SUMO) end sumV, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else max(SUMO) end tarif, count(*) cnt
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and (@smo in ('','0') or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%'))
where OS_SLUCH_REGION = 11 --and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
--group by pa.smo
UNION ALL
Select
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR in ( 'G10.M00', 'G00.M12' )  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end cel, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else sum(SUMO) end sumV, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else max(SUMO) end tarif, count(*) cnt
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and (@smo in ('','0') or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%'))
where OS_SLUCH_REGION = 11 --and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
Group by 
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR in ( 'G10.M00', 'G00.M12' )  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end--,smo
UNION ALL
Select '2. Профилактический медицинский осмотр несовершеннолетних 2 этап' cel, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else sum(SUMO) end sumV, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else max(SUMO) end tarif, count(*) cnt
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and (@smo in ('','0') or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%'))
where OS_SLUCH_REGION = 12 --and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
--group by pa.smo
UNION ALL
Select
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR in ( 'G10.M00', 'G00.M12' )  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end cel, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else sum(SUMO) end sumV, case when year(min(zsl.date_z_2))>2020 and max(pa.SMO) like '46%' and max(pa.pr_nov)!=1 then 0 else max(SUMO) end tarif, count(*) cnt
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and (@smo in ('','0') or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%'))
where OS_SLUCH_REGION = 12 --and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
Group by 
 case
                                WHEN VOZR in ('G00.M00', 'G00.M02', 'G00.M04', 'G00.M05', 'G00.M06','G00.M07', 'G00.M08', 'G00.M09', 'G00.M10', 'G00.M11', 'G01.M03', 'G01.M06') THEN '1.1 новорожденные, 2, 4, 5,6,7, 8, 9, 10, 11 месяцев, 1 год 3мес., 1 год 6 мес.'
                                WHEN VOZR in ('G00.M03','G02.M00', 'G04.M00', 'G05.M00', 'G08.M00','G09.M00','G11.M00','G12.M00')  THEN '1.2 3 мес., 2 года, 4 года, 5 лет, 8 лет, 9 лет, 11 лет, 12 лет'
                                WHEN VOZR in ('G13.M00', 'G14.M00')  THEN '1.3 13 лет, 14 лет'
                                WHEN VOZR in ('G00.M01', 'G07.M00') THEN '1.4 1 мес., 7 лет'
                                WHEN VOZR in ( 'G10.M00', 'G00.M12' )  THEN '1.5 10 лет, 12 мес.'
                                WHEN VOZR in ('G03.M00')  THEN '1.6 3 года'
                                WHEN VOZR in ('G06.M00')  THEN '1.7 6 лет'
                                WHEN VOZR in ('G15.M00', 'G16.M00', 'G17.M00')  THEN '1.8 15 лет, 16 лет, 17 лет'
end--,SMO
order by cel
END