﻿ALTER PROCEDURE [dbo].[p_doc_op_spec] @sc int, @smo nvarchar(20) = ''
AS -- 26.04.2018 texnix отчёт по специальностям по шаблону ДП7 Оксаны Владимировны.
-- 11.05.2018 добавлена скорая
--08082018 цель25
--16082018 V021 (d3)
--11092018 V021 (ct)
--02102018 новый вид отчётов
--13112020 отдельные строки для реабилитации
BEGIN

  select 1 tip,tsl,name,null as obr,count(*) pos,sum(CountKkd) as uet,sum(summ) summ from

  (select 
  ( CASE   WHEN Os_Sluch_Region=35 THEN 'Телеконсультация'
	when zs.Usl_ok=1 and s.PROFIL_K in (30,31,32,33)  THEN 'Реабилитация (Стационар)'
	when zs.Usl_ok=2 and s.PROFIL_K in (30,31,32,33) THEN 'Реабилитация (Дневной стационар)'
                  WHEN zs.Usl_ok=1 THEN 'Стационар'
      WHEN zs.Usl_ok=2 and Os_Sluch_Region is null THEN 'Дневной стационар'
      WHEN zs.Usl_ok=2 and Os_Sluch_Region in (19) THEN 'СОД'
            WHEN s.lpu_1=202 THEN 'Дневной стационар при поликлинике'
       WHEN s.lpu_1=203 THEN 'Дневной стационар на дому'
       ELSE 'Не проставлен тип случая'
      end) as tsl
  ,isnull(sp21.SPECNAME,sp.Name) name
    ,zs.KD_Z  as CountKkd
  ,s.SUM_m as summ
  from D3_SL_OMS s 
  join D3_ZSL_OMS zs on s.D3_ZSLID=zs.ID
  join D3_PACIENT_OMS p on zs.D3_PID=p.id and zs.D3_SCID = @sc and (@smo in ('','0') or (@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%')) 
  left join otdeldb o on s.podr=o.id 
  left join V015 sp on s.PRVS = sp.id
  left join V021 sp21 on s.PRVS=sp21.IDSPEC
  where zs.usl_ok in (1,2) or Os_Sluch_Region=35
  ) st
  group by tsl,name
  union all
  select 2 tip,'Обращения по заболеванию' tsl,name ,count(id) obr,sum(klvo) pos,sum(ed_col) uet, sum(sumv) summ from
  (
  Select zsl.ID,max(SUMV) sumv,max(sp.SpecName) name, case when max(sp.SpecName) like '%стом%' or max(sp.SpecName) like '%ортод%' then sum(ed_col) end ed_col,count(distinct sl.id) klvo
  from D3_ZSL_OMS zsl join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID and zsl.D3_SCID = @sc
  join V021 sp on sl.prvs = sp.idspec
  join d3_pacient_oms p on zsl.D3_PID=p.id and (@smo in ('','0') or (@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%')) 
  left join OsobSluchDb os on OS_SLUCH_REGION=os.id
  where  P_CEL25 in ('3.0') and isnull(ob,'') <>'проф' -- только обращения
   group by zsl.ID ) polik group by name
   union all
 
  select 3 tip,tsl,SpecName as name ,null obr,sum(klvo) pos,sum(ed_col) uet, sum(sumv) summ from
  (
  Select 
    ( CASE   WHEN zsl.usL_ok=4 THEN 'Скорая помощь' -- скорую помощь ставим первой, так как у неё могут поставить цель.
      WHEN OS_SLUCH_REGION is null and zsl.usL_ok=3 and sl.p_cel25 is not null THEN v25.N_PC
      WHEN OS_SLUCH_REGION is null and zsl.usL_ok=3 and sl.p_cel25 is null THEN 'Иная цель посещения'
      
       ELSE os.name
      end) as tsl,
  SUMV,sp.SpecName, case when sp.SpecName like '%стом%' or sp.SpecName like '%ортод%' then ed_col end ed_col,1 klvo,sp.idspec
  from D3_ZSL_OMS zsl join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID and zsl.D3_SCID = @sc
  join V021 sp on sl.prvs = sp.idspec
  join d3_pacient_oms p on zsl.D3_PID=p.id and (@smo in ('','0') or (@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%')) 
  left join OsobSluchDb os on zsl.OS_SLUCH_REGION = os.Id
  left join V025 v25 on v25.IDPC=sl.p_cel25
  where isnull(sl.P_CEL25,'')<>'3.0' and zsl.USL_OK not in (1,2) -- без обращения
   ) pose
  group by tsl,SpecName
order by tsl,name
END