ALTER PROCEDURE [dbo].[p_doc_schet_7_17] @deti int, -- 0 - дети сироты 10 - дети под опекой.
		@sc int, @smo nvarchar(20) = ''
AS --16.02.2018 texnix  для 20,24 отчёта
BEGIN
Select
case 
 WHEN OS_SLUCH_REGION = 7+@deti THEN '1 ЭТАП'
  WHEN OS_SLUCH_REGION = 8+@deti THEN '2 ЭТАП'
  else ' Диспансеризация пребывающих в стационарных учреждениях детей-сирот и детей, '
  + case when @deti=0 then ' находящихся в трудной жизненной ситуации :'
	else 'оставшихся без попечения родителей, в том числе усыновленных (удочеренных),принятых под опеку (попечительство), в приемную или патронатную семью: '
	end
end cel,sumv,OS_SLUCH_REGION,dbo.[RubPhrase](sumv) prop
from 
	(select OS_SLUCH_REGION,
		sum(SUMO) sumv
	from D3_ZSL_OMS zsl  
		join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and zsl.D3_SCID=@sc 
		and (@smo='' or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 3 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	where OS_SLUCH_REGION in (7+@deti,8+@deti) --and isnull(zsl.oplata,0) in (0, 1, 3) -- без случаев с МЭК
	group by rollup (OS_SLUCH_REGION) 
	) k
order by cel
END