
ALTER PROCEDURE [dbo].[p_autocalc_046_001200] @sc int
AS 
BEGIN
UPDATE D3_ZSL_OMS SET SUMV = slsum
                        FROM D3_ZSL_OMS zsl
                        Join (
                        SELECT zsl.ID, sum(sl.SUM_M) slsum, count(sl.ID) slcnt 
                        FROM D3_SL_OMS sl
						JOIN D3_ZSL_OMS zsl on sl.D3_ZSLID = zsl.ID and zsl.D3_SCID = @sc and (zsl.OS_SLUCH_REGION is NULL or zsl.OS_SLUCH_REGION = 6 or zsl.OS_SLUCH_REGION = 35)
                        where zsl.USL_OK in (3,4) or zsl.USL_OK = 1 and sl.METOD_HMP is not null
                        GROUP BY zsl.ID) tt on zsl.ID = tt.ID
end