IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'T_LEK_PR_COV'))
BEGIN
	CREATE TABLE [dbo].[T_LEK_PR_COV](
		[D3_SLGID] [varchar](36) NULL,
		[DATA_INJ] [date] NULL,
		[CODE_SH] [varchar](50) NULL,
		[REG_NUM] [varchar](6) NULL,
		[COD_MARK] [varchar](100) NULL,
		[ED_IZM] [varchar](3) NULL,
		[DOSE_INJ] [numeric](7, 2) NULL,
		[METHOD_INJ] [varchar](3) NULL,
		[COL_INJ] [numeric](5, 0) NULL
	) ON [PRIMARY]
END
