CREATE TABLE [dbo].[D3_DETECT_OMS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[D3_SCID] [int] NULL,
	[D3_ZSLID] [int] NOT NULL,
	[D3_ZSLGID] [nvarchar](36) NOT NULL,
	[TIP] [int] NOT NULL,
	[SANK_TIP] [int] NULL,
	[SysHostName] [nchar](20) NULL,
	[SysDtCreate] [datetime] NULL,
 CONSTRAINT [PK_D3_DETECT_OMS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[D3_DETECT_OMS] ADD  CONSTRAINT [DF_D3_DETECT_OMS_SysHostName]  DEFAULT (host_name()) FOR [SysHostName]

ALTER TABLE [dbo].[D3_DETECT_OMS] ADD  CONSTRAINT [DF_D3_DETECT_OMS_SysDtCreate]  DEFAULT (getdate()) FOR [SysDtCreate]