CREATE PROCEDURE [dbo].[p_doc_reestr_ugl_dispV1] @sc int -- диспансеризация взрослых 22 (1 этап) или 23 (2 этап), профосмотр взрослых, 11-1 этап ПД 12- 2 этап ПД
												, @smo nvarchar(20) = ''
AS --21.02.2018 texnix для 8 и 11,15 отчёта 09.03 фикс усл_ок/ 10.03 добавлены ПД детей./14.03 выбирает диагноз, видпомощи только среди терапевтов/педиатров.
BEGIN --06092018 новые специальности терапевтов
select ROW_NUMBER() OVER (ORDER BY FIO,DR) AS IDCASE,*
FROM(
Select 
max((rtrim((((isnull([FAM],'')+' ')+isnull([IM],''))+' ')+isnull([OT],'')))) FIO
	, max(left(s.POLNAME,1)) W
	, max(convert(varchar(8),dr,4)) dr
	, max(MR) MR
	, max(pac.SMO) SMO
	, max(case when pac.DOCTYPE=14 then 'Паспорт РФ' when pac.DOCTYPE=3 then 'Свидетельство о рожд.' else u.DocName end +' '+ pac.DOCSER+' '+pac.DOCNUM) as doc
	-- места жительства и места регистрации нет в базе, только обрезанное окато
	, max(pac.SNILS) SNILS
	, max(isnull(pac.SPOLIS+' ','')+pac.NPOLIS) NPOLIS -- номер полиса вместе с серией, если есть серия.
	--, max(case when sl.prvs in (1,22,27) then VIDPOM end) VIDPOM
	, max(case when sl.prvs in (49,76,27) then VIDPOM end) VIDPOM
	--, max(case when sl.prvs in (1,22,27) then sl.DS1 end) DS1 -- только среди терапевтов/педиатров выбираем диагноз.
	,max(case when sl.prvs in (49,76,27) then sl.DS1 end) DS1 
	, min(convert(varchar(8),zsl.date_z_1,4)) date_1
	, max(convert(varchar(8),zsl.date_z_2,4)) date_2
	, max(sumO) tarif -- почему в тарифе пусто? приходится из суммы доставать тариф.
	--, max(case when sl.prvs in (1,22,27) then sl.prvs end) prvs -- ну терапевт 
	, max(case when sl.prvs in (49,76,27) then sl.prvs end) prvs -- ну терапевт (добавил старый 27 код, потому что в новом нет такого кода, а старый могут и поставить)
	, max(RSLT) RSLT
	, zsl.ID -- для связи с услугами.

from D3_ZSL_OMS zsl 
join D3_SL_oms sl on zsl.ID = sl.D3_ZSLID
join d3_PACIENT_oms pac on zsl.D3_PID = pac.ID and zsl.D3_SCID = @sc
and (@smo='' or (@smo='46' and (pac.SMO is null or pac.SMO not like '46%')) or (pac.SMO = @smo and @smo like '460%')) -- сразу 3 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	LEFT JOIN V005 s ON pac.W = s.id 
	LEFT JOIN F011 u ON pac.DOCTYPE= u.id
	LEFT JOIN V002 p ON sl.Profil = p.id
where OS_SLUCH_REGION = 50 --угл. дисп 1 этап.
 and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК
group by zsl.ID) tt
end