IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'D3_MED_DEV_OMS'))
BEGIN
	CREATE TABLE [dbo].[D3_MED_DEV_OMS]
		(
			[ID] [int] IDENTITY(1,1) NOT NULL,
			[D3_USLID] [int] NOT NULL,
			----------------
			[DATE_MED] [date] NULL,
			[CODE_MEDDEV] [numeric](6, 0) NULL,
			[NUMBER_SER] [varchar](100) NULL,
			 CONSTRAINT [PK_D3_MED_DEV_OMS] PRIMARY KEY CLUSTERED 
			(
				[ID] ASC
			)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY]
		ALTER TABLE [dbo].[D3_MED_DEV_OMS]  WITH CHECK ADD  CONSTRAINT [FK_D3_MED_DEV_OMS_D3_USL_OMS] FOREIGN KEY([D3_USLID])
		REFERENCES [dbo].[D3_USL_OMS] ([ID])
		ALTER TABLE [dbo].[D3_MED_DEV_OMS] CHECK CONSTRAINT [FK_D3_MED_DEV_OMS_D3_USL_OMS]
END