ALTER PROCEDURE [dbo].[p_doc_akt_47] 
--declare
@sc int = 65, @smo nvarchar(20) = ''
AS 
BEGIN
--declare @sc int = 2057
select cel,sum(SUMO) sumv,max(SUMO) tarif,count(*) cnt,dbo.[RubPhrase]( sum(sumO) ) sum_it_pr from

(Select case
                                WHEN ((year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63)
								  or year(DATE_Z_2) - year(dr) between 76 and 99 )
								 AND W = 1 ) 
									 THEN '01 возрастная группа 18,21,24,27,30,33,36,39,41,43,47,49,51,53,57,59,61,63,76-99 М'
                                WHEN ((year(DATE_Z_2) - year(dr) in (40,42,44,46,48,52,54,56,58,62) 
								  or year(DATE_Z_2) - year(dr) between 65 and 75 )  
								AND W = 1 )  
									THEN '02 возрастная группа 40,42,44,46,48,52,54,56,58,62,65-75 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (55) AND W = 1 ) THEN '03 возрастная группа  55 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (50,60,64) AND W = 1 ) THEN '04 возрастная группа 50,60,64 М'
                                WHEN (year(DATE_Z_2) - year(dr) in (45) AND W = 1 ) THEN '05 возрастная группа 45 М'
							    WHEN ((year(DATE_Z_2) - year(dr) in (41,43,47,49,53,55,59,61) 
									 or year(DATE_Z_2) - year(dr) between 76 and 99 )  
									AND W = 2 ) 
									THEN '06 возрастная группа 41,43,47,49,53,55,59,61,76-99 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75) AND W = 2 ) 
									THEN '07 возрастная группа 18,21,24,27,30,33,36,39,51,57,63,65,67,69,71,73,75 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (40,44,46,50,52,56,58,62,64,66,68,70,72,74) AND W = 2 ) 
									THEN '08 возрастная группа 40,44,46,50,52,56,58,62,64,66,68,70,72,74 Ж'
                                WHEN (year(DATE_Z_2) - year(dr) in (42,45,48,54,60) AND W = 2 ) THEN '09 возрастная группа 42,45,48,54,60 Ж'
           
end cel,case when year(DATE_Z_2)>2020 and p.SMO like '46%' then 0 else SUMO end SUMO,w,year(DATE_Z_2) - year(dr) god
from D3_ZSL_OMS zsl 
join d3_schet_oms sc on zsl.D3_SCID = sc.ID and sc.ID = @sc
join d3_PACIENT_oms p on zsl.D3_PID = p.ID and ((@smo='46' and (p.SMO is null or p.SMO not like '46%')) or (p.SMO = @smo and @smo like '460%') or (@smo in ('0',''))) 
where OS_SLUCH_REGION = 47  and isnull(zsl.oplata,0) in (0, 1, 3) --не печатаем случаи с МЭК

) k 
Group by  cel
order by cel
END