ALTER PROCEDURE [dbo].[p_doc_akt_9_49]		@sc int,   @smo nvarchar(20)
AS --05.06.2018 texnix 25 отчет
BEGIN 
Select
case 
 WHEN OS_SLUCH_REGION = 9 THEN ' Профилактический медицинский осмотр взрослого населения '
  WHEN OS_SLUCH_REGION = 49 THEN ' Профилактический медицинский осмотр взрослого населения (124н)'
  else 'Итого'
end cel,sumv,case when OS_SLUCH_REGION is not null then tarif end tarif,cnt
from 
	(select OS_SLUCH_REGION,
		case when pa.SMO like '46%' then 0 else sum(SUMO) end sumv,case when pa.SMO like '46%' then 0 else max(SUMO) end tarif, count(*) cnt	
	from D3_ZSL_OMS zsl  
		join d3_PACIENT_oms pa on zsl.D3_PID = pa.ID and zsl.D3_SCID=@sc 
		and (@smo='' or (@smo='46' and (pa.SMO is null or pa.SMO not like '46%')) or (pa.SMO = @smo and @smo like '460%')) -- сразу 3 вида отчётов - по всем '' по фонду '46' и по конкретной смо.
	where OS_SLUCH_REGION in (9,49) and zsl.oplata in (0, 1, 3) --не печатаем случаи с МЭК
	group by rollup (OS_SLUCH_REGION) ,pa.SMO
	) k
end