IF (NOT EXISTS (SELECT 1 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_NAME = 'V036'))
BEGIN
	CREATE TABLE [dbo].[V036](
		[S_CODE] [nvarchar](254) NOT NULL,
		[NAME] [nvarchar](254) NULL,
		[Parameter] [int] NULL,
		[COMMENT] [nvarchar](512) NULL,
		[DATEBEG] [datetime] NULL,
		[DATEEND] [datetime] NULL
	) ON [PRIMARY]

	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A05.10.012', N'Имплантация петлевого регистратора для долговременной регистрации электрической активности проводящей системы сердца', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.07.002', N'Внутритканевая лучевая терапия опухолей полости рта', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.07.002.001', N'Внутритканевая гамма-терапия опухолей полости рта', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.07.004', N'Внутритканевая лучевая терапия опухолей языка', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.07.004.001', N'Внутритканевая гамма-терапия при опухолях языка', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.19.003', N'Внутритканевая лучевая терапия опухолей сигмовидной и прямой кишки', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.20.002', N'Внутритканевая лучевая терапия опухолей молочной железы', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.20.002.001', N'Внутритканевая гамма-терапия опухолей женских половых органов', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.21.002', N'Внутритканевая лучевая терапия опухолей мужских половых органов', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A07.30.004', N'Внутритканевая лучевая терапия при поражении мягких тканей', 2, N'внутритканевая ЛТ', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A11.12.001.002', N'Имплантация подкожной венозной порт системы', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A11.17.003', N'Установка интестинальной помпы', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A11.28.012', N'Установка стента в мочевыводящие пути', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005', N'Пластика сухожилия', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005.001', N'Пластика ахиллова сухожилия', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005.002', N'Пластика разрыва ключично-акромиального сочленения', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005.003', N'Пластика сухожилия кисти', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005.004', N'Пластика вращательной манжеты плеча артроскопическая', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.005.005', N'Пластика разрыва ключично-акромиального сочленения с использованием видеоэндоскопической техники', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.02.017', N'Пластика сухожильно-связочного аппарата стопы', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.011', N'Артропластика височно-нижнечелюстного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.020', N'Внутренняя фиксация кости (без коррекции перелома)', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022', N'Остеосинтез', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.001', N'Остеосинтез кости танталовой нитью', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.002', N'Остеосинтез титановой пластиной', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.003', N'Интрамедуллярный спицевой остеосинтез', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.004', N'Интрамедуллярный стержневой остеосинтез', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.005', N'Остеосинтез с использованием биодеградируемых материалов', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.006', N'Интрамедуллярный блокируемый остеосинтез', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.007', N'Экстракортикальный остеосинтез', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.008', N'Экстракортикальный остеосинтез перелома костей и разрыва сочленений таза', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.009', N'Остеосинтез верхней челюсти', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.022.010', N'Остеосинтез суставного отростка нижней челюсти', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.024.016', N'Реконструкция кости. Остеотомия кости с использованием  внутренних фиксаторов и аппаратов внешней фиксации', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.026', N'Закрытое вправление перелома с внутренней фиксацией', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.026.001', N'Артроскопическая фиксация остехондральных переломов коленного сустава с помощью винта', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.026.002', N'Остеосинтез при подвертельных переломах', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.026.003', N'Остеосинтез при чрезвертельных переломах', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.026.004', N'Остеосинтез при переломе шейки бедра', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028', N'Открытое лечение перелома с внутренней фиксацией', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.001', N'Остеосинтез грудины', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.002', N'Остеосинтез ключицы', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.003', N'Остеосинтез мелких костей скелета', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.004', N'Открытый остеосинтез локтевого отростка', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.005', N'Открытый остеосинтез надколенника', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.006', N'Остеосинтез при переломе мелких костей конечности', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.007', N'Открытый остеосинтез при переломе бедра', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.008', N'Открытый остеосинтез при переломе голени', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.009', N'Открытый остеосинтез при переломе лодыжек', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.010', N'Открытый остеосинтез при переломе плеча', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.028.011', N'Открытый остеосинтез при переломе предплечья', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.035.001', N'Декомпрессивная ламинэктомия позвонков с фиксацией', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.043', N'Пластика мышечно-реберного дефекта', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.045', N'Пластика дефекта костей черепа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.051.001', N'Корпорэктомия с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.051.003', N'Удаление позвонка с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.060.002', N'Резекция большой берцовой кости сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.061.002', N'Резекция малой берцовой кости сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.062.002', N'Резекция костей голени сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.063.002', N'Резекция бедренной кости сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.064.002', N'Резекция плечевой кости сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.065.002', N'Резекция костей предплечья сегментарная с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.075.002', N'Резекция костей верхнего плечевого пояса с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.076.002', N'Экстирпация костей верхнего плечевого пояса с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.077.003', N'Резекция грудной стенки с микрохирургической пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.077.004', N'Резекция грудной стенки с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.080.002', N'Резекция верхней челюсти с микрохирургической пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.080.003', N'Резекция верхней челюсти комбинированная с микрохирургической пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.080.004', N'Резекция верхней челюсти с микрохирургической пластикой с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.081.002', N'Резекция нижней челюсти с микрохирургической пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.03.081.003', N'Резекция нижней челюсти с микрохирургической пластикой с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.001.001', N'Миокапсулопластика при привычном вывихе надколенника', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.004.001', N'Артроскопическая мозаичная хондропластика коленного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.014', N'Артропластика стопы и пальцев ноги', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.015', N'Артропластика коленного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.015.002', N'Артроскопическая пластика передней крестообразной связки коленного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.016', N'Артропластика кисти и пальцев руки', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.017', N'Артропластика других суставов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.017.001', N'Артропластика тазобедренного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021', N'Эндопротезирование сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.001', N'Эндопротезирование сустава (реэндопротезирование)', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.002', N'Эндопротезирование коленного сустава одномыщелковое', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.003', N'Эндопротезирование тазобедренного сустава однополюсное', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.004', N'Эндопротезирование тазобедренного сустава тотальное', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.005', N'Эндопротезирование плечевого сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.006', N'Эндопротезирование коленного сустава тотальное', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.007', N'Эндопротезирование сустава с использованием компьютерной навигации', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.008', N'Эндопротезирование голеностопного сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.009', N'Эндопротезирование межфалангового сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.010', N'Эндопротезирование пястно-фалангового сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.021.011', N'Эндопротезирование бедренно-надколенного сустава', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.026', N'Эндопротезирование диафиза', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.027', N'Эндопротезирование кости тотальное', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.028', N'Протезирование межпозвонкового диска', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.030', N'Пластика позвонка', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.030.001', N'Вертебропластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.031', N'Удаление тела позвонка с эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.034', N'Артромедуллярное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.037', N'Пластика связок сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.037.001', N'Пластика связок коленного сустава артроскопическая', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)

	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.037.002', N'Пластика собственной связки надколенника', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.037.003', N'Пластика боковой связки коленного сустава', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.04.044', N'Ламинопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.06.006.003', N'Лимфаденэктомия шейная расширенная с ангиопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.017', N'Пластика альвеолярного отростка', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.022', N'Контурная пластика лица', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.027.001', N'Остеотомия скуло-верхнечелюстного комплекса (по Ле Фор III), перемещение фрагмента, остеосинтез титановыми минипластинами', 1, N'остеосинтез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.041', N'Костная пластика челюстно-лицевой области', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.041.001', N'Костная пластика челюстно-лицевой области с применением биодеградируемых материалов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.055', N'Синус-лифтинг (костная пластика, остеопластика)', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.061', N'Хейлопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.061.001', N'Хейлоринопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.063', N'Пластика альвеолярного отростка верхней челюсти', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.066', N'Уранопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.074.002', N'Резекция дна полости рта комбинированная с микрохирургической пластикой с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.083.002', N'Пластика верхней губы с использованием имплантата', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.084.002', N'Пластика нижней губы с использованием имплантата', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.07.086', N'Пластика мягкого неба', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008', N'Пластика носа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008.002', N'Пластика носа при кифозе', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008.003', N'Пластика носа при лордозе', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008.004', N'Пластика кончика носа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008.005', N'Пластика сколиозного носа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.008.006', N'Контурная пластика носа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.010.003', N'Пластика нижних носовых раковин с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.013', N'Септопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.013.001', N'Пластика носовой перегородки с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.013.002', N'Пластика перфорации носовой перегородки', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.024.002', N'Резекция гортани с реконструкцией посредством имплантата или биоинженерной реконструкцией', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.025', N'Пластика гортани', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.026', N'Имплантация трахео-пищеводного шунта', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.031.001', N'Пластика хоаны с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.033', N'Пластика трахеи', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.033.002', N'Ларинготрахеопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.066', N'Риносептопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.066.001', N'Риносептопластика с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.068', N'Стентирование трахеи', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.069', N'Пластика фарингостомы', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.08.076', N'Пластика трубного валика с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.018', N'Пластика бронха', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.018.001', N'Пластика бронха. Реконструктивные операции на трахее и бронхах', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.019.001', N'Торакопластика с применением внутренних фиксирующих устройств', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.019.003', N'Торакопластика с применением внутренних фиксирующих устройств при помощи видеоторакоскопического оборудования', 1, N'внутренняя фиксация', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.024', N'Эндопротезирование бронхов', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.026', N'Пластика диафрагмы', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.026.002', N'Аллопластика диафрагмы', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.026.003', N'Пластика диафрагмы видеоторакоскопическая', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.026.004', N'Пластика диафрагмы с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.09.030', N'Эндоскопическое стентирование бронха', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.10.014.008', N'Установка временного однокамерного не частотно-адаптивного электрокардиостимулятора', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.10.014.009', N'Установка временного двухкамерного не частотно-адаптивного электрокардиостимулятора', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.10.015', N'Удаление или замена имплантированного кардиостимулятора', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.10.030', N'Баллонная дилатация дефекта межпредсердной перегородки', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.004.001', N'Коронарное шунтирование в условиях искусственного кровообращения', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.004.002', N'Коронарное шунтирование на работающем сердце без использования искусственного кровообращения', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.008.002', N'Эндартерэктомия каротидная с пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.008.009', N'Эндартерэктомия с пластикой магистральных сосудов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.001', N'Пластика позвоночной артерии (эндартерэктомия, реимплантация в подключичную артерию, реимплантация в сонную артерию)', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.003', N'Резекция почечной артерии с протезированием', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.006', N'Резекция внутренней сонной артерии с протезированием', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.008', N'Пластика глубокой бедренной артерии', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.009', N'Пластика позвоночной артерии', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.011.010', N'Пластика верхней брыжеечной артерии', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.013.001', N'Аневризмэктомия с линейным протезированием', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.013.002', N'Аневризмэктомия с протезированием и пластикой ветвей', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.013.003', N'Резекция аневризмы брюшного отдела аорты с протезированием и пластикой висцеральных ветвей', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.017', N'Протезная обходная пересадка', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.024', N'Протезный лоскут к артерии', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026', N'Баллонная вазодилятация', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.001', N'Баллонная ангиопластика поверхностной бедренной артерии', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.001', N'Баллонная ангиопластика поверхностной бедренной артерии', 3, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.002', N'Баллонная ангиопластика подколенной артерии и магистральных артерий голени', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.002', N'Баллонная ангиопластика подколенной артерии и магистральных артерий голени', 3, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.003', N'Баллонная ангиопластика со стентированием поверхностной бедренной артерии', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.004', N'Баллонная ангиопластика со стентированием подколенной артерии и магистральных артерий голени', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.009', N'Транслюминальная баллонная ангиопластика почечной артерии', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.010', N'Баллонная ангиопластика периферической артерии', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.012', N'Транслюминальная баллонная ангиопластика коронарных артерий', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.026.024', N'Баллонная ангиопластика сосудистого доступа для экстракорпорального диализа', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.027', N'Установка венозного фильтра', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028', N'Установка стента в сосуд', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.001', N'Механическая реканализация, баллонная ангиопластика со стентированием поверхностной бедренной артерии', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.002', N'Механическая реканализация, баллонная ангиопластика со стентированием подколенной артерии и магистральных артерий голени', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.006', N'Стентирование артерий нижних конечностей', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.007', N'Стентирование брахиоцефальных артерий', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.008', N'Стентирование висцеральных артерий', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.014', N'Стентирование системных вен', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.017', N'Попытка стентирования коронарных артерий', 2, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.028.018', N'Стентирование сосудистого доступа для экстракорпорального диализа', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.030', N'Баллонная внутриаортальная контрпульсация', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.033.001', N'Формирование артерио-венозной фистулы с использованием синтетического протеза', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.037', N'Установка артериального порта в печеночную артерию', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.005', N'Перекрестное бедренно-бедренное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.006', N'Бедренно-подколенное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.007', N'Подвздошно-бедренное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.008', N'Сонно-подключичное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.009', N'Сонно-сонное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.010', N'Аорто-бедренное бифуркационное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.011', N'Аорто-бедренное-подколенное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.012', N'Аорто-глубокобедренное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)

	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.038.013', N'Экстраанатомическое шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.039', N'Пластика венозного клапана', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.041.003', N'Эндоваскулярная окклюзия сосуда с помощью баллона', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.042', N'Баллонная вальвулопластика', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.054', N'Протезирование артерий', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.054.001', N'Протезная обходная пересадка с подключично-наружно-сонным шунтированием', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.054.002', N'Эндопротезирование почечной артерии', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.055', N'Пластика сосуда', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.055.001', N'Пластика аорты заплатой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.055.002', N'Пластика почечной артерии заплатой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.055.003', N'Чрескожная ангиопластика сосудистого доступа для диализа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.056', N'Шунтирование аорты', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.056.001', N'Шунтирование аорты с пластикой ветвей', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.056.002', N'Экстраанатомическое шунтирование аорты', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.059', N'Установка порта в воротную вену', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.061.001', N'Баллонная атриосептостомия', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.063', N'Установка порта в центральную вену', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.12.072', N'Имплантация сосудистого трансплантата (сосудистого доступа) для диализа', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.024', N'Пластика желчного протока', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.024.001', N'Антеградное эндопротезирование желчных протоков', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.024.002', N'Ретроградное эндопротезирование желчных протоков', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.024.003', N'Эндоскопическое эндопротезирование холедоха', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.032', N'Стентирование желчных протоков', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.032.002', N'Стентирование желчных протоков под видеоэндоскопическим контролем', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.032.003', N'Эндоскопическое стентирование желчных протоков при опухолевом стенозе, при стенозах анастомоза опухолевого характера под видеоэндоскопическим контролем', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.14.043', N'Эндоскопическое бужирование и баллонная дилатация при опухолевом стенозе общего желчного протока под эндоскопическим контролем', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.15.006', N'Трансдуоденальная сфинктеровирсунгопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.15.021', N'Эндоскопическое стентирование главного панкреатического протока', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.15.022', N'Стентирование при опухолях поджелудочной железы', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.15.022.001', N'Эндоскопическое стентирование Вирсунгова протока при опухолевом стенозе, под видеоэндоскопическим контролем', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.006.002', N'Стентирование пищевода', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.032.002', N'Эндоскопическая кардиодилятация пищевода баллонным кардиодилятатором', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.041.004', N'Эндоскопическое протезирование пищевода', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.042', N'Эндопротезирование пищевода', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.047', N'Эндоскопическая имплантация баллона в желудок', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.057', N'Установка внутрижелудочного баллона', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.064', N'Гастрошунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.064.001', N'Гастрошунтирование лапароскопическое', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.065', N'Билиопанкреатическое шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.16.065.001', N'Билиопанкреатическое шунтирование лапароскопическое', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.032.002', N'Резекция молочной железы радикальная с региональной лимфаденэктомией и одномоментной алломаммопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.032.006', N'Резекция молочной железы субтотальная с алломаммопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.032.007', N'Резекция молочной железы субтотальная с маммопластикой и эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.032.011', N'Резекция молочной железы радикальная с одномоментной маммопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.049.001', N'Мастэктомия радикальная по Маддену с реконструкцией кожно-мышечным лоскутом и эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.051', N'Отсроченная реконструкция молочной железы кожно-мышечным лоскутом и эндопротезированием', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085', N'Маммопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085.002', N'Маммопластика подгрудным доступом с применением эндопротеза, расположенного подмышечно', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085.003', N'Маммопластика подмышечным доступом с применением эндопротеза, расположенного поджелезисто', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085.004', N'Маммопластика подмышечным доступом с применением эндопротеза, расположенного подмышечно', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085.005', N'Маммопластика периареолярным доступом с применением эндопротеза, расположенного поджелезисто', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.085.006', N'Маммопластика периареолярным доступом с применением эндопротеза, расположенного подмышечно', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.20.103', N'Отсроченная реконструкция молочной железы с использованием эндопротеза', 1, N'эндопротез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.21.006.002', N'Простатэктомия надлобковая с реконструкцией и пластикой шейки мочевого пузыря', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.21.016', N'Протезирование яичка', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.21.019.001', N'Фаллопластика с протезированием однокомпонентным протезом', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.21.019.002', N'Фаллопластика с протезированием трехкомпонентным протезом', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.006', N'Краниопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.009', N'Установка вентрикуло-цистернального дренажа', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.010', N'Установка внечерепного желудочкового шунта', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.018', N'Пластика твердой мозговой оболочки', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.021', N'Пластика верхнего сагиттального синуса', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.032.002', N'Удаление новообразования основания черепа микрохирургическое с пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.032.003', N'Удаление новообразования основания черепа микрохирургическое трансоральным доступом с пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.032.004', N'Удаление новообразования основания черепа микрохирургическое трансназальным доступом с пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.032.005', N'Удаление новообразования основания черепа трансназальное микрохирургическое с применением эндоскопической техники и пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.037', N'Установка субдурального или желудочкового датчика внутричерепного давления', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.038.002', N'Удаление новообразования оболочек головного мозга микрохирургическое с пластикой твердой мозговой оболочки ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.038.003', N'Удаление новообразования оболочек головного мозга микрохирургическое с пластикой твердой мозговой оболочки и свода черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.038.004', N'Удаление новообразования оболочек головного мозга микрохирургическое с пластикой твердой мозговой оболочки и венозных синусов ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.038.005', N'Удаление новообразования оболочек головного мозга микрохирургическое с пластикой твердой мозговой оболочки, свода черепа и венозных синусов ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.039', N'Имплантация временных электродов для нейростимуляции спинного мозга и периферических нервов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.042.002', N'Костная пластика челюстно-лицевой области с использованием контракционно-дистракционных аппаратов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.043', N'Люмбо-перитонеальное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.046', N'Пластика дефекта основания черепа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.048.001', N'Удаление черепно-лицевого новообразования микрохирургическое с пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.048.002', N'Удаление черепно-лицевого новообразования микрохирургическое с применением эндоскопической техники и пластикой дефекта основания черепа ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.050.001', N'Микрохирургическая пластика черепно-лицевого комплекса с микрохирургической пластикой ауто- или искусственными имплантами', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.052', N'Пластика ликворной фистулы', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.052.001', N'Эндоскопическая эндоназальная пластика ликворной фистулы основания черепа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.052.002', N'Эндоскопическая пластика ликворных фистул', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.052.003', N'Трансназальная пластика ликворных фистул', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.052.004', N'Установка баллон-катетера в пазуху основной кости', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.053', N'Установка вентрикулярного дренажа наружного', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.054', N'Вентрикуло-перитонеальное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.054.001', N'Цистоперитонеальное шунтирование', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.056', N'Имплантация эпидуральных электродов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.056.001', N'Имплантация эпидуральных спинальных электродов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.056.002', N'Имплантация эпидуральных электродов над проекцией центральной коры головного мозга', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.058', N'Имплантация нейростимулятора', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.058.001', N'Имплантация подкожной части нейростимулятора', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.058.002', N'Имплантация системы электростимуляции периферических нервов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.059', N'Пластика дефекта свода черепа', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.076.001', N'Резекция черепно-глазнично-лицевого комплекса с микрохирургической пластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.078', N'Имплантация внутримозговых электродов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.078.001', N'Имплантация внутримозговых электродов стереотаксическим методом', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.080', N'Установка стента в желудочковую систему мозга', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.085.001', N'Декомпрессия позвоночного канала с имплантацией стабилизирующей системы', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.086', N'Стентирование ликворопроводящих путей головного мозга', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.23.090', N'Имплантация помпы для субарахноидального введения лекарственных препаратов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)

	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.014', N'Тимпанопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.014.001', N'Тимпанопластика с применением микрохирургической техники', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.014.002', N'Тимпанопластика с применением аллогенных трансплантатов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.014.003', N'Тимпанопластика при наличии осложнений: холестеатомы, фистулы лабиринта, дефектов костных стенок среднего уха, одномоментно с санирующим вмешательством, с применением микрохирургической техники, аутогенных тканей, аллогенных трансплантатов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.019', N'Стапедэктомия со стапедопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.019.002', N'Спедэктомия со стапедопластикой по поршневой методике', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.020', N'Шунтирование и дренирование барабанной полости', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.023', N'Кохлеарная имплантация', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.023.001', N'Кохлеарная имплантация при аномалиях развития внутреннего уха, сопутствующей патологии среднего уха, частичной оссификации улитки', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.025', N'Аурикуломеатотимпанопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.25.032', N'Имплантация стволомозгового импланта', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.007.003', N'Имплантация обтуратора слезной точки', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.010.002', N'Лакориностомия с имплантацией лакопротеза', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049', N'Кератопластика (трансплантация роговицы)', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.001', N'Неавтоматизированная послойная кератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.002', N'Автоматизированная послойная кератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.003', N'Задняя послойная кератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.004', N'Послойная кератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.005', N'Неавтоматизированная эндокератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.006', N'Сквозная лимбокератопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.007', N'Кератопластика конъюнктивальная', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.008', N'Кератопластика сквозная', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.049.009', N'Удаление птеригиума с послойной частичной кератопластикой', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.062', N'Иридопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.064.001', N'Имплантация иридохрусталиковой диафрагмы, искусственной радужки', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.075', N'Склеропластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.075.001', N'Склеропластика с использованием трансплантатов', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.093.002', N'Факоэмульсификация с имплантацией интраокулярной линзы', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.094', N'Имплантация интраокулярной линзы', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.099.001', N'Эвисцерация с резекцией заднего полюса и имплантацией вкладыша', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.100', N'Пластика глазницы с использованием аллопластического материала', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.101', N'Имплантация интрастромальных сегментов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.126', N'Протезирование глазного яблока', 1, N'протез', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.130', N'Имплантация дренажа антиглаукоматозного', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.140', N'Имплантация аллопластических материалов под хориоидею', 2, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.26.142', N'Установка раздуваемого баллона-катетера при отслойке сетчатки', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.007', N'Пластика лоханки и мочеточника', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.007.001', N'Резекция мочеточника и лоханки с пластикой лоханки и мочеточника', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.007.002', N'Пластика лоханки и мочеточника с использованием видеоэндоскопических технологий', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.016', N'Имплантация электронного стимулятора в мочевой пузырь', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.032.002', N'Пластика шейки мочевого пузыря', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.051', N'Установка катетера в верхние мочевыводящие пути', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.073.001', N'Сфинктеропластика с имплантацией искусственного сфинктера', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.075.002', N'Иссечение уретероцеле с пластикой мочеточника', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.081', N'Цистоуретеропластика (операция Боари)', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.28.083', N'Баллонная дилятация мочеточника', 3, N'баллон', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.001.002', N'Оперативное лечение пахово-бедренной грыжи с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.002.002', N'Оперативное лечение пупочной грыжи с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.004.011', N'Оперативное лечение грыжи передней брюшной стенки с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.004.012', N'Оперативное лечение послеоперационной грыжи с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.004.015', N'Операция при большой послеоперационной грыже с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.004.016', N'Операция при гигантской послеоперационной грыже с использованием сетчатых имплантов', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.005.001', N'Пластика диафрагмы с использованием импланта', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.021', N'Имплантация катетера для перитонеального диализа', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.028.001', N'Пластика передней брюшной стенки с использованием импланта', 1, N'', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.037', N'Эндоскопическое стентирование при опухолевом стенозе', 1, N'стентирование', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.048', N'Остеопластика', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.048.001', N'Остеопластика под рентгенологическим контролем', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.048.002', N'Остеопластика под контролем компьютерной томографии', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.048.003', N'Остеопластика под ультразвуковым контролем', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)
	INSERT [dbo].[V036] ([S_CODE], [NAME], [Parameter], [COMMENT], [DATEBEG], [DATEEND]) VALUES (N'A16.30.050', N'Вертебропластика под лучевым контролем', 2, N'пластика', CAST(N'2022-01-01T00:00:00.000' AS DateTime), NULL)

END